"use strict";
(self["webpackChunk_datalayer_jupyter_react"] = self["webpackChunk_datalayer_jupyter_react"] || []).push([["lib_index_js"],{

/***/ "./lib/components/cell/Cell.js":
/*!*************************************!*\
  !*** ./lib/components/cell/Cell.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Cell": () => (/* binding */ Cell),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/cells */ "webpack/sharing/consume/default/@jupyterlab/cells");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Box/Box.js");
/* harmony import */ var _CellState__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./CellState */ "./lib/components/cell/CellState.js");
/* harmony import */ var _CellAdapter__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./CellAdapter */ "./lib/components/cell/CellAdapter.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");
/* harmony import */ var _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../../jupyter/JupyterContext */ "./lib/jupyter/JupyterContext.js");









const DEFAULT_SOURCE = `from IPython.display import display

for i in range(10):
    display('String {} added to the DOM in separated DIV.'.format(i))`;
const Cell = (props) => {
    const { source, autoStart } = props;
    const { serverSettings, injectableStore, defaultKernel } = (0,_jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_4__.useJupyter)();
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__.useDispatch)();
    const [adapter, setAdapter] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
        injectableStore.inject('cell', _CellState__WEBPACK_IMPORTED_MODULE_5__.cellReducer);
    }, []);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (source && defaultKernel) {
            defaultKernel.ready.then(() => {
                const adapter = new _CellAdapter__WEBPACK_IMPORTED_MODULE_6__["default"]({
                    source,
                    serverSettings,
                    kernel: defaultKernel,
                });
                dispatch(_CellState__WEBPACK_IMPORTED_MODULE_5__.cellActions.update({ adapter }));
                dispatch(_CellState__WEBPACK_IMPORTED_MODULE_5__.cellActions.source(props.source));
                adapter.codeCell.model.contentChanged.connect((cellModel, changedArgs) => {
                    dispatch(_CellState__WEBPACK_IMPORTED_MODULE_5__.cellActions.source(cellModel.sharedModel.getSource()));
                });
                adapter.codeCell.outputArea.outputLengthChanged.connect((outputArea, outputsCount) => {
                    dispatch(_CellState__WEBPACK_IMPORTED_MODULE_5__.cellActions.outputsCount(outputsCount));
                });
                adapter.sessionContext.initialize().then(() => {
                    if (autoStart) {
                        const execute = _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.CodeCell.execute(adapter.codeCell, adapter.sessionContext);
                        execute.then((msg) => {
                            dispatch(_CellState__WEBPACK_IMPORTED_MODULE_5__.cellActions.update({
                                kernelAvailable: true,
                            }));
                        });
                    }
                });
                setAdapter(adapter);
            });
        }
    }, [source, defaultKernel]);
    return adapter
        ?
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_7__["default"], { sx: {
                    '& .dla-JupyterCell': {
                        position: 'relative !important',
                        contain: 'content !important',
                        //            height: '100% !important',
                        //            marginTop: '30px',
                    },
                    '& .jp-Toolbar': {
                        height: 'auto !important',
                        position: 'relative',
                        //            display: 'none',
                    },
                    '& .lm-BoxPanel': {
                        //            height: 'auto !important',
                        //            minHeight: 'auto !important',
                        position: 'relative',
                    },
                    '& .jp-Cell': {
                        //            width: '100%',
                        //            height: '100% !important',
                        position: 'relative',
                    },
                    '& .jp-CodeCell': {
                        height: 'auto !important',
                        position: 'relative',
                        //            top: 'auto !important',
                    },
                    '& .jp-Cell-outputArea': {
                        paddingBottom: '30px',
                    },
                    '& .jp-CodeMirrorEditor': {
                        cursor: 'text !important',
                    },
                }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_8__["default"], { children: adapter.panel }) })
        :
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_7__["default"], { children: "Loading Jupyter Cell..." });
};
Cell.defaultProps = {
    source: DEFAULT_SOURCE,
    autoStart: true,
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Cell);


/***/ }),

/***/ "./lib/components/cell/CellAdapter.js":
/*!********************************************!*\
  !*** ./lib/components/cell/CellAdapter.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellAdapter": () => (/* binding */ CellAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_algorithm__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/algorithm */ "webpack/sharing/consume/default/@lumino/algorithm");
/* harmony import */ var _lumino_algorithm__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_algorithm__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/commands */ "webpack/sharing/consume/default/@lumino/commands");
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_commands__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/cells */ "webpack/sharing/consume/default/@jupyterlab/cells");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyterlab/codemirror */ "webpack/sharing/consume/default/@jupyterlab/codemirror");
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @jupyterlab/completer */ "webpack/sharing/consume/default/@jupyterlab/completer");
/* harmony import */ var _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @jupyterlab/rendermime */ "webpack/sharing/consume/default/@jupyterlab/rendermime");
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @jupyterlab/services */ "webpack/sharing/consume/default/@jupyterlab/services");
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_services__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @jupyterlab/ui-components */ "webpack/sharing/consume/default/@jupyterlab/ui-components");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _jupyter_ydoc__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @jupyter/ydoc */ "webpack/sharing/consume/default/@jupyter/ydoc");
/* harmony import */ var _jupyter_ydoc__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_jupyter_ydoc__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @jupyter-widgets/html-manager */ "webpack/sharing/consume/default/@jupyter-widgets/html-manager/@jupyter-widgets/html-manager");
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @jupyter-widgets/html-manager/lib/output_renderers */ "../../../../../node_modules/@jupyter-widgets/html-manager/lib/output_renderers.js");
/* harmony import */ var _jupyter_ipywidgets_IPyWidgetsManager__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../jupyter/ipywidgets/IPyWidgetsManager */ "./lib/jupyter/ipywidgets/IPyWidgetsManager.js");
/* harmony import */ var _CellCommands__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./CellCommands */ "./lib/components/cell/CellCommands.js");















class CellAdapter {
    _codeCell;
    _kernel;
    _panel;
    _sessionContext;
    constructor(options) {
        const { source, serverSettings, kernel } = options;
        this._kernel = kernel;
        const kernelManager = kernel?.kernelManager ?? new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_8__.KernelManager({
            serverSettings
        });
        const sessionManager = kernel?.sessionManager ?? new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_8__.SessionManager({
            serverSettings,
            kernelManager
        });
        const specsManager = kernel?.kernelSpecManager ?? new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_8__.KernelSpecManager({
            serverSettings
        });
        const kernelPreference = kernel ?
            {
                id: kernel.id,
                shouldStart: false,
                autoStartDefault: false,
                shutdownOnDispose: false,
            }
            :
                {
                    name: 'python',
                    shouldStart: true,
                    autoStartDefault: true,
                    shutdownOnDispose: true,
                };
        this._sessionContext = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.SessionContext({
            name: kernel?.path,
            path: kernel?.path,
            sessionManager,
            specsManager,
            type: 'python',
            kernelPreference,
        });
        // These are fixes to have more control on the kernel launch.
        this._sessionContext._initialize = async () => {
            const manager = this._sessionContext.sessionManager;
            await manager.ready;
            await manager.refreshRunning();
            const model = (0,_lumino_algorithm__WEBPACK_IMPORTED_MODULE_1__.find)(manager.running(), item => {
                //          return (item as any).path === (this._sessionContext as any)._path;
                return item.kernel?.id === this._kernel.id;
            });
            if (model) {
                try {
                    const session = manager.connectTo({
                        model,
                        kernelConnectionOptions: {
                            handleComms: true,
                        }
                    });
                    this._sessionContext._handleNewSession(session);
                }
                catch (err) {
                    void this._sessionContext._handleSessionError(err);
                    return Promise.reject(err);
                }
            }
            return await this._sessionContext._startIfNecessary();
        };
        const themes = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorThemeRegistry();
        for (const theme of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorThemeRegistry.getDefaultThemes()) {
            themes.addTheme(theme);
        }
        const editorExtensions = () => {
            const registry = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorExtensionRegistry();
            for (const extensionFactory of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorExtensionRegistry.getDefaultExtensions({ themes })) {
                registry.addExtension(extensionFactory);
            }
            registry.addExtension({
                name: 'shared-model-binding',
                factory: options => {
                    const sharedModel = options.model.sharedModel;
                    return _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorExtensionRegistry.createImmutableExtension((0,_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.ybinding)({
                        ytext: sharedModel.ysource,
                        undoManager: sharedModel.undoManager ?? undefined,
                    }));
                }
            });
            return registry;
        };
        const languages = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorLanguageRegistry();
        for (const language of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.EditorLanguageRegistry.getDefaultLanguages()) {
            languages.addLanguage(language);
        }
        languages.addLanguage({
            name: 'ipythongfm',
            mime: 'text/x-ipythongfm',
            load: async () => {
                // TODO: add support for LaTeX.
                const m = await Promise.all(/*! import() */[__webpack_require__.e("vendors-node_modules_codemirror_autocomplete_dist_index_js"), __webpack_require__.e("vendors-node_modules_lezer_lr_dist_index_js"), __webpack_require__.e("vendors-node_modules_codemirror_lang-markdown_dist_index_js"), __webpack_require__.e("webpack_sharing_consume_default_codemirror_language-webpack_sharing_consume_default_lezer_common"), __webpack_require__.e("webpack_sharing_consume_default_lezer_highlight")]).then(__webpack_require__.bind(__webpack_require__, /*! @codemirror/lang-markdown */ "../../../../../node_modules/@codemirror/lang-markdown/dist/index.js"));
                return m.markdown({
                    codeLanguages: (info) => languages.findBest(info)
                });
            }
        });
        const mimeService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.CodeMirrorMimeTypeService(languages);
        const commands = new _lumino_commands__WEBPACK_IMPORTED_MODULE_2__.CommandRegistry();
        const useCapture = true;
        document.addEventListener('keydown', event => {
            commands.processKeydownEvent(event);
        }, useCapture);
        const rendermime = new _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_7__.RenderMimeRegistry({ initialFactories: _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_7__.standardRendererFactories });
        const iPyWidgetsClassicManager = new _jupyter_ipywidgets_IPyWidgetsManager__WEBPACK_IMPORTED_MODULE_13__["default"]({ loader: _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11__.requireLoader });
        rendermime.addFactory({
            safe: false,
            mimeTypes: [_jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_12__.WIDGET_MIMETYPE],
            createRenderer: (options) => new _jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_12__.WidgetRenderer(options, iPyWidgetsClassicManager),
        }, 0);
        const factoryService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_5__.CodeMirrorEditorFactory({
            extensions: editorExtensions(),
            languages,
        });
        this._codeCell = new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__.CodeCell({
            rendermime,
            model: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__.CodeCellModel({
                sharedModel: (0,_jupyter_ydoc__WEBPACK_IMPORTED_MODULE_10__.createStandaloneCell)({
                    cell_type: 'code',
                    source: source,
                    metadata: {}
                })
            }),
            contentFactory: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__.Cell.ContentFactory({
                editorFactory: factoryService.newInlineEditor.bind(factoryService),
            }),
        });
        this._codeCell.addClass('dla-JupyterCell');
        this._codeCell.initializeState();
        this._sessionContext.kernelChanged.connect((_, arg) => {
            const kernelConnection = arg.newValue;
            console.log('Current Kernel Connection', kernelConnection);
            if (kernelConnection && !kernelConnection.handleComms) {
                console.warn('The Kernel Connection does not handle Comms', kernelConnection.id);
                kernelConnection.handleComms = true;
                console.log('The Kernel Connection is updated to enforce Comms support', kernelConnection.handleComms);
            }
            iPyWidgetsClassicManager.registerWithKernel(kernelConnection);
        });
        this._sessionContext.kernelChanged.connect(() => {
            void this._sessionContext.session?.kernel?.info.then(info => {
                const lang = info.language_info;
                const mimeType = mimeService.getMimeTypeByLanguage(lang);
                this._codeCell.model.mimeType = mimeType;
            });
        });
        const editor = this._codeCell.editor;
        const model = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.CompleterModel();
        const completer = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.Completer({ editor, model });
        const timeout = 1000;
        const provider = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.KernelCompleterProvider();
        const reconciliator = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.ProviderReconciliator({
            context: { widget: this._codeCell, editor, session: this._sessionContext.session },
            providers: [provider],
            timeout,
        });
        const handler = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.CompletionHandler({ completer, reconciliator });
        void this._sessionContext.ready.then(() => {
            const provider = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.KernelCompleterProvider();
            handler.reconciliator = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_6__.ProviderReconciliator({
                context: { widget: this._codeCell, editor, session: this._sessionContext.session },
                providers: [provider],
                timeout,
            });
        });
        handler.editor = editor;
        (0,_CellCommands__WEBPACK_IMPORTED_MODULE_14__["default"])(commands, this._codeCell, this._sessionContext, handler);
        completer.hide();
        completer.addClass('jp-Completer-Cell');
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.Widget.attach(completer, document.body);
        const toolbar = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.Toolbar();
        toolbar.addItem('spacer', _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.Toolbar.createSpacerItem());
        const runButton = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.ToolbarButton({
            icon: _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_9__.runIcon,
            onClick: () => {
                _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__.CodeCell.execute(this._codeCell, this._sessionContext);
            },
            tooltip: 'Run'
        });
        toolbar.addItem('run', runButton);
        toolbar.addItem('interrupt', _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.Toolbar.createInterruptButton(this._sessionContext));
        toolbar.addItem('restart', _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.Toolbar.createRestartButton(this._sessionContext));
        // toolbar.addItem('name', Toolbar.createKernelNameItem(this._sessionContext));
        toolbar.addItem('status', _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_3__.Toolbar.createKernelStatusItem(this._sessionContext));
        this._codeCell.outputsScrolled = false;
        this._codeCell.activate();
        this._panel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.BoxPanel();
        this._panel.direction = 'top-to-bottom';
        this._panel.spacing = 0;
        this._panel.addWidget(toolbar);
        this._panel.addWidget(this._codeCell);
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.BoxPanel.setStretch(toolbar, 0);
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.BoxPanel.setStretch(this._codeCell, 1);
        window.addEventListener('resize', () => {
            this._panel.update();
        });
        this._panel.update();
    }
    get panel() {
        return this._panel;
    }
    get codeCell() {
        return this._codeCell;
    }
    get sessionContext() {
        return this._sessionContext;
    }
    get kernel() {
        return this._kernel;
    }
    execute = () => {
        _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_4__.CodeCell.execute(this._codeCell, this._sessionContext);
    };
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CellAdapter);


/***/ }),

/***/ "./lib/components/cell/CellCommands.js":
/*!*********************************************!*\
  !*** ./lib/components/cell/CellCommands.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellCommands": () => (/* binding */ CellCommands),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/cells */ "webpack/sharing/consume/default/@jupyterlab/cells");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__);

const cmdIds = {
    invoke: "completer:invoke",
    select: "completer:select",
};
const CellCommands = (commandRegistry, codeCell, sessionContext, completerHandler) => {
    commandRegistry.addCommand(cmdIds.invoke, {
        label: "Completer: Invoke",
        execute: () => completerHandler.invoke(),
    });
    commandRegistry.addCommand(cmdIds.select, {
        label: "Completer: Select",
        execute: () => completerHandler.completer.selectActive(),
    });
    commandRegistry.addCommand('run:cell', {
        execute: () => _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_0__.CodeCell.execute(codeCell, sessionContext)
    });
    commandRegistry.addKeyBinding({
        selector: '.jp-InputArea-editor.jp-mod-completer-enabled',
        keys: ['Tab'],
        command: cmdIds.invoke
    });
    commandRegistry.addKeyBinding({
        selector: '.jp-InputArea-editor',
        keys: ['Shift Enter'],
        command: 'run:cell'
    });
    const bindings = [
        {
            selector: `.jp-InputArea-editor.jp-mod-completer-active`,
            keys: ["Enter"],
            command: cmdIds.select,
        },
    ];
    bindings.map((binding) => commandRegistry.addKeyBinding(binding));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CellCommands);


/***/ }),

/***/ "./lib/components/cell/CellState.js":
/*!******************************************!*\
  !*** ./lib/components/cell/CellState.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellActionType": () => (/* binding */ CellActionType),
/* harmony export */   "cellActions": () => (/* binding */ cellActions),
/* harmony export */   "cellInitialState": () => (/* binding */ cellInitialState),
/* harmony export */   "cellReducer": () => (/* binding */ cellReducer),
/* harmony export */   "selectCell": () => (/* binding */ selectCell)
/* harmony export */ });
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__);



const cellInitialState = {
    source: '',
    outputsCount: -1,
    kernelAvailable: false,
};
/* Selectors */
const selectCell = () => (0,react_redux__WEBPACK_IMPORTED_MODULE_1__.useSelector)((state) => {
    if (state.cell) {
        return state.cell;
    }
    return cellInitialState;
});
/* Actions */
var CellActionType;
(function (CellActionType) {
    CellActionType["SOURCE"] = "cell/SOURCE";
    CellActionType["OUTPUTS_COUNT"] = "cell/OUTPUTS_COUNT";
    CellActionType["EXECUTE"] = "cell/EXECUTE";
    CellActionType["UPDATE"] = "cell/UPDATE";
})(CellActionType || (CellActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_0___default()('jupyterReact');
const cellActions = {
    source: actionCreator(CellActionType.SOURCE),
    outputsCount: actionCreator(CellActionType.OUTPUTS_COUNT),
    execute: actionCreator(CellActionType.EXECUTE),
    update: actionCreator(CellActionType.UPDATE),
};
/* Reducers */
const cellReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__.reducerWithInitialState)(cellInitialState)
    .case(cellActions.execute, (state, payload) => {
    if (state.adapter) {
        state.adapter.execute();
    }
    return {
        ...state,
    };
})
    .case(cellActions.source, (state, source) => {
    return {
        ...state,
        source,
    };
})
    .case(cellActions.update, (state, partial) => ({
    ...state,
    ...partial,
}))
    .case(cellActions.outputsCount, (state, outputsCount) => {
    return {
        ...state,
        outputsCount,
    };
});


/***/ }),

/***/ "./lib/components/codemirror/CodeMirrorEditor.js":
/*!*******************************************************!*\
  !*** ./lib/components/codemirror/CodeMirrorEditor.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CodeMirrorEditor": () => (/* binding */ CodeMirrorEditor),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var codemirror__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! codemirror */ "webpack/sharing/consume/default/codemirror/codemirror");
/* harmony import */ var codemirror__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(codemirror__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _codemirror_state__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @codemirror/state */ "webpack/sharing/consume/default/@codemirror/state");
/* harmony import */ var _codemirror_state__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_codemirror_state__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _codemirror_view__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @codemirror/view */ "webpack/sharing/consume/default/@codemirror/view");
/* harmony import */ var _codemirror_view__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_codemirror_view__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _codemirror_lang_python__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @codemirror/lang-python */ "webpack/sharing/consume/default/@codemirror/lang-python/@codemirror/lang-python");
/* harmony import */ var _codemirror_lang_python__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_codemirror_lang_python__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _CodeMirrorTheme__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./CodeMirrorTheme */ "./lib/components/codemirror/CodeMirrorTheme.js");
/* harmony import */ var _CodeMirrorOutputToolbar__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./CodeMirrorOutputToolbar */ "./lib/components/codemirror/CodeMirrorOutputToolbar.js");
/* harmony import */ var _output_OutputState__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../output/OutputState */ "./lib/components/output/OutputState.js");










const CodeMirrorEditor = (props) => {
    const { code, codePre, outputAdapter, autoRun, disableRun, sourceId, toolbarPosition, insertText, kernel } = props;
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__.useDispatch)();
    const [view, setView] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    const dataset = (0,_output_OutputState__WEBPACK_IMPORTED_MODULE_7__.selectDataset)(sourceId);
    const setSource = (0,_output_OutputState__WEBPACK_IMPORTED_MODULE_7__.selectJupyterSetSource)(sourceId);
    const editorDiv = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)();
    const setEditorSource = (source) => {
        if (view && source) {
            view.dispatch({
                changes: {
                    from: 0,
                    to: view.state.doc.length,
                    insert: source,
                }
            });
        }
    };
    const doInsertText = (payload) => {
        if (view && insertText) {
            view.dispatch({
                changes: {
                    from: 0,
                    insert: insertText(payload)
                }
            });
        }
    };
    const executeCode = (editorView, code) => {
        if (disableRun) {
            alert('Code execution is disabled for this editor. There should be a button on the page to run this editor.');
            return true;
        }
        if (code) {
            outputAdapter.execute(code);
        }
        else {
            outputAdapter.execute(editorView.state.doc.toString());
        }
        return true;
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        dispatch(_output_OutputState__WEBPACK_IMPORTED_MODULE_7__.outputActions.source({
            sourceId,
            source: code,
        }));
        let editorView;
        const language = new _codemirror_state__WEBPACK_IMPORTED_MODULE_4__.Compartment();
        const keyBinding = [
            {
                key: 'Shift-Enter',
                run: () => executeCode(editorView),
                preventDefault: true,
            },
        ];
        const state = _codemirror_state__WEBPACK_IMPORTED_MODULE_4__.EditorState.create({
            doc: code,
            extensions: [
                codemirror__WEBPACK_IMPORTED_MODULE_3__.basicSetup,
                language.of((0,_codemirror_lang_python__WEBPACK_IMPORTED_MODULE_6__.python)()),
                _codemirror_view__WEBPACK_IMPORTED_MODULE_5__.EditorView.lineWrapping,
                _codemirror_view__WEBPACK_IMPORTED_MODULE_5__.keymap.of([...keyBinding]),
                _CodeMirrorTheme__WEBPACK_IMPORTED_MODULE_8__["default"],
                _codemirror_view__WEBPACK_IMPORTED_MODULE_5__.EditorView.updateListener.of((viewUpdate) => {
                    if (viewUpdate.docChanged) {
                        const source = viewUpdate.state.doc.toString();
                        dispatch(_output_OutputState__WEBPACK_IMPORTED_MODULE_7__.outputActions.source({
                            sourceId,
                            source,
                        }));
                    }
                })
            ],
        });
        editorView = new _codemirror_view__WEBPACK_IMPORTED_MODULE_5__.EditorView({
            state: state,
            parent: editorDiv.current,
        });
        setView(editorView);
        if (autoRun) {
            executeCode(editorView);
        }
        return () => {
            editorView.destroy();
        };
    }, [code]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        doInsertText(dataset?.dataset);
    }, [dataset]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        setEditorSource(setSource?.source);
    }, [setSource]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [kernel && toolbarPosition === 'up' &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_CodeMirrorOutputToolbar__WEBPACK_IMPORTED_MODULE_9__["default"], { editorView: view, codePre: codePre, kernel: kernel, outputAdapter: outputAdapter, executeCode: executeCode }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { ref: editorDiv }), kernel && toolbarPosition === 'middle' &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_CodeMirrorOutputToolbar__WEBPACK_IMPORTED_MODULE_9__["default"], { editorView: view, codePre: codePre, kernel: kernel, outputAdapter: outputAdapter, executeCode: executeCode })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CodeMirrorEditor);


/***/ }),

/***/ "./lib/components/codemirror/CodeMirrorOutputToolbar.js":
/*!**************************************************************!*\
  !*** ./lib/components/codemirror/CodeMirrorOutputToolbar.js ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CodeMirrorOutputToolbar": () => (/* binding */ CodeMirrorOutputToolbar),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ActionMenu.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Button/IconButton.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ActionList/index.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Box/Box.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ThemeProvider.js");
/* harmony import */ var _primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @primer/octicons-react */ "../../../../../node_modules/@primer/octicons-react/dist/index.esm.js");




const CodeMirrorOutputToolbarMenu = (props) => {
    const { executeCode, outputAdapter, editorView } = props;
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_2__.ActionMenu, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_2__.ActionMenu.Anchor, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.IconButton, { "aria-labelledby": "", icon: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.KebabHorizontalIcon, variant: "invisible" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_2__.ActionMenu.Overlay, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.Item, { onSelect: e => { e.preventDefault(); executeCode(editorView); }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.ArrowRightIcon, {}) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.TrailingVisual, { children: "\u21E7 \u21B5" }), "Run code"] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.Item, { onSelect: e => { e.preventDefault(); outputAdapter.interrupt(); }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.StopIcon, {}) }), "Interrupt kernel"] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.Item, { variant: "danger", onClick: e => { e.preventDefault(); outputAdapter.clearOutput(); }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.PaintbrushIcon, {}) }), "Clear outputs"] })] }) })] }));
};
const KernelStatus = ({ color }) => ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__["default"], { sx: { backgroundColor: color, width: '14px', height: '14px', borderRadius: 3 } }));
const CodeMirrorOutputToolbar = (props) => {
    const { executeCode, editorView, kernel, codePre } = props;
    const { theme } = (0,_primer_react__WEBPACK_IMPORTED_MODULE_7__.useTheme)();
    const okColor = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => theme?.colorSchemes.light.colors.success.muted, []);
    const nokColor = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => theme?.colorSchemes.light.colors.severe.muted, []);
    const [kernelStatus, setKernelStatus] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('unknown');
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (kernel) {
            kernel.ready.then(() => {
                if (codePre) {
                    executeCode(editorView, codePre);
                }
                setKernelStatus(kernel.connection.status);
                kernel.connection.statusChanged.connect((kernelConnection, status) => {
                    setKernelStatus(status);
                });
            });
        }
    }, [kernel]);
    const getKernelStatusColor = (status) => {
        if (status === "idle") {
            return okColor;
        }
        return nokColor;
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_6__["default"], { display: "flex", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__["default"], { flexGrow: 1 }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__["default"], { sx: { paddingTop: '6px' }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(KernelStatus, { color: getKernelStatusColor(kernelStatus) }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__["default"], { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(CodeMirrorOutputToolbarMenu, { ...props }) })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CodeMirrorOutputToolbar);


/***/ }),

/***/ "./lib/components/codemirror/CodeMirrorTheme.js":
/*!******************************************************!*\
  !*** ./lib/components/codemirror/CodeMirrorTheme.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "codeMirrorTheme": () => (/* binding */ codeMirrorTheme),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _codemirror_view__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @codemirror/view */ "webpack/sharing/consume/default/@codemirror/view");
/* harmony import */ var _codemirror_view__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_codemirror_view__WEBPACK_IMPORTED_MODULE_0__);

const theme = _codemirror_view__WEBPACK_IMPORTED_MODULE_0__.EditorView.theme({
    "&": {
        fontSize: "9pt",
        border: "1px solid #c0c0c0"
    },
    ".cm-content": {
        fontFamily: "Menlo, Monaco, Lucida Console, monospace",
        minHeight: "10px"
    },
    ".cm-gutters": {
        minHeight: "10px"
    },
    ".cm-scroller": {
        overflow: "auto",
        //    maxHeight: "600px"
    }
}, { dark: false });
const codeMirrorTheme = [theme];
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (codeMirrorTheme);


/***/ }),

/***/ "./lib/components/commands/Commands.js":
/*!*********************************************!*\
  !*** ./lib/components/commands/Commands.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Commands": () => (/* binding */ Commands),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _CommandsAdapter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./CommandsAdapter */ "./lib/components/commands/CommandsAdapter.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");



const Commands = () => {
    const commandsAdapter = new _CommandsAdapter__WEBPACK_IMPORTED_MODULE_1__["default"]();
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__["default"], { children: commandsAdapter.panel });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Commands);


/***/ }),

/***/ "./lib/components/commands/CommandsAdapter.js":
/*!****************************************************!*\
  !*** ./lib/components/commands/CommandsAdapter.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/commands */ "webpack/sharing/consume/default/@lumino/commands");
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_commands__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_1__);



class CommandsAdapter {
    commandsPanel;
    constructor() {
        this.commandsPanel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__.BoxPanel();
        this.commandsPanel.id = 'datalayer-jupyter-commands';
        this.commandsPanel.spacing = 0;
        // Initialize the command registry with the key bindings.
        const commands = new _lumino_commands__WEBPACK_IMPORTED_MODULE_0__.CommandRegistry();
        const palette = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__.CommandPalette({ commands });
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__.BoxPanel.setStretch(palette, 0);
        this.commandsPanel.addWidget(palette);
        // Handle resize events.
        window.addEventListener('resize', () => {
            this.commandsPanel.update();
        });
        const selector = '.jp-ConsolePanel';
        const category = 'Console';
        const command = 'console:execute';
        commands.addCommand(command, {
            label: 'Execute Cell',
            execute: () => {
                window.alert('Execute Cell');
            }
        });
        palette.addItem({ command, category });
        commands.addKeyBinding({ command, selector, keys: ['Shift Enter'] });
    }
    get panel() {
        return this.commandsPanel;
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CommandsAdapter);


/***/ }),

/***/ "./lib/components/commands/CommandsState.js":
/*!**************************************************!*\
  !*** ./lib/components/commands/CommandsState.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CommandsActionType": () => (/* binding */ CommandsActionType),
/* harmony export */   "commandsActions": () => (/* binding */ commandsActions),
/* harmony export */   "commandsInitialState": () => (/* binding */ commandsInitialState),
/* harmony export */   "commandsReducer": () => (/* binding */ commandsReducer),
/* harmony export */   "selectCommands": () => (/* binding */ selectCommands)
/* harmony export */ });
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__);



const commandsInitialState = {
    outputs: 0
};
/* Selectors */
const selectCommands = () => (0,react_redux__WEBPACK_IMPORTED_MODULE_1__.useSelector)((state) => {
    if (state.commands) {
        return state.commands;
    }
    return { outputs: 0 };
});
/* Actions */
var CommandsActionType;
(function (CommandsActionType) {
    CommandsActionType["OUTPUTS"] = "commands/OUTPUTS";
    CommandsActionType["EXECUTE"] = "commands/EXECUTE";
})(CommandsActionType || (CommandsActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_0___default()('jupyterReact');
const commandsActions = {
    outputs: actionCreator(CommandsActionType.OUTPUTS),
    execute: actionCreator(CommandsActionType.EXECUTE),
};
/* Reducers */
const commandsReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__.reducerWithInitialState)(commandsInitialState)
    .case(commandsActions.outputs, (state, success) => {
    return {
        ...state,
        outputs: success
    };
});


/***/ }),

/***/ "./lib/components/console/Console.js":
/*!*******************************************!*\
  !*** ./lib/components/console/Console.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Console": () => (/* binding */ Console),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../../jupyter/JupyterContext */ "./lib/jupyter/JupyterContext.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");
/* harmony import */ var _ConsoleAdapter__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./ConsoleAdapter */ "./lib/components/console/ConsoleAdapter.js");






const Console = () => {
    const { serviceManager } = (0,_jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_2__.useJupyter)();
    const [adapter, setAdapter] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (serviceManager) {
            const adapter = new _ConsoleAdapter__WEBPACK_IMPORTED_MODULE_3__["default"](serviceManager);
            setAdapter(adapter);
        }
    }, [serviceManager]);
    return serviceManager && adapter
        ?
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_4__["default"], { children: adapter.panel })
        :
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: "Loading Jupyter Console..." });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Console);


/***/ }),

/***/ "./lib/components/console/ConsoleAdapter.js":
/*!**************************************************!*\
  !*** ./lib/components/console/ConsoleAdapter.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/rendermime */ "webpack/sharing/consume/default/@jupyterlab/rendermime");
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/commands */ "webpack/sharing/consume/default/@lumino/commands");
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_commands__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/codemirror */ "webpack/sharing/consume/default/@jupyterlab/codemirror");
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_console__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/console */ "webpack/sharing/consume/default/@jupyterlab/console");
/* harmony import */ var _jupyterlab_console__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_console__WEBPACK_IMPORTED_MODULE_4__);





class ConsoleAdapter {
    _panel;
    constructor(serviceManager) {
        this._panel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.BoxPanel();
        this._panel.direction = 'top-to-bottom';
        this._panel.spacing = 0;
        this._panel.addClass('dla-JupyterLab-Console');
        serviceManager.ready.then(() => {
            this.startConsole('console-path', serviceManager, this._panel);
        });
    }
    startConsole(path, serviceManager, panel) {
        const commands = new _lumino_commands__WEBPACK_IMPORTED_MODULE_1__.CommandRegistry();
        document.addEventListener('keydown', event => {
            commands.processKeydownEvent(event);
        });
        const themes = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorThemeRegistry();
        for (const theme of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorThemeRegistry.getDefaultThemes()) {
            themes.addTheme(theme);
        }
        const editorExtensions = () => {
            const registry = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorExtensionRegistry();
            for (const extensionFactory of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorExtensionRegistry.getDefaultExtensions({ themes })) {
                registry.addExtension(extensionFactory);
            }
            registry.addExtension({
                name: 'shared-model-binding',
                factory: options => {
                    const sharedModel = options.model.sharedModel;
                    return _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorExtensionRegistry.createImmutableExtension((0,_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.ybinding)({
                        ytext: sharedModel.ysource,
                        undoManager: sharedModel.undoManager ?? undefined
                    }));
                }
            });
            return registry;
        };
        const languages = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorLanguageRegistry();
        // Register default languages.
        for (const language of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.EditorLanguageRegistry.getDefaultLanguages()) {
            languages.addLanguage(language);
        }
        // Add Jupyter Markdown flavor here to support code block highlighting.
        languages.addLanguage({
            name: 'ipythongfm',
            mime: 'text/x-ipythongfm',
            load: async () => {
                // TODO: add support for LaTeX
                const m = await Promise.all(/*! import() */[__webpack_require__.e("vendors-node_modules_codemirror_autocomplete_dist_index_js"), __webpack_require__.e("vendors-node_modules_lezer_lr_dist_index_js"), __webpack_require__.e("vendors-node_modules_codemirror_lang-markdown_dist_index_js"), __webpack_require__.e("webpack_sharing_consume_default_codemirror_language-webpack_sharing_consume_default_lezer_common"), __webpack_require__.e("webpack_sharing_consume_default_lezer_highlight")]).then(__webpack_require__.bind(__webpack_require__, /*! @codemirror/lang-markdown */ "../../../../../node_modules/@codemirror/lang-markdown/dist/index.js"));
                return m.markdown({
                    codeLanguages: (info) => languages.findBest(info)
                });
            }
        });
        const factoryService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.CodeMirrorEditorFactory({
            extensions: editorExtensions(),
            languages
        });
        const rendermime = new _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_0__.RenderMimeRegistry({ initialFactories: _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_0__.standardRendererFactories });
        const mimeTypeService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_2__.CodeMirrorMimeTypeService(languages);
        const editorFactory = factoryService.newInlineEditor;
        const contentFactory = new _jupyterlab_console__WEBPACK_IMPORTED_MODULE_4__.ConsolePanel.ContentFactory({ editorFactory });
        const consolePanel = new _jupyterlab_console__WEBPACK_IMPORTED_MODULE_4__.ConsolePanel({
            manager: serviceManager,
            rendermime,
            path,
            contentFactory,
            mimeTypeService,
            kernelPreference: {
                shouldStart: true,
                name: 'python',
                //        autoStartDefault: true,
            }
        });
        consolePanel.title.label = 'Console';
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.BoxPanel.setStretch(consolePanel, 1);
        panel.addWidget(consolePanel);
        window.addEventListener('resize', () => {
            panel.update();
        });
        const selector = '.jp-ConsolePanel';
        let command;
        command = 'console:clear';
        commands.addCommand(command, {
            label: 'Clear',
            execute: () => {
                consolePanel.console.clear();
            }
        });
        command = 'console:execute';
        commands.addCommand(command, {
            label: 'Execute Prompt',
            execute: () => {
                return consolePanel.console.execute();
            }
        });
        commands.addKeyBinding({ command, selector, keys: ['Enter'] });
        command = 'console:execute-forced';
        commands.addCommand(command, {
            label: 'Execute Cell (forced)',
            execute: () => {
                return consolePanel.console.execute(true);
            }
        });
        commands.addKeyBinding({ command, selector, keys: ['Shift Enter'] });
        command = 'console:linebreak';
        commands.addCommand(command, {
            label: 'Insert Line Break',
            execute: () => {
                consolePanel.console.insertLinebreak();
            }
        });
        commands.addKeyBinding({ command, selector, keys: ['Ctrl Enter'] });
    }
    get panel() {
        return this._panel;
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ConsoleAdapter);


/***/ }),

/***/ "./lib/components/console/ConsoleState.js":
/*!************************************************!*\
  !*** ./lib/components/console/ConsoleState.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ConsoleActionType": () => (/* binding */ ConsoleActionType),
/* harmony export */   "consoleActions": () => (/* binding */ consoleActions),
/* harmony export */   "consoleInitialState": () => (/* binding */ consoleInitialState),
/* harmony export */   "consoleReducer": () => (/* binding */ consoleReducer),
/* harmony export */   "selectConsole": () => (/* binding */ selectConsole)
/* harmony export */ });
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_2__);


const consoleInitialState = {
    outputs: 0,
};
/* Selectors */
const selectConsole = () => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.console) {
        return state.console;
    }
    return { outputs: 0 };
});
/* Actions */

var ConsoleActionType;
(function (ConsoleActionType) {
    ConsoleActionType["OUTPUTS"] = "console/OUTPUTS";
    ConsoleActionType["EXECUTE"] = "console/EXECUTE";
})(ConsoleActionType || (ConsoleActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_2___default()('jupyterReact');
const consoleActions = {
    outputs: actionCreator(ConsoleActionType.OUTPUTS),
    execute: actionCreator(ConsoleActionType.EXECUTE),
};
/* Reducers */
const consoleReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_1__.reducerWithInitialState)(consoleInitialState)
    .case(consoleActions.outputs, (state, success) => {
    return {
        ...state,
        outputs: success
    };
});


/***/ }),

/***/ "./lib/components/dialog/Dialog.js":
/*!*****************************************!*\
  !*** ./lib/components/dialog/Dialog.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Dialog": () => (/* binding */ Dialog),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyter_lumino_LuminoDetached__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../jupyter/lumino/LuminoDetached */ "./lib/jupyter/lumino/LuminoDetached.js");
/* harmony import */ var _DialogAdapter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./DialogAdapter */ "./lib/components/dialog/DialogAdapter.js");




const Dialog = () => {
    const [dialogAdapter, _] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(new _DialogAdapter__WEBPACK_IMPORTED_MODULE_2__["default"]());
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        dialogAdapter.dialog.launch().then(success => success);
    }, []);
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_LuminoDetached__WEBPACK_IMPORTED_MODULE_3__["default"], { children: dialogAdapter.dialog });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Dialog);


/***/ }),

/***/ "./lib/components/dialog/DialogAdapter.js":
/*!************************************************!*\
  !*** ./lib/components/dialog/DialogAdapter.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DialogAdapter": () => (/* binding */ DialogAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__);

class DialogAdapter {
    dialog;
    constructor() {
        this.dialog = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Dialog({
            title: 'Dialog Title',
            body: 'This is the body of the dialog...',
            buttons: [
                _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Dialog.cancelButton(),
                _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.Dialog.okButton(),
            ]
        });
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (DialogAdapter);


/***/ }),

/***/ "./lib/components/filemanager/FileManagerState.js":
/*!********************************************************!*\
  !*** ./lib/components/filemanager/FileManagerState.js ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FileManagerActionType": () => (/* binding */ FileManagerActionType),
/* harmony export */   "fileBrowserActions": () => (/* binding */ fileBrowserActions),
/* harmony export */   "fileBrowserInitialState": () => (/* binding */ fileBrowserInitialState),
/* harmony export */   "fileBrowserReducer": () => (/* binding */ fileBrowserReducer),
/* harmony export */   "selectFileManager": () => (/* binding */ selectFileManager)
/* harmony export */ });
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__);



const fileBrowserInitialState = {
    outputs: 0
};
/* Selectors */
const selectFileManager = () => (0,react_redux__WEBPACK_IMPORTED_MODULE_1__.useSelector)((state) => {
    if (state.fileBrowser) {
        return state.fileBrowser;
    }
    return { outputs: 0 };
});
/* Actions */
var FileManagerActionType;
(function (FileManagerActionType) {
    FileManagerActionType["OUTPUTS"] = "fileBrowser/OUTPUTS";
    FileManagerActionType["EXECUTE"] = "fileBrowser/EXECUTE";
})(FileManagerActionType || (FileManagerActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_0___default()('jupyterReact');
const fileBrowserActions = {
    outputs: actionCreator(FileManagerActionType.OUTPUTS),
    execute: actionCreator(FileManagerActionType.EXECUTE),
};
/* Reducers */
const fileBrowserReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__.reducerWithInitialState)(fileBrowserInitialState)
    .case(fileBrowserActions.outputs, (state, success) => {
    return {
        ...state,
        outputs: success,
    };
});


/***/ }),

/***/ "./lib/components/filemanager/lab/FileManagerAdapter.js":
/*!**************************************************************!*\
  !*** ./lib/components/filemanager/lab/FileManagerAdapter.js ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/commands */ "webpack/sharing/consume/default/@lumino/commands");
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_commands__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_algorithm__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/algorithm */ "webpack/sharing/consume/default/@lumino/algorithm");
/* harmony import */ var _lumino_algorithm__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_algorithm__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/signaling */ "webpack/sharing/consume/default/@lumino/signaling");
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_signaling__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/services */ "webpack/sharing/consume/default/@jupyterlab/services");
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_services__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @jupyterlab/codemirror */ "webpack/sharing/consume/default/@jupyterlab/codemirror");
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _jupyterlab_docmanager__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @jupyterlab/docmanager */ "webpack/sharing/consume/default/@jupyterlab/docmanager");
/* harmony import */ var _jupyterlab_docmanager__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_docmanager__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @jupyterlab/docregistry */ "webpack/sharing/consume/default/@jupyterlab/docregistry");
/* harmony import */ var _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _jupyterlab_filebrowser__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @jupyterlab/filebrowser */ "webpack/sharing/consume/default/@jupyterlab/filebrowser");
/* harmony import */ var _jupyterlab_filebrowser__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_filebrowser__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _jupyterlab_fileeditor__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @jupyterlab/fileeditor */ "webpack/sharing/consume/default/@jupyterlab/fileeditor");
/* harmony import */ var _jupyterlab_fileeditor__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_fileeditor__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @jupyterlab/ui-components */ "webpack/sharing/consume/default/@jupyterlab/ui-components");
/* harmony import */ var _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_11__);













class FileBrowserAdapter {
    fileBrowserPanel;
    constructor() {
        this.fileBrowserPanel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.SplitPanel();
        this.fileBrowserPanel.id = 'dla-jlab-filebrowser';
        this.fileBrowserPanel.orientation = 'horizontal';
        this.fileBrowserPanel.spacing = 0;
        const manager = new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_4__.ServiceManager();
        void manager.ready.then(() => {
            createApp(manager, this.fileBrowserPanel);
        });
        function createApp(manager, panel) {
            const widgets = [];
            let activeWidget;
            const opener = {
                opened: new _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__.Signal(this),
                open: (widget) => {
                    if (widgets.indexOf(widget) === -1) {
                        dock.addWidget(widget, { mode: 'tab-after' });
                        widgets.push(widget);
                    }
                    dock.activateWidget(widget);
                    activeWidget = widget;
                    widget.disposed.connect((w) => {
                        const index = widgets.indexOf(w);
                        widgets.splice(index, 1);
                    });
                }
            };
            const docRegistry = new _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_8__.DocumentRegistry();
            const docManager = new _jupyterlab_docmanager__WEBPACK_IMPORTED_MODULE_7__.DocumentManager({
                registry: docRegistry,
                manager,
                opener
            });
            const languages = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6__.EditorLanguageRegistry();
            _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6__.EditorLanguageRegistry.getDefaultLanguages()
                .filter(language => ['ipython', 'julia', 'python'].includes(language.name.toLowerCase()))
                .forEach(language => {
                languages.addLanguage(language);
            });
            // Language for Markdown cells
            languages.addLanguage({
                name: 'ipythongfm',
                mime: 'text/x-ipythongfm',
                load: async () => {
                    const m = await Promise.all(/*! import() */[__webpack_require__.e("vendors-node_modules_codemirror_autocomplete_dist_index_js"), __webpack_require__.e("vendors-node_modules_lezer_lr_dist_index_js"), __webpack_require__.e("vendors-node_modules_codemirror_lang-markdown_dist_index_js"), __webpack_require__.e("webpack_sharing_consume_default_codemirror_language-webpack_sharing_consume_default_lezer_common"), __webpack_require__.e("webpack_sharing_consume_default_lezer_highlight")]).then(__webpack_require__.bind(__webpack_require__, /*! @codemirror/lang-markdown */ "../../../../../node_modules/@codemirror/lang-markdown/dist/index.js"));
                    return m.markdown({
                        codeLanguages: (info) => languages.findBest(info)
                    });
                }
            });
            const editorServices = {
                factoryService: new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6__.CodeMirrorEditorFactory(),
                mimeTypeService: new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_6__.CodeMirrorMimeTypeService(languages)
            };
            const wFactory = new _jupyterlab_fileeditor__WEBPACK_IMPORTED_MODULE_10__.FileEditorFactory({
                editorServices,
                factoryOptions: {
                    name: 'Editor',
                    modelName: 'text',
                    fileTypes: ['*'],
                    defaultFor: ['*'],
                    preferKernel: false,
                    canStartKernel: true
                }
            });
            docRegistry.addWidgetFactory(wFactory);
            const commands = new _lumino_commands__WEBPACK_IMPORTED_MODULE_0__.CommandRegistry();
            const fbModel = new _jupyterlab_filebrowser__WEBPACK_IMPORTED_MODULE_9__.FilterFileBrowserModel({
                manager: docManager
            });
            const fbWidget = new _jupyterlab_filebrowser__WEBPACK_IMPORTED_MODULE_9__.FileBrowser({
                id: 'filebrowser',
                model: fbModel
            });
            // Add a creator toolbar item.
            const creator = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5__.ToolbarButton({
                icon: _jupyterlab_ui_components__WEBPACK_IMPORTED_MODULE_11__.addIcon,
                onClick: () => {
                    void docManager
                        .newUntitled({
                        type: 'file',
                        path: fbModel.path
                    })
                        .then(model => {
                        docManager.open(model.path);
                    });
                }
            });
            fbWidget.toolbar.insertItem(0, 'create', creator);
            panel.addWidget(fbWidget);
            _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.SplitPanel.setStretch(fbWidget, 0);
            const dock = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.DockPanel();
            panel.addWidget(dock);
            _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.SplitPanel.setStretch(dock, 1);
            dock.spacing = 8;
            document.addEventListener('focus', event => {
                for (let i = 0; i < widgets.length; i++) {
                    const widget = widgets[i];
                    if (widget.node.contains(event.target)) {
                        activeWidget = widget;
                        break;
                    }
                }
            });
            // Add commands.
            commands.addCommand('file-open', {
                label: 'Open',
                //        icon: 'fa fa-folder-open-o',
                mnemonic: 0,
                execute: () => {
                    (0,_lumino_algorithm__WEBPACK_IMPORTED_MODULE_1__.each)(fbWidget.selectedItems(), item => {
                        docManager.openOrReveal(item.path);
                    });
                }
            });
            commands.addCommand('file-rename', {
                label: 'Rename',
                //        icon: 'fa fa-edit',
                mnemonic: 0,
                execute: () => {
                    return fbWidget.rename();
                }
            });
            commands.addCommand('file-save', {
                execute: () => {
                    const context = docManager.contextForWidget(activeWidget);
                    return context?.save();
                }
            });
            commands.addCommand('file-cut', {
                label: 'Cut',
                //        icon: 'fa fa-cut',
                execute: () => {
                    fbWidget.cut();
                }
            });
            commands.addCommand('file-copy', {
                label: 'Copy',
                //        icon: 'fa fa-copy',
                mnemonic: 0,
                execute: () => {
                    fbWidget.copy();
                }
            });
            commands.addCommand('file-delete', {
                label: 'Delete',
                //        icon: 'fa fa-remove',
                mnemonic: 0,
                execute: () => {
                    return fbWidget.delete();
                }
            });
            commands.addCommand('file-duplicate', {
                label: 'Duplicate',
                //        icon: 'fa fa-copy',
                mnemonic: 0,
                execute: () => {
                    return fbWidget.duplicate();
                }
            });
            commands.addCommand('file-paste', {
                label: 'Paste',
                //        icon: 'fa fa-paste',
                mnemonic: 0,
                execute: () => {
                    return fbWidget.paste();
                }
            });
            commands.addCommand('file-download', {
                label: 'Download',
                //        icon: 'fa fa-download',
                execute: () => {
                    return fbWidget.download();
                }
            });
            commands.addCommand('file-shutdown-kernel', {
                label: 'Shut Down Kernel',
                //        icon: 'fa fa-stop-circle-o',
                execute: () => {
                    return fbWidget.shutdownKernels();
                }
            });
            commands.addCommand('file-dialog-demo', {
                label: 'Dialog Demo',
                execute: () => {
                    dialogDemo();
                }
            });
            commands.addCommand('file-info-demo', {
                label: 'Info Demo',
                execute: () => {
                    const msg = 'The quick brown fox jumped over the lazy dog';
                    void (0,_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5__.showDialog)({
                        title: 'Cool Title',
                        body: msg,
                        buttons: [_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5__.Dialog.okButton()]
                    });
                }
            });
            commands.addKeyBinding({
                keys: ['Enter'],
                selector: '.jp-DirListing',
                command: 'file-open'
            });
            commands.addKeyBinding({
                keys: ['Accel S'],
                selector: '.jp-CodeMirrorEditor',
                command: 'file-save'
            });
            window.addEventListener('keydown', event => {
                commands.processKeydownEvent(event);
            });
            // Create a context menu.
            const menu = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.Menu({ commands });
            menu.addItem({ command: 'file-open' });
            menu.addItem({ command: 'file-rename' });
            menu.addItem({ command: 'file-remove' });
            menu.addItem({ command: 'file-duplicate' });
            menu.addItem({ command: 'file-delete' });
            menu.addItem({ command: 'file-cut' });
            menu.addItem({ command: 'file-copy' });
            menu.addItem({ command: 'file-paste' });
            menu.addItem({ command: 'file-shutdown-kernel' });
            menu.addItem({ command: 'file-dialog-demo' });
            menu.addItem({ command: 'file-info-demo' });
            // Add a context menu to the dir listing.
            const node = fbWidget.node.getElementsByClassName('jp-DirListing-content')[0];
            node.addEventListener('contextmenu', (event) => {
                event.preventDefault();
                const x = event.clientX;
                const y = event.clientY;
                menu.open(x, y);
            });
            // Handle resize events.
            window.addEventListener('resize', () => {
                panel.update();
            });
        }
        /**
         * Create a non-functional dialog demo.
         */
        function dialogDemo() {
            const body = document.createElement('div');
            const input = document.createElement('input');
            input.value = 'Untitled.ipynb';
            const selector = document.createElement('select');
            const option0 = document.createElement('option');
            option0.value = 'python';
            option0.text = 'Python';
            selector.appendChild(option0);
            const option1 = document.createElement('option');
            option1.value = 'julia';
            option1.text = 'Julia';
            selector.appendChild(option1);
            body.appendChild(input);
            body.appendChild(selector);
            void (0,_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_5__.showDialog)({
                title: 'Create new notebook'
            });
        }
    }
    get panel() {
        return this.fileBrowserPanel;
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FileBrowserAdapter);


/***/ }),

/***/ "./lib/components/filemanager/lab/FileManagerLab.js":
/*!**********************************************************!*\
  !*** ./lib/components/filemanager/lab/FileManagerLab.js ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FileManagerLab": () => (/* binding */ FileManagerLab),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _FileManagerAdapter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./FileManagerAdapter */ "./lib/components/filemanager/lab/FileManagerAdapter.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");



const FileManagerLab = () => {
    const fileBrowserAdapter = new _FileManagerAdapter__WEBPACK_IMPORTED_MODULE_1__["default"]();
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__["default"], { children: fileBrowserAdapter.panel });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (FileManagerLab);


/***/ }),

/***/ "./lib/components/notebook/Notebook.js":
/*!*********************************************!*\
  !*** ./lib/components/notebook/Notebook.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Notebook": () => (/* binding */ Notebook),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Box/Box.js");
/* harmony import */ var _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./../../jupyter/JupyterContext */ "./lib/jupyter/JupyterContext.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");
/* harmony import */ var _jupyter_lumino_LuminoObservable__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./../../jupyter/lumino/LuminoObservable */ "./lib/jupyter/lumino/LuminoObservable.js");
/* harmony import */ var _cell_metadata_CellMetadataEditor__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./cell/metadata/CellMetadataEditor */ "./lib/components/notebook/cell/metadata/CellMetadataEditor.js");
/* harmony import */ var _utils_Utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/Utils */ "./lib/utils/Utils.js");
/* harmony import */ var _NotebookAdapter__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./NotebookAdapter */ "./lib/components/notebook/NotebookAdapter.js");
/* harmony import */ var _NotebookState__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./NotebookState */ "./lib/components/notebook/NotebookState.js");













/**
 * This component creates a Notebook as a collection of snippets
 * with sidebars.
 *
 * @param props The notebook properties.
 * @returns A Notebook React.js component.
 */
const Notebook = (props) => {
    const { serviceManager, defaultKernel, kernelManager, injectableStore } = (0,_jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_4__.useJupyter)();
    const { path, kernel: propsKernel, readOnly, nbgrader, height, maxHeight, nbformat, Toolbar } = props;
    const [uid] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(props.uid || (0,_utils_Utils__WEBPACK_IMPORTED_MODULE_5__.newUuid)());
    const kernel = propsKernel || defaultKernel;
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_3__.useDispatch)();
    const portals = (0,_NotebookState__WEBPACK_IMPORTED_MODULE_6__.selectNotebookPortals)(uid);
    const [adapter, setAdapter] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    const newAdapterState = () => {
        if (uid && serviceManager && kernelManager && kernel) {
            kernel.ready.then(() => {
                const adapter = new _NotebookAdapter__WEBPACK_IMPORTED_MODULE_7__["default"]({
                    ...props,
                    kernel,
                    uid,
                }, injectableStore, serviceManager);
                setAdapter(adapter);
                dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.update({ uid, partialState: { adapter: adapter } }));
                adapter.serviceManager.ready.then(() => {
                    if (!readOnly) {
                        const activeCell = adapter.notebookPanel.content.activeCell;
                        if (activeCell) {
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.activeCellChange({ uid, cellModel: activeCell }));
                        }
                        const activeCellChanged$ = (0,_jupyter_lumino_LuminoObservable__WEBPACK_IMPORTED_MODULE_8__.asObservable)(adapter.notebookPanel.content.activeCellChanged);
                        activeCellChanged$.subscribe((cellModel) => {
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.activeCellChange({ uid, cellModel }));
                            const panelDiv = document.getElementById('right-panel-id');
                            if (panelDiv) {
                                const cellMetadataOptions = ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_9__["default"], { mt: 3, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_cell_metadata_CellMetadataEditor__WEBPACK_IMPORTED_MODULE_10__["default"], { notebookId: uid, cell: cellModel, nbgrader: nbgrader }) }));
                                const portal = (0,react_dom__WEBPACK_IMPORTED_MODULE_2__.createPortal)(cellMetadataOptions, panelDiv);
                                dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.setPortalDisplay({ uid, portalDisplay: { portal, pinned: false } }));
                            }
                        });
                    }
                    adapter.notebookPanel?.model?.contentChanged.connect((notebookModel, _) => {
                        dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.modelChange({ uid, notebookModel }));
                    });
                    /*
                    adapter.notebookPanel?.model!.sharedModel.changed.connect((_, notebookChange) => {
                      dispatch(notebookActions.notebookChange({ uid, notebookChange }));
                    });
                    adapter.notebookPanel?.content.modelChanged.connect((notebook, _) => {
                      dispatÅch(notebookActions.notebookChange({ uid, notebook }));
                    });
                    */
                    adapter.notebookPanel?.content.activeCellChanged.connect((_, cellModel) => {
                        if (cellModel === null) {
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.activeCellChange({ uid, cellModel: undefined }));
                        }
                        else {
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.activeCellChange({ uid, cellModel }));
                        }
                    });
                    adapter.notebookPanel?.sessionContext.statusChanged.connect((_, kernelStatus) => {
                        dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.kernelStatusChanged({ uid, kernelStatus }));
                    });
                });
            });
        }
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        injectableStore.inject('notebook', _NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookReducer, _NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookEpics);
    }, []);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        newAdapterState();
        return () => {
            if (adapter) {
                adapter.dispose();
            }
            setAdapter(undefined);
            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.setPortalDisplay({ uid, portalDisplay: undefined }));
            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_6__.notebookActions.dispose(uid));
        };
    }, [uid, serviceManager, kernelManager, kernel, path]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (adapter && nbformat) {
            adapter.setNbformat(nbformat);
        }
    }, [nbformat]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", { style: { height, width: '100%', position: "relative" }, id: "dla-Jupyter-Notebook", children: [Toolbar && (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(Toolbar, { notebookId: props.uid }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_9__["default"], { className: "box-notebook", sx: {
                    '& .dla-Jupyter-Notebook': {
                        height,
                        maxHeight,
                        width: '100%',
                        overflowY: 'hidden',
                    },
                    '& .datalayer-NotebookPanel-header': {
                        minHeight: '50px',
                    },
                    '& .jp-Notebook': {
                        flex: '1 1 auto !important',
                        height: '100%',
                        overflowY: 'scroll',
                    },
                    '& .jp-NotebookPanel': {
                        height: '100% !important',
                        width: "100% !important",
                    },
                    '& .jp-Toolbar': {
                        display: 'none',
                        zIndex: 0,
                    },
                    '& .jp-Toolbar .jp-HTMLSelect.jp-DefaultStyle select': {
                        fontSize: '14px',
                    },
                    '& .jp-Toolbar > .jp-Toolbar-responsive-opener': {
                        display: 'none',
                    },
                    '& .jp-Toolbar-kernelName': {
                        display: 'none',
                    },
                    '& .jp-Cell': {
                        width: `calc(100% - ${props.cellSidebarMargin}px)`,
                    },
                    '& .jp-Notebook-footer': {
                        width: `calc(100% - ${props.cellSidebarMargin + 82}px)`,
                    },
                    '& .jp-Cell .jp-CellHeader': {
                        position: 'absolute',
                        top: '-5px',
                        left: `${props.cellSidebarMargin + 10}px`,
                        height: 'auto',
                    },
                    '& .jp-Cell .dla-CellHeader-Container': {
                        padding: '4px 8px',
                        width: `${props.cellSidebarMargin + 10}px`,
                        marginLeft: 'auto',
                    },
                    '& .jp-CodeMirrorEditor': {
                        cursor: 'text !important',
                    },
                    '.box-notebook': {
                        position: 'relative',
                    },
                }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: portals?.map((portal) => portal) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_9__["default"], { children: adapter && (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_11__["default"], { id: path, children: adapter.panel }) })] })] }));
};
Notebook.defaultProps = {
    cellMetadataPanel: false,
    cellSidebarMargin: 120,
    height: '100vh',
    ipywidgets: 'lab',
    maxHeight: '100vh',
    nbgrader: false,
    readOnly: false,
    renderers: [],
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Notebook);


/***/ }),

/***/ "./lib/components/notebook/NotebookAdapter.js":
/*!****************************************************!*\
  !*** ./lib/components/notebook/NotebookAdapter.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "NotebookAdapter": () => (/* binding */ NotebookAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_algorithm__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/algorithm */ "webpack/sharing/consume/default/@lumino/algorithm");
/* harmony import */ var _lumino_algorithm__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_algorithm__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/commands */ "webpack/sharing/consume/default/@lumino/commands");
/* harmony import */ var _lumino_commands__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_commands__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/docregistry */ "webpack/sharing/consume/default/@jupyterlab/docregistry");
/* harmony import */ var _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/rendermime */ "webpack/sharing/consume/default/@jupyterlab/rendermime");
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyterlab/json-extension */ "webpack/sharing/consume/default/@jupyterlab/json-extension");
/* harmony import */ var _jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @jupyterlab/javascript-extension */ "webpack/sharing/consume/default/@jupyterlab/javascript-extension");
/* harmony import */ var _jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @jupyterlab/notebook */ "webpack/sharing/consume/default/@jupyterlab/notebook");
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @jupyterlab/codemirror */ "webpack/sharing/consume/default/@jupyterlab/codemirror");
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @jupyterlab/completer */ "webpack/sharing/consume/default/@jupyterlab/completer");
/* harmony import */ var _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @jupyterlab/mathjax-extension */ "webpack/sharing/consume/default/@jupyterlab/mathjax-extension");
/* harmony import */ var _jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @jupyter-widgets/html-manager */ "webpack/sharing/consume/default/@jupyter-widgets/html-manager/@jupyter-widgets/html-manager");
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @jupyter-widgets/html-manager/lib/output_renderers */ "../../../../../node_modules/@jupyter-widgets/html-manager/lib/output_renderers.js");
/* harmony import */ var _content_JupyterReactContentFactory__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./content/JupyterReactContentFactory */ "./lib/components/notebook/content/JupyterReactContentFactory.js");
/* harmony import */ var _model_JupyterReactNotebookModelFactory__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./model/JupyterReactNotebookModelFactory */ "./lib/components/notebook/model/JupyterReactNotebookModelFactory.js");
/* harmony import */ var _NotebookCommands__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./NotebookCommands */ "./lib/components/notebook/NotebookCommands.js");
/* harmony import */ var _jupyter_ipywidgets_IPyWidgetsManager__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../../jupyter/ipywidgets/IPyWidgetsManager */ "./lib/jupyter/ipywidgets/IPyWidgetsManager.js");
/* harmony import */ var _marked_marked__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./marked/marked */ "./lib/components/notebook/marked/marked.js");
/* harmony import */ var _jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../../jupyter/ipywidgets/lab/plugin */ "./lib/jupyter/ipywidgets/lab/plugin.js");



















// import { activateWidgetExtension } from "../../jupyter/ipywidgets/lab2/IPyWidgetsJupyterLab";
// import { activatePlotlyWidgetExtensiofn } from "./../../jupyter/ipywidgets/plotly/JupyterlabPlugin";
const FALLBACK_PATH = "ping.ipynb";
class NotebookAdapter {
    _boxPanel;
    _commandRegistry;
    _context;
    _bundledIPyWidgets;
    _externalIPyWidgets;
    _iPyWidgetsClassicManager;
    _ipywidgets;
    _kernel;
    _nbformat;
    _nbgrader;
    _notebookPanel;
    _path;
    _readOnly;
    _renderers;
    _rendermime;
    _serviceManager;
    _store;
    _tracker;
    _uid;
    _CellSidebar;
    constructor(props, store, serviceManager) {
        this._bundledIPyWidgets = props.bundledIPyWidgets;
        this._externalIPyWidgets = props.externalIPyWidgets;
        this._ipywidgets = props.ipywidgets;
        this._kernel = props.kernel;
        this._nbformat = props.nbformat;
        this._nbgrader = props.nbgrader;
        this._path = props.path;
        this._readOnly = props.readOnly;
        this._renderers = props.renderers;
        this._serviceManager = serviceManager;
        this._store = store;
        this._uid = props.uid;
        this._CellSidebar = props.CellSidebar;
        //
        this._boxPanel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_2__.BoxPanel();
        this._boxPanel.addClass('dla-Jupyter-Notebook');
        this._boxPanel.spacing = 0;
        this._commandRegistry = new _lumino_commands__WEBPACK_IMPORTED_MODULE_1__.CommandRegistry();
        //
        this.loadNotebook();
    }
    loadNotebook() {
        const useCapture = true;
        document.addEventListener('keydown', event => { this._commandRegistry?.processKeydownEvent(event); }, useCapture);
        const rendererFactories = _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_4__.standardRendererFactories.filter(factory => factory.mimeTypes[0] !== 'text/javascript');
        rendererFactories.push(_jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_5__.rendererFactory);
        rendererFactories.push(_jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_6__.rendererFactory);
        this._renderers.map(renderer => rendererFactories.push(renderer));
        const languages = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorLanguageRegistry();
        // Register default languages.
        for (const language of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorLanguageRegistry.getDefaultLanguages()) {
            languages.addLanguage(language);
        }
        // Add Jupyter Markdown flavor here to support code block highlighting.
        languages.addLanguage({
            name: 'ipythongfm',
            mime: 'text/x-ipythongfm',
            load: async () => {
                // TODO: add support for LaTeX.
                const m = await Promise.all(/*! import() */[__webpack_require__.e("vendors-node_modules_codemirror_autocomplete_dist_index_js"), __webpack_require__.e("vendors-node_modules_lezer_lr_dist_index_js"), __webpack_require__.e("vendors-node_modules_codemirror_lang-markdown_dist_index_js"), __webpack_require__.e("webpack_sharing_consume_default_codemirror_language-webpack_sharing_consume_default_lezer_common"), __webpack_require__.e("webpack_sharing_consume_default_lezer_highlight")]).then(__webpack_require__.bind(__webpack_require__, /*! @codemirror/lang-markdown */ "../../../../../node_modules/@codemirror/lang-markdown/dist/index.js"));
                return m.markdown({
                    codeLanguages: (info) => languages.findBest(info)
                });
            }
        });
        this._rendermime = new _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_4__.RenderMimeRegistry({
            initialFactories: rendererFactories,
            latexTypesetter: new _jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_10__.MathJaxTypesetter(),
            markdownParser: (0,_marked_marked__WEBPACK_IMPORTED_MODULE_13__["default"])(languages),
        });
        const documentRegistry = new _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_3__.DocumentRegistry({});
        const mimeTypeService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.CodeMirrorMimeTypeService(languages);
        const themes = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorThemeRegistry();
        for (const theme of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorThemeRegistry.getDefaultThemes()) {
            themes.addTheme(theme);
        }
        const editorExtensions = () => {
            const registry = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorExtensionRegistry();
            for (const extensionFactory of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorExtensionRegistry.getDefaultExtensions({ themes })) {
                registry.addExtension(extensionFactory);
            }
            registry.addExtension({
                name: 'shared-model-binding',
                factory: options => {
                    const sharedModel = options.model.sharedModel;
                    return _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.EditorExtensionRegistry.createImmutableExtension((0,_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.ybinding)({
                        ytext: sharedModel.ysource,
                        undoManager: sharedModel.undoManager ?? undefined
                    }));
                }
            });
            return registry;
        };
        const factoryService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_8__.CodeMirrorEditorFactory({
            extensions: editorExtensions(),
            languages
        });
        const editorServices = {
            factoryService,
            mimeTypeService,
        };
        const editorFactory = editorServices.factoryService.newInlineEditor;
        const contentFactory = this._CellSidebar
            ?
                new _content_JupyterReactContentFactory__WEBPACK_IMPORTED_MODULE_14__["default"](this._CellSidebar, this._uid, this._nbgrader, this._commandRegistry, { editorFactory }, this._store)
            :
                new _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_7__.NotebookPanel.ContentFactory({ editorFactory });
        this._tracker = new _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_7__.NotebookTracker({ namespace: this._uid });
        const notebookWidgetFactory = new _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_7__.NotebookWidgetFactory({
            name: 'Notebook',
            modelName: 'viewer',
            fileTypes: ['notebook'],
            defaultFor: ['notebook'],
            preferKernel: true,
            autoStartDefault: false,
            canStartKernel: false,
            shutdownOnClose: false,
            rendermime: this._rendermime,
            contentFactory,
            mimeTypeService: editorServices.mimeTypeService,
        });
        notebookWidgetFactory.widgetCreated.connect((sender, notebookPanel) => {
            notebookPanel.context.pathChanged.connect(() => {
                this._tracker?.save(notebookPanel);
            });
            this._tracker?.add(notebookPanel);
        });
        documentRegistry.addWidgetFactory(notebookWidgetFactory);
        const notebookModelFactory = new _model_JupyterReactNotebookModelFactory__WEBPACK_IMPORTED_MODULE_15__["default"]({
            nbformat: this._nbformat,
            readOnly: this._readOnly,
        });
        documentRegistry.addModelFactory(notebookModelFactory);
        switch (this._ipywidgets) {
            case 'classic': {
                this._iPyWidgetsClassicManager = new _jupyter_ipywidgets_IPyWidgetsManager__WEBPACK_IMPORTED_MODULE_16__.IPyWidgetsManager({ loader: _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_11__.requireLoader });
                this._rendermime.addFactory({
                    safe: false,
                    mimeTypes: [_jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_12__.WIDGET_MIMETYPE],
                    createRenderer: (options) => new _jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_12__.WidgetRenderer(options, this._iPyWidgetsClassicManager),
                }, 1);
                break;
            }
        }
        this._context = new _jupyterlab_docregistry__WEBPACK_IMPORTED_MODULE_3__.Context({
            manager: this._serviceManager,
            factory: notebookModelFactory,
            path: this._path ?? FALLBACK_PATH,
            kernelPreference: {
                id: this._kernel.id,
                shouldStart: false,
                canStart: false,
                autoStartDefault: false,
                shutdownOnDispose: false,
            }
        });
        // These are fixes to have more control on the kernel launch.
        this._context.sessionContext._initialize = async () => {
            const manager = this._context.sessionContext.sessionManager;
            await manager.ready;
            await manager.refreshRunning();
            const model = (0,_lumino_algorithm__WEBPACK_IMPORTED_MODULE_0__.find)(manager.running(), (item) => {
                //        return (item as any).name === (this._context!.sessionContext as any)._name;
                return item.kernel?.id === this._kernel.id;
            });
            if (model) {
                try {
                    const session = manager.connectTo({
                        model,
                        kernelConnectionOptions: {
                            handleComms: true,
                        }
                    });
                    this._context.sessionContext._handleNewSession(session);
                }
                catch (err) {
                    void this._context.sessionContext._handleSessionError(err);
                    return Promise.reject(err);
                }
            }
            return await this._context.sessionContext._startIfNecessary();
        };
        /*
        (this._context.sessionContext as any).startKernel = async (): Promise<boolean> => {
         const preference = (this._context!.sessionContext as any).kernelPreference;
         if (!preference.autoStartDefault && preference.shouldStart === false) {
           return true;
         }
         let options: Partial<JupyterKernel.IModel> | undefined;
         if (preference.id) {
           options = { id: preference.id };
         } else {
           const name = (this._context!.sessionContext as any).Private.getDefaultKernel({
             specs: (this._context!.sessionContext as any).specsManager.specs,
             sessions: (this._context!.sessionContext as any).sessionManager.running(),
             preference
           });
           if (name) {
             options = { name };
           }
         }
         if (options) {
           try {
             await (this._context!.sessionContext as any)._changeKernel(options);
             return false;
           } catch (err) {
             // no-op
           }
         }
         return true;
       }
       */
        const registerIPyWidgets = () => {
            switch (this._ipywidgets) {
                case 'classic': {
                    this._notebookPanel.sessionContext.kernelChanged.connect((sender, args) => {
                        this._iPyWidgetsClassicManager?.registerWithKernel(args.newValue);
                    });
                    break;
                }
                case 'lab': {
                    const jupyterWidgetRegistry = _jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__.managerPlugin.activate(this._rendermime, this._tracker);
                    _jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__.baseWidgetsPlugin.activate(jupyterWidgetRegistry);
                    _jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__.controlWidgetsPlugin.activate(jupyterWidgetRegistry);
                    _jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__.outputWidgetPlugin.activate(jupyterWidgetRegistry);
                    if (this._bundledIPyWidgets) {
                        (0,_jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__.bundledIPyWidgetsPlugin)(this._context, this._tracker, this._bundledIPyWidgets);
                    }
                    if (this._externalIPyWidgets) {
                        (0,_jupyter_ipywidgets_lab_plugin__WEBPACK_IMPORTED_MODULE_17__.externalIPyWidgetsPlugin)(this._context, this._tracker, this._externalIPyWidgets);
                    }
                    break;
                }
            }
        };
        registerIPyWidgets();
        this._context.sessionContext.kernelChanged.connect((_, args) => {
            const kernelConnection = args.newValue;
            console.log('Current Kernel Connection', kernelConnection);
            if (kernelConnection && !kernelConnection.handleComms) {
                console.warn('The Kernel Connection does not handle Comms', kernelConnection.id);
                kernelConnection.handleComms = true;
                console.log('The Kernel Connection is updated to enforce Comms support', kernelConnection.handleComms);
            }
            //      registerIPyWidgets();
        });
        /*
        // Alternative way to create a NotebookPanel.
        const content = new Notebook({
          rendermime: this._rendermime!,
          contentFactory,
          mimeTypeService,
          notebookConfig: {
            ...StaticNotebook.defaultNotebookConfig,
            windowingMode: 'none'
          }
        });
        this._notebookPanel = new NotebookPanel({
          context: this._context,
          content,
        });
        */
        this._notebookPanel = documentRegistry.getWidgetFactory('Notebook')?.createNew(this._context);
        const completerHandler = this.setupCompleter(this._notebookPanel);
        (0,_NotebookCommands__WEBPACK_IMPORTED_MODULE_18__.NotebookCommands)(this._commandRegistry, this._notebookPanel, completerHandler, this._tracker, this._path);
        this._boxPanel.addWidget(this._notebookPanel);
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_2__.BoxPanel.setStretch(this._notebookPanel, 0);
        window.addEventListener('resize', () => {
            this._notebookPanel?.update();
        });
        const isNew = ((this._path !== undefined) && (this._path !== "")) ? false : true;
        this._context.initialize(isNew).then(() => {
            //      this.assignKernel(this._kernel!);
        });
    }
    setupCompleter(notebookPanel) {
        const editor = notebookPanel.content.activeCell && notebookPanel.content.activeCell.editor;
        const sessionContext = notebookPanel.context.sessionContext;
        const completerModel = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.CompleterModel();
        const completer = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.Completer({ editor, model: completerModel });
        const completerTimeout = 1000;
        const provider = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.KernelCompleterProvider();
        const reconciliator = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.ProviderReconciliator({
            context: {
                widget: notebookPanel,
                editor,
                session: sessionContext.session
            },
            providers: [provider],
            timeout: completerTimeout,
        });
        const handler = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.CompletionHandler({ completer, reconciliator });
        void sessionContext.ready.then(() => {
            const provider = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.KernelCompleterProvider();
            const reconciliator = new _jupyterlab_completer__WEBPACK_IMPORTED_MODULE_9__.ProviderReconciliator({
                context: { widget: this._notebookPanel, editor, session: sessionContext.session },
                providers: [provider],
                timeout: completerTimeout,
            });
            handler.reconciliator = reconciliator;
        });
        handler.editor = editor;
        notebookPanel.content.activeCellChanged.connect((sender, snippet) => {
            handler.editor = snippet && snippet.editor;
        });
        completer.hide();
        _lumino_widgets__WEBPACK_IMPORTED_MODULE_2__.Widget.attach(completer, document.body);
        return handler;
    }
    assignKernel(kernel) {
        this._kernel = kernel;
        this._context?.sessionContext.changeKernel({ id: this._kernel?.id }).then(() => {
            switch (this._ipywidgets) {
                case 'classic': {
                    this._iPyWidgetsClassicManager?.registerWithKernel(this._kernel.connection);
                    break;
                }
            }
        });
    }
    get uid() {
        return this._uid;
    }
    get notebookPanel() {
        return this._notebookPanel;
    }
    get commands() {
        return this._commandRegistry;
    }
    get panel() {
        return this._boxPanel;
    }
    get serviceManager() {
        return this._serviceManager;
    }
    /*
    * Only use this to change an existing nbformat.
    */
    setNbformat(nbformat) {
        if (nbformat === null) {
            throw new Error('The nformat should first be set via the constructor of NotebookAdapater');
        }
        this._nbformat = nbformat;
        if (this._nbformat) {
            this._notebookPanel?.model?.fromJSON(nbformat);
        }
    }
    setDefaultCellType = (cellType) => {
        this._notebookPanel.content.notebookConfig.defaultCell = cellType;
    };
    changeCellType = (cellType) => {
        //    NotebookActions.changeCellType(this._notebookPanel?.content!, cellType);
        const notebook = this._notebookPanel?.content;
        const notebookSharedModel = notebook.model.sharedModel;
        notebook.widgets.forEach((child, index) => {
            if (!notebook.isSelectedOrActive(child)) {
                return;
            }
            if (child.model.type !== cellType) {
                const raw = child.model.toJSON();
                notebookSharedModel.transact(() => {
                    notebookSharedModel.deleteCell(index);
                    const newCell = notebookSharedModel.insertCell(index, {
                        cell_type: cellType,
                        source: raw.source,
                        metadata: raw.metadata
                    });
                    if (raw.attachments && ['markdown', 'raw'].includes(cellType)) {
                        newCell.attachments =
                            raw.attachments;
                    }
                });
            }
            if (cellType === 'markdown') {
                // Fetch the new widget and unrender it.
                child = notebook.widgets[index];
                child.rendered = false;
            }
        });
        notebook.deselectAll();
    };
    insertAbove = (source) => {
        const notebook = this._notebookPanel?.content;
        const model = this._notebookPanel?.context.model;
        const newIndex = notebook.activeCell ? notebook.activeCellIndex : 0;
        model.sharedModel.insertCell(newIndex, {
            cell_type: notebook.notebookConfig.defaultCell,
            source,
            metadata: notebook.notebookConfig.defaultCell === 'code'
                ? {
                    // This is an empty cell created by user, thus is trusted
                    trusted: true
                }
                : {}
        });
        // Make the newly inserted cell active.
        notebook.activeCellIndex = newIndex;
        notebook.deselectAll();
    };
    insertBelow = (source) => {
        const notebook = this._notebookPanel?.content;
        const model = this._notebookPanel?.context.model;
        const newIndex = notebook.activeCell ? notebook.activeCellIndex + 1 : 0;
        model.sharedModel.insertCell(newIndex, {
            cell_type: notebook.notebookConfig.defaultCell,
            source,
            metadata: notebook.notebookConfig.defaultCell === 'code'
                ? {
                    // This is an empty cell created by user, thus is trusted
                    trusted: true
                }
                : {}
        });
        // Make the newly inserted cell active.
        notebook.activeCellIndex = newIndex;
        notebook.deselectAll();
    };
    dispose = () => {
        //    this._boxPanel.dispose();
        //    this._notebookPanel?.dispose();
        //    this._context?.dispose();
    };
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (NotebookAdapter);


/***/ }),

/***/ "./lib/components/notebook/NotebookCommands.js":
/*!*****************************************************!*\
  !*** ./lib/components/notebook/NotebookCommands.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "NotebookCommands": () => (/* binding */ NotebookCommands),
/* harmony export */   "cmdIds": () => (/* binding */ cmdIds),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/apputils */ "webpack/sharing/consume/default/@jupyterlab/apputils");
/* harmony import */ var _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/notebook */ "webpack/sharing/consume/default/@jupyterlab/notebook");
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyterlab_documentsearch__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/documentsearch */ "webpack/sharing/consume/default/@jupyterlab/documentsearch");
/* harmony import */ var _jupyterlab_documentsearch__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_documentsearch__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_translation__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/translation */ "webpack/sharing/consume/default/@jupyterlab/translation");
/* harmony import */ var _jupyterlab_translation__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_translation__WEBPACK_IMPORTED_MODULE_4__);





/**
 * The map of command ids used by the notebook.
 */
const cmdIds = {
    invoke: "completer:invoke",
    select: "completer:select",
    invokeNotebook: "completer:invoke-notebook",
    selectNotebook: "completer:select-notebook",
    startSearch: "documentsearch:start-search",
    findNext: "documentsearch:find-next",
    findPrevious: "documentsearch:find-previous",
    save: "notebook:save",
    interrupt: "notebook:interrupt-kernel",
    restart: "notebook:restart-kernel",
    switchKernel: "notebook:switch-kernel",
    runAndAdvance: "notebook-cells:run-and-advance",
    run: "notebook:run-cell",
    runAll: "notebook:run-all",
    deleteCells: "notebook-cells:delete",
    insertAbove: "notebook-cells:insert-above",
    insertBelow: "notebook-cells:insert-below",
    deleteCell: "notebook-cells:delete",
    selectAbove: "notebook-cells:select-above",
    selectBelow: "notebook-cells:select-below",
    extendAbove: "notebook-cells:extend-above",
    extendTop: "notebook-cells:extend-top",
    extendBelow: "notebook-cells:extend-below",
    extendBottom: "notebook-cells:extend-bottom",
    editMode: "notebook:edit-mode",
    merge: "notebook-cells:merge",
    split: "notebook-cells:split",
    commandMode: "notebook:command-mode",
    undo: "notebook-cells:undo",
    redo: "notebook-cells:redo",
    changeCellType: "notebook-cell:change-cell-type",
    toCode: "notebook-cell:to-code",
};
const NotebookCommands = (commandRegistry, notebookPanel, completerHandler, tracker, path) => {
    // Add commands.
    commandRegistry.addCommand(cmdIds.invoke, {
        label: "Completer: Invoke",
        execute: () => completerHandler.invoke(),
    });
    commandRegistry.addCommand(cmdIds.select, {
        label: "Completer: Select",
        execute: () => completerHandler.completer.selectActive(),
    });
    commandRegistry.addCommand(cmdIds.invokeNotebook, {
        label: "Invoke Notebook",
        execute: () => {
            if (notebookPanel.content.activeCell?.model.type === "code") {
                return commandRegistry.execute(cmdIds.invoke);
            }
        },
    });
    commandRegistry.addCommand(cmdIds.selectNotebook, {
        label: "Select Notebook",
        execute: () => {
            if (notebookPanel.content.activeCell?.model.type === "code") {
                return commandRegistry.execute(cmdIds.select);
            }
        },
    });
    if (path) {
        commandRegistry.addCommand(cmdIds.save, {
            label: "Save",
            execute: () => notebookPanel.context.save(),
        });
    }
    let searchInstance;
    commandRegistry.addCommand(cmdIds.startSearch, {
        label: 'Find…',
        execute: () => {
            if (!searchInstance) {
                const provider = new _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookSearchProvider(notebookPanel, _jupyterlab_translation__WEBPACK_IMPORTED_MODULE_4__.nullTranslator);
                const searchModel = new _jupyterlab_documentsearch__WEBPACK_IMPORTED_MODULE_2__.SearchDocumentModel(provider, 500);
                searchInstance = new _jupyterlab_documentsearch__WEBPACK_IMPORTED_MODULE_2__.SearchDocumentView(searchModel);
                /**
                 * Activate the target widget when the search panel is closing
                 */
                searchInstance.closed.connect(() => {
                    if (!notebookPanel.isDisposed) {
                        notebookPanel.activate();
                    }
                });
                searchInstance.disposed.connect(() => {
                    if (!notebookPanel.isDisposed) {
                        notebookPanel.activate();
                    }
                    // find next and previous are now disabled
                    commandRegistry.notifyCommandChanged();
                });
                /**
                 * Dispose resources when the widget is disposed.
                 */
                notebookPanel.disposed.connect(() => {
                    searchInstance?.dispose();
                    searchModel.dispose();
                    provider.dispose();
                });
            }
            if (!searchInstance.isAttached) {
                _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.Widget.attach(searchInstance, notebookPanel.node);
                searchInstance.node.style.top = `${notebookPanel.toolbar.node.getBoundingClientRect().height +
                    notebookPanel.contentHeader.node.getBoundingClientRect().height}px`;
                if (searchInstance.model.searchExpression) {
                    searchInstance.model.refresh();
                }
            }
            searchInstance.focusSearchInput();
        }
    });
    commandRegistry.addCommand(cmdIds.findNext, {
        label: 'Find Next',
        isEnabled: () => !!searchInstance,
        execute: async () => {
            if (!searchInstance) {
                return;
            }
            await searchInstance.model.highlightNext();
        }
    });
    commandRegistry.addCommand(cmdIds.findPrevious, {
        label: 'Find Previous',
        isEnabled: () => !!searchInstance,
        execute: async () => {
            if (!searchInstance) {
                return;
            }
            await searchInstance.model.highlightPrevious();
        }
    });
    commandRegistry.addCommand(cmdIds.interrupt, {
        label: "Interrupt",
        execute: async () => notebookPanel.context.sessionContext.session?.kernel?.interrupt(),
    });
    const sessionContextDialogs = new _jupyterlab_apputils__WEBPACK_IMPORTED_MODULE_0__.SessionContextDialogs();
    commandRegistry.addCommand(cmdIds.restart, {
        label: "Restart Kernel",
        execute: () => sessionContextDialogs.restart(notebookPanel.context.sessionContext),
    });
    commandRegistry.addCommand(cmdIds.switchKernel, {
        label: "Switch Kernel",
        execute: () => sessionContextDialogs.selectKernel(notebookPanel.context.sessionContext),
    });
    commandRegistry.addCommand(cmdIds.runAndAdvance, {
        label: "Run and Advance",
        execute: () => {
            return _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.runAndAdvance(notebookPanel.content, notebookPanel.context.sessionContext);
        },
    });
    commandRegistry.addCommand(cmdIds.run, {
        label: "Run",
        execute: () => {
            return _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.run(notebookPanel.content, notebookPanel.context.sessionContext);
        },
    });
    commandRegistry.addCommand(cmdIds.runAll, {
        label: "Run all",
        execute: () => {
            return _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.runAll(notebookPanel.content, notebookPanel.context.sessionContext);
        },
    });
    commandRegistry.addCommand(cmdIds.deleteCells, {
        label: "Delete",
        execute: () => {
            return _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.deleteCells(notebookPanel.content);
        },
    });
    commandRegistry.addCommand(cmdIds.insertAbove, {
        label: "Insert Above",
        execute: () => {
            return _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.insertAbove(notebookPanel.content);
        },
    });
    commandRegistry.addCommand(cmdIds.insertBelow, {
        label: "Insert Below",
        execute: () => {
            return _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.insertBelow(notebookPanel.content);
        },
    });
    commandRegistry.addCommand(cmdIds.editMode, {
        label: "Edit Mode",
        execute: () => {
            notebookPanel.content.mode = "edit";
        },
    });
    commandRegistry.addCommand(cmdIds.commandMode, {
        label: "Command Mode",
        execute: () => {
            notebookPanel.content.mode = "command";
        },
    });
    commandRegistry.addCommand(cmdIds.selectBelow, {
        label: "Select Below",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.selectBelow(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.selectAbove, {
        label: "Select Above",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.selectAbove(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.extendAbove, {
        label: "Extend Above",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.extendSelectionAbove(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.extendTop, {
        label: "Extend to Top",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.extendSelectionAbove(notebookPanel.content, true),
    });
    commandRegistry.addCommand(cmdIds.extendBelow, {
        label: "Extend Below",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.extendSelectionBelow(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.extendBottom, {
        label: "Extend to Bottom",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.extendSelectionBelow(notebookPanel.content, true),
    });
    commandRegistry.addCommand(cmdIds.merge, {
        label: "Merge Cells",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.mergeCells(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.split, {
        label: "Split Cell",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.splitCell(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.undo, {
        label: "Undo",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.undo(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.redo, {
        label: "Redo",
        execute: () => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.redo(notebookPanel.content),
    });
    commandRegistry.addCommand(cmdIds.toCode, {
        label: 'Change to Code Cell Type',
        execute: args => _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.changeCellType(notebookPanel.content, 'markdown')
    });
    function getCurrent(args) {
        return tracker.currentWidget;
    }
    function isEnabled() {
        return (tracker.currentWidget !== null);
    }
    commandRegistry.addCommand('run-selected-codecell', {
        label: 'Run Cell',
        execute: args => {
            const current = getCurrent(args);
            if (current) {
                const { context, content } = current;
                _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_1__.NotebookActions.run(content, context.sessionContext);
            }
        },
        isEnabled,
    });
    const bindings = [
        {
            selector: ".jp-Notebook.jp-mod-editMode .jp-mod-completer-enabled",
            keys: ["Tab"],
            command: cmdIds.invokeNotebook,
        },
        {
            selector: `.jp-mod-completer-active`,
            keys: ["Enter"],
            command: cmdIds.selectNotebook,
        },
        {
            selector: ".jp-Notebook",
            keys: ["Ctrl Enter"],
            command: cmdIds.run,
        },
        {
            selector: ".jp-Notebook",
            keys: ["Shift Enter"],
            command: cmdIds.runAndAdvance,
        },
        {
            selector: ".jp-Notebook",
            keys: ["Accel F"],
            command: cmdIds.startSearch,
        },
        {
            selector: ".jp-Notebook",
            keys: ["Accel G"],
            command: cmdIds.findNext,
        },
        {
            selector: ".jp-Notebook",
            keys: ["Accel Shift G"],
            command: cmdIds.findPrevious,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["I", "I"],
            command: cmdIds.interrupt,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["0", "0"],
            command: cmdIds.restart,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["Enter"],
            command: cmdIds.editMode,
        },
        {
            selector: ".jp-Notebook.jp-mod-editMode",
            keys: ["Escape"],
            command: cmdIds.commandMode,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["Shift M"],
            command: cmdIds.merge,
        },
        {
            selector: ".jp-Notebook.jp-mod-editMode",
            keys: ["Ctrl Shift -"],
            command: cmdIds.split,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["J"],
            command: cmdIds.selectBelow,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["ArrowDown"],
            command: cmdIds.selectBelow,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["A"],
            command: cmdIds.insertAbove,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["B"],
            command: cmdIds.insertBelow,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["K"],
            command: cmdIds.selectAbove,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["ArrowUp"],
            command: cmdIds.selectAbove,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["Shift K"],
            command: cmdIds.extendAbove,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["Shift J"],
            command: cmdIds.extendBelow,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["Z"],
            command: cmdIds.undo,
        },
        {
            selector: ".jp-Notebook.jp-mod-commandMode:focus",
            keys: ["Y"],
            command: cmdIds.redo,
        },
    ];
    bindings.map((binding) => commandRegistry.addKeyBinding(binding));
    if (path) {
        commandRegistry.addKeyBinding({
            selector: ".jp-Notebook",
            keys: ["Accel S"],
            command: cmdIds.save,
        });
    }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (NotebookCommands);


/***/ }),

/***/ "./lib/components/notebook/NotebookState.js":
/*!**************************************************!*\
  !*** ./lib/components/notebook/NotebookState.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ActionType": () => (/* binding */ ActionType),
/* harmony export */   "notebookActions": () => (/* binding */ notebookActions),
/* harmony export */   "notebookEpics": () => (/* binding */ notebookEpics),
/* harmony export */   "notebookInitialState": () => (/* binding */ notebookInitialState),
/* harmony export */   "notebookReducer": () => (/* binding */ notebookReducer),
/* harmony export */   "selectActiveCell": () => (/* binding */ selectActiveCell),
/* harmony export */   "selectKernelStatus": () => (/* binding */ selectKernelStatus),
/* harmony export */   "selectNotebook": () => (/* binding */ selectNotebook),
/* harmony export */   "selectNotebookModel": () => (/* binding */ selectNotebookModel),
/* harmony export */   "selectNotebookPortalDisplay": () => (/* binding */ selectNotebookPortalDisplay),
/* harmony export */   "selectNotebookPortals": () => (/* binding */ selectNotebookPortals),
/* harmony export */   "selectSaveRequest": () => (/* binding */ selectSaveRequest)
/* harmony export */ });
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var redux_observable__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! redux-observable */ "webpack/sharing/consume/default/redux-observable/redux-observable");
/* harmony import */ var redux_observable__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(redux_observable__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! rxjs/operators */ "../../../../../node_modules/rxjs/_esm5/internal/operators/tap.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! rxjs/operators */ "../../../../../node_modules/rxjs/_esm5/internal/operators/ignoreElements.js");
/* harmony import */ var rxjs_operators__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! rxjs/operators */ "../../../../../node_modules/rxjs/_esm5/internal/operators/map.js");
/* harmony import */ var _datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @datalayer/typescript-fsa-redux-observable */ "webpack/sharing/consume/default/@datalayer/typescript-fsa-redux-observable/@datalayer/typescript-fsa-redux-observable");
/* harmony import */ var _datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _NotebookCommands__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./NotebookCommands */ "./lib/components/notebook/NotebookCommands.js");







const notebookInitialState = {
    notebooks: new Map(),
};
/* Selectors */
const selectNotebook = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        return state.notebook.notebooks.get(uid);
    }
    return undefined;
});
const selectNotebookModel = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        // We need a changed attribute to deal the React-Redux shallow equality.
        return {
            model: state.notebook.notebooks.get(uid)?.model,
            changed: state.notebook.notebooks.get(uid)?.model?.contentChanged,
        };
    }
    return undefined;
});
const selectKernelStatus = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        return state.notebook.notebooks.get(uid)?.kernelStatus;
    }
    return undefined;
});
const selectActiveCell = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        return state.notebook.notebooks.get(uid)?.activeCell;
    }
    return undefined;
});
const selectNotebookPortals = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        return state.notebook.notebooks.get(uid)?.portals;
    }
    return undefined;
});
const selectSaveRequest = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        return state.notebook.notebooks.get(uid)?.saveRequest;
    }
    return undefined;
});
const selectNotebookPortalDisplay = (uid) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.notebook) {
        return state.notebook.notebooks.get(uid)?.portalDisplay;
    }
    return undefined;
});
/* Actions */
var ActionType;
(function (ActionType) {
    ActionType["ACTIVE_CELL_CHANGE"] = "notebook/ACTIVE_CELL_CHANGE";
    ActionType["ADD_PORTALS"] = "notebook/ADD_PORTALS";
    ActionType["CHANGE_CELL_TYPE"] = "notebook/CHANGE_CELL_TYPE";
    ActionType["CHANGE_KERNEL"] = "notebook/CHANGE_KERNEL";
    ActionType["DELETE"] = "notebook/DELETE";
    ActionType["DISPOSE"] = "notebook/DISPOSE";
    ActionType["INSERT_ABOVE"] = "notebook/INSERT_ABOVE";
    ActionType["INSERT_BELOW"] = "notebook/INSERT_BELOW";
    ActionType["INTERRUPT"] = "notebook/INTERRUPT";
    ActionType["KERNEL_STATUS_CHANGE"] = "notebook/KERNEL_STATUS_CHANGE";
    ActionType["MODEL_CHANGE"] = "notebook/MODEL_CHANGE";
    ActionType["NOTEBOOK_CHANGE"] = "notebook/NOTEBOOK_CHANGE";
    ActionType["RESET"] = "notebook/RESET";
    ActionType["RUN"] = "notebook/RUN";
    ActionType["RUN_ALL"] = "notebook/RUN_ALL";
    ActionType["SAVE"] = "notebook/SAVE";
    ActionType["SET_PORTALS"] = "notebook/SET_PORTALS";
    ActionType["SET_PORTAL_DISPLAY"] = "notebook/SET_PORTAL_DISPLAY";
    ActionType["UPDATE"] = "notebook/UPDATE";
})(ActionType || (ActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default()('jupyterNotebook');
const notebookActions = {
    reset: actionCreator(ActionType.RESET),
    update: actionCreator(ActionType.UPDATE),
    notebookChange: actionCreator(ActionType.NOTEBOOK_CHANGE),
    modelChange: actionCreator(ActionType.MODEL_CHANGE),
    changeKernel: actionCreator(ActionType.CHANGE_KERNEL),
    activeCellChange: actionCreator(ActionType.ACTIVE_CELL_CHANGE),
    kernelStatusChanged: actionCreator(ActionType.KERNEL_STATUS_CHANGE),
    addPortals: actionCreator(ActionType.ADD_PORTALS),
    setPortals: actionCreator(ActionType.SET_PORTALS),
    setPortalDisplay: actionCreator(ActionType.SET_PORTAL_DISPLAY),
    dispose: actionCreator(ActionType.DISPOSE),
    save: actionCreator.async(ActionType.SAVE),
    run: actionCreator.async(ActionType.RUN),
    runAll: actionCreator.async(ActionType.RUN_ALL),
    interrupt: actionCreator.async(ActionType.INTERRUPT),
    insertAbove: actionCreator.async(ActionType.INSERT_ABOVE),
    insertBelow: actionCreator.async(ActionType.INSERT_BELOW),
    delete: actionCreator.async(ActionType.DELETE),
    changeCellType: actionCreator.async(ActionType.CHANGE_CELL_TYPE)
};
/* Epics */
const runEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.run.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    state$.value.notebook.notebooks.get(action.payload)?.adapter?.commands.execute(_NotebookCommands__WEBPACK_IMPORTED_MODULE_6__.cmdIds.run);
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const runAllEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.runAll.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    state$.value.notebook.notebooks.get(action.payload)?.adapter?.commands.execute(_NotebookCommands__WEBPACK_IMPORTED_MODULE_6__.cmdIds.runAll);
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const interruptEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.interrupt.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    state$.value.notebook.notebooks.get(action.payload)?.adapter?.commands.execute(_NotebookCommands__WEBPACK_IMPORTED_MODULE_6__.cmdIds.interrupt);
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const insertAboveEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.insertAbove.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.setDefaultCellType(action.payload.cellType);
    //        state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.commands.execute(cmdIds.insertAbove);
    state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.insertAbove(action.payload.source);
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const insertBelowEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.insertBelow.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.setDefaultCellType(action.payload.cellType);
    //        state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.commands.execute(cmdIds.insertBelow);
    state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.insertBelow(action.payload.source);
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const deleteEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.delete.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    state$.value.notebook.notebooks.get(action.payload)?.adapter?.commands.execute(_NotebookCommands__WEBPACK_IMPORTED_MODULE_6__.cmdIds.deleteCells);
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const changeCellTypeEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.changeCellType.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_5__.tap)(action => {
    //      state$.value.notebook?.adapter?.commands.execute(cmdIds.toCode);
    state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.changeCellType(action.payload.cellType);
    /*
    NotebookActions.changeCellType(
      state$.value.notebook.notebooks.get(action.payload)?.adapter?.notebookPanel?.content!,
      action.payload
    );
    */
}), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_7__.ignoreElements)());
const saveEpic = (action$, state$) => action$.pipe((0,_datalayer_typescript_fsa_redux_observable__WEBPACK_IMPORTED_MODULE_4__.ofAction)(notebookActions.save.started), (0,rxjs_operators__WEBPACK_IMPORTED_MODULE_8__.map)(action => {
    state$.value.notebook.notebooks.get(action.payload.uid)?.adapter?.commands.execute(_NotebookCommands__WEBPACK_IMPORTED_MODULE_6__.cmdIds.save);
    return notebookActions.save.done({
        params: action.payload,
        result: action.payload,
    });
}));
const notebookEpics = (0,redux_observable__WEBPACK_IMPORTED_MODULE_2__.combineEpics)(runEpic, runAllEpic, interruptEpic, insertAboveEpic, insertBelowEpic, deleteEpic, changeCellTypeEpic, saveEpic);
/* Reducers */
const notebookReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_3__.reducerWithInitialState)(notebookInitialState)
    .case(notebookActions.reset, (state, _) => {
    return notebookInitialState;
})
    .case(notebookActions.update, (state, updateUid) => {
    const notebooks = state.notebooks;
    let notebook = notebooks.get(updateUid.uid);
    if (notebook) {
        notebook = { ...notebook, ...updateUid.partialState };
    }
    else {
        notebooks.set(updateUid.uid, {
            adapter: updateUid.partialState.adapter,
            portals: [],
        });
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.activeCellChange, (state, cellModelUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(cellModelUid.uid);
    if (notebook) {
        notebook.activeCell = cellModelUid.cellModel;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.modelChange, (state, notebookModelUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(notebookModelUid.uid);
    if (notebook) {
        notebook.model = notebookModelUid.notebookModel;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.notebookChange, (state, notebookChangeUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(notebookChangeUid.uid);
    if (notebook) {
        notebook.notebookChange = notebookChangeUid.notebookChange;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.kernelStatusChanged, (state, kernelStatusUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(kernelStatusUid.uid);
    if (notebook) {
        notebook.kernelStatus = kernelStatusUid.kernelStatus;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.changeKernel, (state, kernelChange) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(kernelChange.uid);
    if (notebook) {
        notebook.adapter?.assignKernel(kernelChange.kernel);
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.addPortals, (state, portalsUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(portalsUid.uid);
    if (notebook) {
        notebook.portals = notebook.portals.concat(portalsUid.portals);
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.dispose, (state, uid) => {
    const notebooks = state.notebooks;
    notebooks.delete(uid);
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.setPortals, (state, portalsUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(portalsUid.uid);
    if (notebook) {
        notebook.portals = portalsUid.portals;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.setPortalDisplay, (state, portalDisplayUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(portalDisplayUid.uid);
    if (notebook) {
        notebook.portalDisplay = portalDisplayUid.portalDisplay;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.save.done, (state, dateUid) => {
    const notebooks = state.notebooks;
    const notebook = notebooks.get(dateUid.result.uid);
    if (notebook) {
        notebook.saveRequest = dateUid.result.date;
    }
    return {
        ...state,
        notebooks,
    };
})
    .case(notebookActions.insertAbove.done, (state, _) => {
    return state;
})
    .case(notebookActions.insertBelow.done, (state, _) => {
    return state;
})
    .case(notebookActions.changeCellType.done, (state, _) => {
    return state;
})
    .case(notebookActions.run.done, (state, _) => {
    return state;
})
    .case(notebookActions.delete.done, (state, _) => {
    return state;
});


/***/ }),

/***/ "./lib/components/notebook/cell/metadata/CellMetadataEditor.js":
/*!*********************************************************************!*\
  !*** ./lib/components/notebook/cell/metadata/CellMetadataEditor.js ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellMetadataEditor": () => (/* binding */ CellMetadataEditor),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ActionList/index.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/TextInput/TextInput.js");
/* harmony import */ var _primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @primer/octicons-react */ "../../../../../node_modules/@primer/octicons-react/dist/index.esm.js");
/* harmony import */ var _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./NbGraderCells */ "./lib/components/notebook/cell/metadata/NbGraderCells.js");





const CellMetadataEditor = (props) => {
    const { cell } = props;
    const [cellGradeType, setCellGradeType] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)((0,_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__.getNbGraderType)(cell));
    const [nbg, setNbg] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(cell.model.getMetadata('nbgrader') || { grade_id: '', points: 0 });
    const handleGradeIdChange = (cell, gradeId) => {
        const nbgrader = cell.model.getMetadata("nbgrader");
        cell.model.setMetadata("nbgrader", {
            ...nbgrader,
            grade_id: gradeId,
        });
        setNbg({
            ...nbg,
            grade_id: gradeId,
        });
    };
    const handlePointsChange = (cell, points) => {
        var points_number = +points;
        if (!isNaN(points_number)) {
            const nbgrader = cell.model.getMetadata("nbgrader");
            cell.model.setMetadata("nbgrader", {
                ...nbgrader,
                points: points_number,
            });
            setNbg({
                ...nbg,
                points: points_number,
            });
        }
    };
    const assignCellGradeType = (cell, cellGradeType) => {
        switch (cellGradeType) {
            case _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].NotGraded: {
                cell.model.deleteMetadata("nbgrader");
                setCellGradeType(_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].NotGraded);
                break;
            }
            case _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedAnswer: {
                const nbgrader = cell.model.getMetadata("nbgrader");
                cell.model.setMetadata("nbgrader", {
                    ...nbgrader,
                    "grade": false,
                    "solution": true,
                    "locked": false,
                    "task": false,
                });
                setCellGradeType(_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedAnswer);
                break;
            }
            case _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedTest: {
                const nbgrader = cell.model.getMetadata("nbgrader");
                cell.model.setMetadata("nbgrader", {
                    ...nbgrader,
                    "grade": true,
                    "solution": false,
                    "locked": false,
                    "task": false,
                });
                setCellGradeType(_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedTest);
                break;
            }
            case _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedAnswer: {
                const nbgrader = cell.model.getMetadata("nbgrader");
                cell.model.setMetadata("nbgrader", {
                    ...nbgrader,
                    "grade": true,
                    "solution": true,
                    "locked": false,
                    "task": false,
                });
                setCellGradeType(_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedAnswer);
                break;
            }
            case _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedTask: {
                const nbgrader = cell.model.getMetadata("nbgrader");
                cell.model.setMetadata("nbgrader", {
                    ...nbgrader,
                    //        "points": 1,
                    "grade": false,
                    "solution": false,
                    "locked": true,
                    "task": true,
                });
                setCellGradeType(_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedTask);
                break;
            }
            case _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ReadonlyGraded: {
                const nbgrader = cell.model.getMetadata("nbgrader");
                cell.model.setMetadata("nbgrader", {
                    ...nbgrader,
                    "grade": false,
                    "solution": false,
                    "locked": true,
                    "task": false,
                });
                setCellGradeType(_NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ReadonlyGraded);
                break;
            }
        }
    };
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList, { showDividers: true, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Divider, {}), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Group, { title: "NbGrader Cell Type", variant: "subtle", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { onSelect: e => assignCellGradeType(cell, _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].NotGraded), children: [cellGradeType === _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].NotGraded &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.CheckIcon, {}) }), "None", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Description, { variant: "block", children: "Not a grader cell." })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { onSelect: e => assignCellGradeType(cell, _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedAnswer), children: [cellGradeType === _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedAnswer &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.CheckIcon, {}) }), "Autograded answer", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Description, { variant: "block", children: "An autograded answer cell." })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { role: "listitem", onClick: e => assignCellGradeType(cell, _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedTest), children: [cellGradeType === _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].AutogradedTest &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.CheckIcon, {}) }), "Autograded test", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Description, { variant: "block", children: "An autograded test cell." })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { onSelect: e => assignCellGradeType(cell, _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedTask), children: [cellGradeType === _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedTask &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.CheckIcon, {}) }), "Manually graded task", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Description, { variant: "block", children: "A manually graded task cell." })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { onSelect: e => assignCellGradeType(cell, _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedAnswer), children: [cellGradeType === _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ManuallyGradedAnswer &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.CheckIcon, {}) }), "Manually graded answer", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Description, { variant: "block", children: "A manually graded answer cell." })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { onSelect: e => assignCellGradeType(cell, _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ReadonlyGraded), children: [cellGradeType === _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].ReadonlyGraded &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_4__.CheckIcon, {}) }), "Readonly", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Description, { variant: "block", children: "A readonly grader cell." })] })] }), cellGradeType !== _NbGraderCells__WEBPACK_IMPORTED_MODULE_2__["default"].NotGraded &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Group, { title: "NbGrader Metadata", variant: "subtle", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { onSelect: e => e.preventDefault(), children: ["Grade ID: ", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__["default"], { block: true, value: nbg.grade_id, onChange: e => { e.preventDefault(); handleGradeIdChange(cell, e.target.value); } })] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_3__.ActionList.Item, { children: ["Points: ", (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__["default"], { block: true, value: nbg.points, onChange: e => { e.preventDefault(); handlePointsChange(cell, e.target.value); } })] })] })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CellMetadataEditor);


/***/ }),

/***/ "./lib/components/notebook/cell/metadata/NbGraderCells.js":
/*!****************************************************************!*\
  !*** ./lib/components/notebook/cell/metadata/NbGraderCells.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "NbGraderType": () => (/* binding */ NbGraderType),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "getNbGraderType": () => (/* binding */ getNbGraderType)
/* harmony export */ });
/*
// Autograded answer (only for code cells) { grade: false, solution: true, locked: false  }
{
  "nbgrader": {
    "grade_id": "squares",
    "schema_version": 3,
    "grade": false,
    "solution": true,
    "locked": false
  }
}
// Autograded test (only for code cells) { grade: true, solution: false, locked: false, points: ... }
{
  "nbgrader": {
    "grade_id": "correct_squares",
    "schema_version": 3,
    "grade": true,
    "solution": false,
    "locked": false,
    "points": 1
  }
}
// Manually graded task { grade: false, solution: false, locked: true, task: true, points: ... }
{
  "nbgrader": {
    "grade_id": "part-a",
    "schema_version": 3,
    "grade": false,
    "solution": false,
    "locked": true,
    "task": true,
    "points": 0
  }
}
// Manually graded answer { grade: true, solution: true, locked: false, points: ... }
{
  "nbgrader": {
    "grade_id": "sum_of_squares_equation",
    "schema_version": 3,
    "grade": true,
    "solution": true,
    "locked": false,
    "points": 1
  }
}
// Readonly { grade: false, solution: false, solution: false, locked: true, task: false }
{
  "nbgrader": {
    "grade_id": "squares",
    "schema_version": 3,
    "grade": false,
    "solution": false,
    "locked": true,
    "task": false
  }
}
*/
var NbGraderType;
(function (NbGraderType) {
    NbGraderType[NbGraderType["NotGraded"] = 0] = "NotGraded";
    NbGraderType[NbGraderType["AutogradedAnswer"] = 1] = "AutogradedAnswer";
    NbGraderType[NbGraderType["AutogradedTest"] = 2] = "AutogradedTest";
    NbGraderType[NbGraderType["ManuallyGradedTask"] = 3] = "ManuallyGradedTask";
    NbGraderType[NbGraderType["ManuallyGradedAnswer"] = 4] = "ManuallyGradedAnswer";
    NbGraderType[NbGraderType["ReadonlyGraded"] = 5] = "ReadonlyGraded";
})(NbGraderType || (NbGraderType = {}));
const getNbGraderType = (cell) => {
    const nbgrader = cell.model.getMetadata("nbgrader");
    if (!nbgrader) {
        return NbGraderType.NotGraded;
    }
    const grade = nbgrader.grade;
    const solution = nbgrader.solution;
    const locked = nbgrader.locked;
    const task = nbgrader.task;
    // Autograded answer (only for code cells) { grade: false, solution: true, locked: false  }
    if (!grade && solution && !locked) {
        return NbGraderType.AutogradedAnswer;
    }
    // Autograded test (only for code cells) { grade: true, solution: false, locked: false, points: ... }
    if (grade && !solution && !locked) {
        return NbGraderType.AutogradedTest;
    }
    // Manually graded task { grade: false, solution: false, locked: true, task: true, points: ... }
    if (!grade && !solution && locked && task) {
        return NbGraderType.ManuallyGradedTask;
    }
    // Manually graded answer { grade: true, solution: true, locked: false, points: ... }
    if (grade && solution && !locked) {
        return NbGraderType.ManuallyGradedAnswer;
    }
    // Readonly { grade: false, solution: false, solution: false, locked: true, task: false }
    if (!grade && !solution && locked && !task) {
        return NbGraderType.ReadonlyGraded;
    }
    return NbGraderType.NotGraded;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (NbGraderType);


/***/ }),

/***/ "./lib/components/notebook/cell/sidebar/CellSidebarDefault.js":
/*!********************************************************************!*\
  !*** ./lib/components/notebook/cell/sidebar/CellSidebarDefault.js ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellSidebarDefault": () => (/* binding */ CellSidebarDefault),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Box/Box.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Button/Button.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ActionMenu.js");
/* harmony import */ var _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @primer/octicons-react */ "../../../../../node_modules/@primer/octicons-react/dist/index.esm.js");
/* harmony import */ var _NotebookState__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../NotebookState */ "./lib/components/notebook/NotebookState.js");
/* harmony import */ var _metadata_CellMetadataEditor__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../metadata/CellMetadataEditor */ "./lib/components/notebook/cell/metadata/CellMetadataEditor.js");
/* harmony import */ var _CellSidebarWidget__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./CellSidebarWidget */ "./lib/components/notebook/cell/sidebar/CellSidebarWidget.js");








const CellSidebarDefault = (props) => {
    const { notebookId, cellId, nbgrader } = props;
    const [visible, setVisible] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__.useDispatch)();
    const activeCell = (0,_NotebookState__WEBPACK_IMPORTED_MODULE_3__.selectActiveCell)(notebookId);
    const layout = (activeCell?.layout);
    if (layout) {
        const cellWidget = layout.widgets[0];
        if (cellWidget?.node.id === cellId) {
            if (!visible) {
                setVisible(true);
            }
        }
        if (cellWidget?.node.id !== cellId) {
            if (visible) {
                setVisible(false);
            }
        }
    }
    if (!visible) {
        return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", {});
    }
    return activeCell ?
        ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_4__["default"], { className: _CellSidebarWidget__WEBPACK_IMPORTED_MODULE_5__.DATALAYER_CELL_HEADER_CLASS, sx: {
                '& p': {
                    marginBottom: '0 !important',
                }
            }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.ChevronRightIcon, variant: "invisible", size: "small", onClick: (e) => {
                            e.preventDefault();
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.run.started(notebookId));
                        }, children: "Run" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.ChevronUpIcon, variant: "invisible", size: "small", onClick: (e) => {
                            e.preventDefault();
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.insertAbove.started({ uid: notebookId, cellType: "code" }));
                        }, children: "Code" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.ChevronUpIcon, variant: "invisible", size: "small", onClick: (e) => {
                            e.preventDefault();
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.insertAbove.started({ uid: notebookId, cellType: "markdown" }));
                        }, children: "Markdown" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: activeCell.model.type === "code" ?
                        (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.SquareIcon, variant: "invisible", size: "small", onClick: (e) => {
                                e.preventDefault();
                                dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.changeCellType.started({ uid: notebookId, cellType: "markdown" }));
                            }, children: "To Markdown" })
                        :
                            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.SquareIcon, variant: "invisible", size: "small", onClick: (e) => {
                                    e.preventDefault();
                                    dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.changeCellType.started({ uid: notebookId, cellType: "code" }));
                                }, children: "To Code" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.ChevronDownIcon, variant: "invisible", size: "small", onClick: (e) => {
                            e.preventDefault();
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.insertBelow.started({ uid: notebookId, cellType: "markdown" }));
                        }, children: "Markdown" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.ChevronDownIcon, variant: "invisible", size: "small", onClick: (e) => {
                            e.preventDefault();
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.insertBelow.started({ uid: notebookId, cellType: "code" }));
                        }, children: "Code" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { leadingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.XIcon, variant: "invisible", size: "small", onClick: (e) => {
                            e.preventDefault();
                            dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions["delete"].started(notebookId));
                        }, children: "Delete" }) }), nbgrader &&
                    (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_8__.ActionMenu, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_metadata_CellMetadataEditor__WEBPACK_IMPORTED_MODULE_9__["default"], { notebookId: notebookId, cell: activeCell, nbgrader: nbgrader }) })] }))
        :
            ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {}));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CellSidebarDefault);


/***/ }),

/***/ "./lib/components/notebook/cell/sidebar/CellSidebarRun.js":
/*!****************************************************************!*\
  !*** ./lib/components/notebook/cell/sidebar/CellSidebarRun.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellSidebarRun": () => (/* binding */ CellSidebarRun),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Box/Box.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Button/Button.js");
/* harmony import */ var _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @primer/octicons-react */ "../../../../../node_modules/@primer/octicons-react/dist/index.esm.js");
/* harmony import */ var _NotebookState__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../NotebookState */ "./lib/components/notebook/NotebookState.js");
/* harmony import */ var _CellSidebarWidget__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./CellSidebarWidget */ "./lib/components/notebook/cell/sidebar/CellSidebarWidget.js");







const CellSidebarRun = (props) => {
    const { notebookId } = props;
    const [visible, setVisible] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__.useDispatch)();
    const activeCell = (0,_NotebookState__WEBPACK_IMPORTED_MODULE_3__.selectActiveCell)(notebookId);
    const layout = (activeCell?.layout);
    if (layout) {
        const cellWidget = layout.widgets[0];
        if (!visible && (cellWidget?.node.id === props.cellId)) {
            setVisible(true);
        }
        if (visible && (cellWidget?.node.id !== props.cellId)) {
            setVisible(false);
        }
    }
    if (!visible) {
        return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", {});
    }
    return (activeCell ?
        (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_4__["default"], { className: _CellSidebarWidget__WEBPACK_IMPORTED_MODULE_5__.DATALAYER_CELL_HEADER_CLASS, sx: {
                '& p': {
                    marginBottom: '0 !important',
                }
            }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("span", { style: { display: "flex" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_6__.ButtonComponent, { trailingVisual: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_7__.PlayIcon, size: "small", variant: "invisible", onClick: (e) => {
                        e.preventDefault();
                        dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_3__.notebookActions.run.started(notebookId));
                    }, children: "Run" }) }) })
        :
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {}));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CellSidebarRun);


/***/ }),

/***/ "./lib/components/notebook/cell/sidebar/CellSidebarWidget.js":
/*!*******************************************************************!*\
  !*** ./lib/components/notebook/cell/sidebar/CellSidebarWidget.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CellSidebarWidget": () => (/* binding */ CellSidebarWidget),
/* harmony export */   "DATALAYER_CELL_HEADER_CLASS": () => (/* binding */ DATALAYER_CELL_HEADER_CLASS),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _utils_Utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../../utils/Utils */ "./lib/utils/Utils.js");
/* harmony import */ var _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../../jupyter/lumino/ReactPortalWidget */ "./lib/jupyter/lumino/ReactPortalWidget.js");
/* harmony import */ var _NotebookState__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../NotebookState */ "./lib/components/notebook/NotebookState.js");






const DATALAYER_CELL_HEADER_CLASS = 'dla-CellHeader-Container';
class CellSidebarWidget extends _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_3__.ReactPortalWidget {
    commands;
    constructor(CellSidebar, notebookId, nbgrader, commands, store) {
        super();
        this.commands = commands;
        this.addClass('jp-CellHeader');
        this.id = (0,_utils_Utils__WEBPACK_IMPORTED_MODULE_4__.newUuid)();
        const props = {
            notebookId: notebookId,
            cellId: this.id,
            command: this.commands,
            nbgrader,
        };
        const sidebar = (0,react__WEBPACK_IMPORTED_MODULE_1__.createElement)(CellSidebar, props);
        const portalDiv = ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { className: DATALAYER_CELL_HEADER_CLASS, children: sidebar }));
        const portal = (0,react_dom__WEBPACK_IMPORTED_MODULE_2__.createPortal)(portalDiv, this.node);
        store.dispatch(_NotebookState__WEBPACK_IMPORTED_MODULE_5__.notebookActions.addPortals({
            uid: notebookId,
            portals: [portal]
        }));
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (CellSidebarWidget);


/***/ }),

/***/ "./lib/components/notebook/content/JupyterReactContentFactory.js":
/*!***********************************************************************!*\
  !*** ./lib/components/notebook/content/JupyterReactContentFactory.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "JupyterReactContentFactory": () => (/* binding */ JupyterReactContentFactory),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/notebook */ "webpack/sharing/consume/default/@jupyterlab/notebook");
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _cell_sidebar_CellSidebarWidget__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../cell/sidebar/CellSidebarWidget */ "./lib/components/notebook/cell/sidebar/CellSidebarWidget.js");


// import { IInputPrompt } from '@jupyterlab/cells';
// import { NotebookInputPrompt } from './../cell/InputPrompt';
/**
 * Extend the default implementation NotebookPanel.ContentFactory of `IContentFactory`.
 */
class JupyterReactContentFactory extends _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__.NotebookPanel.ContentFactory {
    CellSidebar;
    notebookId;
    nbgrader;
    commands;
    store;
    constructor(CellSidebar, notebookId, nbgrader, commands, options, store) {
        super(options);
        this.CellSidebar = CellSidebar;
        super.createCodeCell;
        this.notebookId = notebookId,
            this.nbgrader = nbgrader;
        this.commands = commands;
        this.store = store;
    }
    /** @override */
    createCellHeader() {
        return new _cell_sidebar_CellSidebarWidget__WEBPACK_IMPORTED_MODULE_1__.CellSidebarWidget(this.CellSidebar, this.notebookId, this.nbgrader, this.commands, this.store);
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (JupyterReactContentFactory);


/***/ }),

/***/ "./lib/components/notebook/marked/marked.js":
/*!**************************************************!*\
  !*** ./lib/components/notebook/marked/marked.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "getMarked": () => (/* binding */ getMarked)
/* harmony export */ });
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! marked */ "webpack/sharing/consume/default/marked/marked");
/* harmony import */ var marked__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(marked__WEBPACK_IMPORTED_MODULE_0__);

const getMarked = (languages) => {
    Private.initializeMarked(languages);
    return {
        render: (content) => new Promise((resolve, reject) => {
            (0,marked__WEBPACK_IMPORTED_MODULE_0__.marked)(content, (err, content) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve(content);
                }
            });
        })
    };
};
var Private;
(function (Private) {
    let markedInitialized = false;
    function initializeMarked(languages) {
        if (markedInitialized) {
            return;
        }
        else {
            markedInitialized = true;
        }
        marked__WEBPACK_IMPORTED_MODULE_0__.marked.setOptions({
            gfm: true,
            sanitize: false,
            // breaks: true; We can't use GFM breaks as it causes problems with tables
            langPrefix: `language-`,
            highlight: (code, lang, callback) => {
                const cb = (err, code) => {
                    if (callback) {
                        callback(err, code);
                    }
                    return code;
                };
                if (!lang) {
                    // no language, no highlight
                    return cb(null, code);
                }
                const el = document.createElement('div');
                try {
                    languages
                        .highlight(code, languages.findBest(lang), el)
                        .then(() => {
                        return cb(null, el.innerHTML);
                    })
                        .catch(reason => {
                        return cb(reason, code);
                    });
                }
                catch (err) {
                    console.error(`Failed to highlight ${lang} code`, err);
                    return cb(err, code);
                }
            }
        });
    }
    Private.initializeMarked = initializeMarked;
})(Private || (Private = {}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (getMarked);


/***/ }),

/***/ "./lib/components/notebook/model/JupyterReactNotebookModelFactory.js":
/*!***************************************************************************!*\
  !*** ./lib/components/notebook/model/JupyterReactNotebookModelFactory.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "JupyterReactNotebookModelFactory": () => (/* binding */ JupyterReactNotebookModelFactory),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/notebook */ "webpack/sharing/consume/default/@jupyterlab/notebook");
/* harmony import */ var _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__);

class JupyterReactNotebookModelFactory extends _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__.NotebookModelFactory {
    _nbformat;
    _readOnly;
    /** @override */
    constructor(options) {
        super(options);
        this._nbformat = options.nbformat;
        this._readOnly = options.readOnly;
    }
    /** @override */
    createNew(options) {
        if (this._nbformat) {
            const notebookModel = new _jupyterlab_notebook__WEBPACK_IMPORTED_MODULE_0__.NotebookModel();
            notebookModel.fromJSON(this._nbformat);
            return notebookModel;
        }
        else {
            const notebookModel = super.createNew(options);
            notebookModel.readOnly = this._readOnly;
            return notebookModel;
        }
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (JupyterReactNotebookModelFactory);


/***/ }),

/***/ "./lib/components/output/Output.js":
/*!*****************************************!*\
  !*** ./lib/components/output/Output.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Output": () => (/* binding */ Output),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ActionMenu.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Button/IconButton.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ActionList/index.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/ProgressBar/index.js");
/* harmony import */ var _primer_react__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @primer/react */ "../../../../../node_modules/@primer/react/lib-esm/Box/Box.js");
/* harmony import */ var _primer_octicons_react__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @primer/octicons-react */ "../../../../../node_modules/@primer/octicons-react/dist/index.esm.js");
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lumino/coreutils */ "webpack/sharing/consume/default/@lumino/coreutils");
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lumino_coreutils__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _OutputAdapter__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./OutputAdapter */ "./lib/components/output/OutputAdapter.js");
/* harmony import */ var _OutputState__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./OutputState */ "./lib/components/output/OutputState.js");
/* harmony import */ var _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../jupyter/JupyterContext */ "./lib/jupyter/JupyterContext.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");
/* harmony import */ var _codemirror_CodeMirrorEditor__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../codemirror/CodeMirrorEditor */ "./lib/components/codemirror/CodeMirrorEditor.js");
/* harmony import */ var _OutputRenderer__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./OutputRenderer */ "./lib/components/output/OutputRenderer.js");













const KernelProgressMenu = (props) => {
    const { outputAdapter } = props;
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_4__.ActionMenu, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_4__.ActionMenu.Anchor, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_5__.IconButton, { "aria-labelledby": "", icon: _primer_octicons_react__WEBPACK_IMPORTED_MODULE_6__.KebabHorizontalIcon, variant: "invisible" }) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_4__.ActionMenu.Overlay, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_7__.ActionList, { children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_7__.ActionList.Item, { onSelect: e => { e.preventDefault(); outputAdapter.interrupt(); }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_7__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_6__.StopIcon, {}) }), "Interrupt kernel"] }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_7__.ActionList.Item, { variant: "danger", onClick: e => { e.preventDefault(); outputAdapter.clearOutput(); }, children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_7__.ActionList.LeadingVisual, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_octicons_react__WEBPACK_IMPORTED_MODULE_6__.PaintbrushIcon, {}) }), "Clear outputs"] })] }) })] }));
};
const KernelProgressBar = () => {
    const [progress, setProgress] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(0);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        const interval = setInterval(() => {
            setProgress((oldValue) => {
                let newValue = oldValue + 1;
                if (newValue > 100) {
                    newValue = 0;
                }
                return newValue;
            });
        }, 100);
        return () => clearInterval(interval);
    }, []);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_8__.ProgressBar, { progress: progress, barSize: "small" }));
};
const Output = (props) => {
    const { injectableStore, defaultKernel: kernel } = (0,_jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_9__.useJupyter)();
    const { sourceId, autoRun, code, showEditor, clearTrigger, executeTrigger, adapter, receipt, disableRun, insertText, toolbarPosition, codePre, luminoWidgets } = props;
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__.useDispatch)();
    const [id, setId] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(sourceId);
    const [kernelStatus, setKernelStatus] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)('unknown');
    const [outputAdapter, setOutputAdapter] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    const [outputs, setOutputs] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(props.outputs);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
        injectableStore.inject('output', _OutputState__WEBPACK_IMPORTED_MODULE_10__.outputReducer);
    }, [sourceId]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (!id) {
            setId(_lumino_coreutils__WEBPACK_IMPORTED_MODULE_3__.UUID.uuid4());
        }
    }, []);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (id && kernel) {
            const outputAdapter = adapter || new _OutputAdapter__WEBPACK_IMPORTED_MODULE_11__["default"](kernel, outputs || []);
            if (receipt) {
                outputAdapter.outputArea.model.changed.connect((sender, change) => {
                    if (change.type === 'add') {
                        change.newValues.map(val => {
                            if (val && val.data) {
                                const out = val.data['text/html']; // val.data['application/vnd.jupyter.stdout'];
                                if (out) {
                                    if (out.indexOf(receipt) > -1) {
                                        dispatch(_OutputState__WEBPACK_IMPORTED_MODULE_10__.outputActions.grade({
                                            sourceId,
                                            success: true,
                                        }));
                                    }
                                }
                            }
                        });
                    }
                });
            }
            setOutputAdapter(outputAdapter);
            outputAdapter.outputArea.model.changed.connect((outputModel, args) => {
                setOutputs(outputModel.toJSON());
            });
        }
    }, [id, kernel]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (outputAdapter) {
            if (!outputAdapter.kernel) {
                outputAdapter.kernel = kernel;
            }
            if (autoRun) {
                outputAdapter.execute(code);
            }
        }
    }, [outputAdapter]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (kernel) {
            kernel.ready.then(() => {
                setKernelStatus(kernel.connection.status);
                kernel.connection.statusChanged.connect((kernelConnection, status) => {
                    setKernelStatus(status);
                });
            });
            return () => {
                //        kernel.connection.then(k => k.shutdown().then(() => console.log(`Kernel ${k.id} is terminated.`)));
            };
        }
    }, [kernel]);
    const executeRequest = (0,_OutputState__WEBPACK_IMPORTED_MODULE_10__.selectExecute)(sourceId);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (outputAdapter && executeRequest && executeRequest.sourceId === id) {
            outputAdapter.execute(executeRequest.source);
        }
    }, [executeRequest, outputAdapter]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (outputAdapter && executeTrigger > 0) {
            outputAdapter.execute(code);
        }
    }, [executeTrigger]);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        if (outputAdapter && clearTrigger > 0) {
            outputAdapter.clearOutput();
        }
    }, [clearTrigger, outputAdapter]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [showEditor && outputAdapter && id &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_12__["default"], { sx: {
                        '& .cm-editor': {
                            borderRadius: '5px',
                        },
                    }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_codemirror_CodeMirrorEditor__WEBPACK_IMPORTED_MODULE_13__["default"], { autoRun: autoRun, code: code, codePre: codePre, kernel: kernel, outputAdapter: outputAdapter, sourceId: id, disableRun: disableRun, insertText: insertText, toolbarPosition: toolbarPosition }) }), outputAdapter &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(_primer_react__WEBPACK_IMPORTED_MODULE_12__["default"], { display: "flex", children: [(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_12__["default"], { flexGrow: 1, children: kernelStatus !== 'idle' && (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(KernelProgressBar, {}) }), (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_12__["default"], { style: { marginTop: "-13px" }, children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(KernelProgressMenu, { outputAdapter: outputAdapter }) })] }), outputs &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_primer_react__WEBPACK_IMPORTED_MODULE_12__["default"], { sx: {
                        '& .jp-OutputArea': {
                            fontSize: '10px',
                        },
                        '& .jp-OutputPrompt': {
                        //              display: 'none',
                        },
                        '& .jp-OutputArea-prompt': {
                            display: 'none',
                            //              width: '0px',
                        },
                        '& pre': {
                            fontSize: '12px',
                            wordBreak: 'break-all',
                            wordWrap: 'break-word',
                            whiteSpace: 'pre-wrap',
                        },
                    }, children: luminoWidgets
                        ?
                            (outputAdapter &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_14__["default"], { children: outputAdapter.outputArea }))
                        :
                            (outputs &&
                                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: outputs.map((output) => {
                                        return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_OutputRenderer__WEBPACK_IMPORTED_MODULE_15__["default"], { output: output });
                                    }) })) })] }));
};
Output.defaultProps = {
    outputs: [
        {
            "output_type": "execute_result",
            "data": {
                "text/html": [
                    "<p>Type code in the cell and Shift+Enter to execute.</p>"
                ]
            },
            "execution_count": 0,
            "metadata": {},
        }
    ],
    disableRun: false,
    toolbarPosition: 'up',
    executeTrigger: 0,
    clearTrigger: 0,
    luminoWidgets: true,
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Output);


/***/ }),

/***/ "./lib/components/output/OutputAdapter.js":
/*!************************************************!*\
  !*** ./lib/components/output/OutputAdapter.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OutputAdapter": () => (/* binding */ OutputAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/outputarea */ "webpack/sharing/consume/default/@jupyterlab/outputarea");
/* harmony import */ var _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/rendermime */ "webpack/sharing/consume/default/@jupyterlab/rendermime");
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/json-extension */ "webpack/sharing/consume/default/@jupyterlab/json-extension");
/* harmony import */ var _jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/javascript-extension */ "webpack/sharing/consume/default/@jupyterlab/javascript-extension");
/* harmony import */ var _jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyter-widgets/html-manager */ "webpack/sharing/consume/default/@jupyter-widgets/html-manager/@jupyter-widgets/html-manager");
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyter-widgets/html-manager/lib/output_renderers */ "../../../../../node_modules/@jupyter-widgets/html-manager/lib/output_renderers.js");
/* harmony import */ var _jupyter_ipywidgets_IPyWidgetsManager__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../jupyter/ipywidgets/IPyWidgetsManager */ "./lib/jupyter/ipywidgets/IPyWidgetsManager.js");







// import { activateWidgetExtension } from "./../../jupyter/ipywidgets/IPyWidgetsJupyterLabPlugin";
// import { activatePlotlyWidgetExtension } from "./../../jupyter/ipywidgets/plotly/JupyterlabPlugin";
class OutputAdapter {
    _kernel;
    _renderers;
    _outputArea;
    _rendermime;
    _iPyWidgetsClassicManager;
    constructor(kernel, outputs) {
        this._kernel = kernel;
        this._renderers = _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__.standardRendererFactories.filter(factory => factory.mimeTypes[0] !== 'text/javascript');
        this._renderers.push(_jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2__.rendererFactory);
        this._renderers.push(_jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3__.rendererFactory);
        this._rendermime = new _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__.RenderMimeRegistry({
            initialFactories: this._renderers,
        });
        this._iPyWidgetsClassicManager = new _jupyter_ipywidgets_IPyWidgetsManager__WEBPACK_IMPORTED_MODULE_6__.IPyWidgetsManager({ loader: _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_4__.requireLoader });
        this._rendermime.addFactory({
            safe: false,
            mimeTypes: [_jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_5__.WIDGET_MIMETYPE],
            createRenderer: (options) => new _jupyter_widgets_html_manager_lib_output_renderers__WEBPACK_IMPORTED_MODULE_5__.WidgetRenderer(options, this._iPyWidgetsClassicManager),
        }, 0);
        //    const widgetRegistry = activateWidgetExtension(this._rendermime);
        //    activatePlotlyWidgetExtension(widgetRegistry);
        const outputAreaModel = new _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__.OutputAreaModel({
            trusted: true,
            values: outputs,
        });
        this._outputArea = new _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__.OutputArea({
            model: outputAreaModel,
            rendermime: this._rendermime,
        });
        if (outputs && outputs[0]) {
            const data = outputs[0].data;
            const isPlotly = data['application/vnd.plotly.v1+json'];
            if (isPlotly) {
                let script = this._outputArea.node.children[0].children[1].children[0].children[1].innerHTML;
                script = script.replaceAll('\n,', '\n');
                eval(script);
            }
        }
        this.initKernel();
    }
    execute(code) {
        if (this._kernel) {
            this.clearOutput();
            this._outputArea.future = this._kernel?.connection.requestExecute({ code });
        }
    }
    interrupt() {
        if (this._kernel) {
            this._kernel.connection.interrupt();
        }
    }
    clearOutput() {
        this._outputArea.model.clear();
    }
    get kernel() {
        return this._kernel;
    }
    set kernel(kernel) {
        this._kernel = kernel;
        this.initKernel();
    }
    get outputArea() {
        return this._outputArea;
    }
    initKernel() {
        if (this._kernel) {
            this._iPyWidgetsClassicManager.registerWithKernel(this._kernel?.connection);
        }
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (OutputAdapter);


/***/ }),

/***/ "./lib/components/output/OutputRenderer.js":
/*!*************************************************!*\
  !*** ./lib/components/output/OutputRenderer.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OutputRenderer": () => (/* binding */ OutputRenderer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");

/*
{
    "execution_count": 2,
    "output_type": "execute_result",
    "data": {
        "text/plain": "IntSlider(value=7, max=10)",
        "application/vnd.jupyter.widget-view+json": {
            "version_major": 2,
            "version_minor": 0,
            "model_id": "cf2eac02dda44b08befe1657e1de73a2"
        }
    },
    "metadata": {}
}
{
    "name": "stdout",
    "text": "1\n1\n",
    "output_type": "stream"
}
{
    "traceback": [
        "\u001b[0;36m  Input \u001b[0;32mIn [4]\u001b[0;36m\u001b[0m\n\u001b[0;31m    x=1sdfsq\u001b[0m\n\u001b[0m      ^\u001b[0m\n\u001b[0;31mSyntaxError\u001b[0m\u001b[0;31m:\u001b[0m invalid decimal literal\n"
    ],
    "ename": "SyntaxError",
    "evalue": "invalid decimal literal (2376046737.py, line 1)",
    "output_type": "error"
}
*/
const OutputRenderer = (props) => {
    const { output } = props;
    let plain;
    let html;
    let img;
    switch (output.output_type) {
        case "error": {
            plain = output.traceback.join('\n');
            break;
        }
        case "stream": {
            const t = output.text;
            if (typeof t === "string") {
                plain = t;
            }
            else if (typeof t === "boolean") {
                plain = t ? "true" : "false";
            }
            else if (Array.isArray(t)) {
                plain = t.join('\n');
            }
            else
                plain = t?.toString();
            break;
        }
        case "display_data": {
            const data = output.data;
            if (data) {
                const image_png = data["image/png"];
                if (image_png) {
                    img = image_png;
                }
            }
            break;
        }
        case "execute_result": {
            const data = output.data;
            if (data) {
                const text_plain = data["text/plain"];
                if (text_plain) {
                    if (typeof text_plain === "string") {
                        plain = text_plain;
                    }
                    else if (Array.isArray(text_plain)) {
                        plain = text_plain.join('\n');
                    }
                    else
                        plain = text_plain.toString();
                }
                const text_html = data["text/html"];
                if (text_html) {
                    if (typeof text_html === "string") {
                        html = text_html;
                    }
                    else {
                        html = text_html.join('\n');
                    }
                }
            }
            break;
        }
    }
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: [plain &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("pre", { style: {
                        color: "black",
                        backgroundColor: "white",
                    }, children: plain }), html &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { dangerouslySetInnerHTML: { __html: html } }) }), img &&
                (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("img", { src: `data:image/png;base64,${img}` }) })] }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (OutputRenderer);


/***/ }),

/***/ "./lib/components/output/OutputState.js":
/*!**********************************************!*\
  !*** ./lib/components/output/OutputState.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OutputActionType": () => (/* binding */ OutputActionType),
/* harmony export */   "outputActions": () => (/* binding */ outputActions),
/* harmony export */   "outputInitialState": () => (/* binding */ outputInitialState),
/* harmony export */   "outputReducer": () => (/* binding */ outputReducer),
/* harmony export */   "selectDataset": () => (/* binding */ selectDataset),
/* harmony export */   "selectExecute": () => (/* binding */ selectExecute),
/* harmony export */   "selectGrade": () => (/* binding */ selectGrade),
/* harmony export */   "selectJupyterSetSource": () => (/* binding */ selectJupyterSetSource),
/* harmony export */   "selectJupyterSource": () => (/* binding */ selectJupyterSource)
/* harmony export */ });
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__);



const outputInitialState = {
    outputs: new Map(),
};
/* Selectors */
const selectJupyterSource = (id) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.output) {
        return state.output.outputs.get(id)?.source;
    }
    return undefined;
});
const selectJupyterSetSource = (id) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.output) {
        return state.output.outputs.get(id)?.setSource;
    }
    return undefined;
});
const selectDataset = (id) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.output) {
        return state.output.outputs.get(id)?.dataset;
    }
    return undefined;
});
const selectExecute = (id) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.output) {
        return state.output.outputs.get(id)?.execute;
    }
    return undefined;
});
const selectGrade = (id) => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.output) {
        return state.output.outputs.get(id)?.grade;
    }
    return undefined;
});
/* Actions */
var OutputActionType;
(function (OutputActionType) {
    OutputActionType["SOURCE"] = "output/SOURCE";
    OutputActionType["DATASET"] = "output/DATASET";
    OutputActionType["EXECUTE"] = "output/EXECUTE";
    OutputActionType["SET_SOURCE"] = "output/SET_SOURCE";
    OutputActionType["GRADE"] = "output/GRADE";
})(OutputActionType || (OutputActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default()('jupyterOutput');
const outputActions = {
    source: actionCreator(OutputActionType.SOURCE),
    dataset: actionCreator(OutputActionType.DATASET),
    execute: actionCreator(OutputActionType.EXECUTE),
    setSource: actionCreator(OutputActionType.SET_SOURCE),
    grade: actionCreator(OutputActionType.GRADE),
};
/* Reducers */
const outputReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__.reducerWithInitialState)(outputInitialState)
    .case(outputActions.source, (state, source) => {
    const sourceId = source.sourceId;
    const outputs = state.outputs;
    const s = outputs.get(sourceId);
    if (s) {
        s.source = source;
    }
    else {
        outputs.set(sourceId, { source });
    }
    return {
        ...state,
        outputs,
    };
})
    .case(outputActions.dataset, (state, dataset) => {
    const sourceId = dataset.sourceId;
    const outputs = state.outputs;
    const d = outputs.get(sourceId);
    if (d) {
        d.dataset = dataset;
    }
    else {
        outputs.set(sourceId, { dataset });
    }
    return {
        ...state,
        outputs,
    };
})
    .case(outputActions.execute, (state, execute) => {
    const sourceId = execute.sourceId;
    const outputs = state.outputs;
    const e = outputs.get(sourceId);
    if (e) {
        e.execute = execute;
    }
    else {
        outputs.set(sourceId, { execute });
    }
    return {
        ...state,
        outputs,
    };
})
    .case(outputActions.setSource, (state, setSource) => {
    const sourceId = setSource.sourceId;
    const outputs = state.outputs;
    const s = outputs.get(sourceId);
    if (s) {
        s.setSource = setSource;
    }
    else {
        outputs.set(sourceId, { setSource });
    }
    return {
        ...state,
        outputs,
    };
})
    .case(outputActions.grade, (state, grade) => {
    const sourceId = grade.sourceId;
    const outputs = state.outputs;
    const g = outputs.get(sourceId);
    if (g) {
        g.grade = grade;
    }
    else {
        outputs.set(sourceId, { grade });
    }
    return {
        ...state,
        outputs,
    };
});


/***/ }),

/***/ "./lib/components/settings/Settings.js":
/*!*********************************************!*\
  !*** ./lib/components/settings/Settings.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Settings": () => (/* binding */ Settings),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _SettingsAdapter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./SettingsAdapter */ "./lib/components/settings/SettingsAdapter.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");



const Settings = () => {
    const settingsAdapter = new _SettingsAdapter__WEBPACK_IMPORTED_MODULE_1__["default"]();
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__["default"], { children: settingsAdapter.panel }) });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Settings);


/***/ }),

/***/ "./lib/components/settings/SettingsAdapter.js":
/*!****************************************************!*\
  !*** ./lib/components/settings/SettingsAdapter.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_0__);


class SettingsAdapter {
    settingsPanel;
    constructor() {
        this.settingsPanel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.DockPanel();
        this.settingsPanel.id = 'dla-jlab-settings';
        this.settingsPanel.spacing = 0;
    }
    get panel() {
        return this.settingsPanel;
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SettingsAdapter);


/***/ }),

/***/ "./lib/components/settings/SettingsState.js":
/*!**************************************************!*\
  !*** ./lib/components/settings/SettingsState.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SettingsActionType": () => (/* binding */ SettingsActionType),
/* harmony export */   "selectSettings": () => (/* binding */ selectSettings),
/* harmony export */   "settingsActions": () => (/* binding */ settingsActions),
/* harmony export */   "settingsInitialState": () => (/* binding */ settingsInitialState),
/* harmony export */   "settingsReducer": () => (/* binding */ settingsReducer)
/* harmony export */ });
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__);



const settingsInitialState = {
    outputs: 0,
};
/* Selectors */
const selectSettings = () => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.settings) {
        return state.settings;
    }
    return { outputs: 0 };
});
/* Actions */
var SettingsActionType;
(function (SettingsActionType) {
    SettingsActionType["OUTPUTS"] = "settings/OUTPUTS";
    SettingsActionType["EXECUTE"] = "settings/EXECUTE";
})(SettingsActionType || (SettingsActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default()('jupyterReact');
const settingsActions = {
    outputs: actionCreator(SettingsActionType.OUTPUTS),
    execute: actionCreator(SettingsActionType.EXECUTE),
};
/* Reducers */
const settingsReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__.reducerWithInitialState)(settingsInitialState)
    .case(settingsActions.outputs, (state, success) => {
    return {
        ...state,
        outputs: success
    };
});


/***/ }),

/***/ "./lib/components/terminal/Terminal.js":
/*!*********************************************!*\
  !*** ./lib/components/terminal/Terminal.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Terminal": () => (/* binding */ Terminal),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _TerminalAdapter__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./TerminalAdapter */ "./lib/components/terminal/TerminalAdapter.js");
/* harmony import */ var _TerminalState__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./TerminalState */ "./lib/components/terminal/TerminalState.js");
/* harmony import */ var _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../../jupyter/JupyterContext */ "./lib/jupyter/JupyterContext.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");







const Terminal = (options) => {
    const { injectableStore, serverSettings } = (0,_jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_3__.useJupyter)();
    const dispatch = (0,react_redux__WEBPACK_IMPORTED_MODULE_2__.useDispatch)();
    const [adapter, setAdapter] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        injectableStore.inject('terminal', _TerminalState__WEBPACK_IMPORTED_MODULE_4__.terminalReducer);
        const adapter = new _TerminalAdapter__WEBPACK_IMPORTED_MODULE_5__["default"]({
            serverSettings,
            ...options,
        });
        dispatch(_TerminalState__WEBPACK_IMPORTED_MODULE_4__.terminalActions.update({ adapter }));
        setAdapter(adapter);
    }, []);
    return adapter
        ?
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_6__["default"], { children: adapter.panel })
        :
            (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: "Loading Jupyter Terminal..." });
};
Terminal.defaultProps = {
    theme: "dark",
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Terminal);


/***/ }),

/***/ "./lib/components/terminal/TerminalAdapter.js":
/*!****************************************************!*\
  !*** ./lib/components/terminal/TerminalAdapter.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TerminalAdapter": () => (/* binding */ TerminalAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/services */ "webpack/sharing/consume/default/@jupyterlab/services");
/* harmony import */ var _jupyterlab_services__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_services__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyterlab_terminal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/terminal */ "webpack/sharing/consume/default/@jupyterlab/terminal");
/* harmony import */ var _jupyterlab_terminal__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_terminal__WEBPACK_IMPORTED_MODULE_2__);




class TerminalAdapter {
    terminal;
    terminalPanel;
    constructor(options) {
        const { serverSettings, theme } = options;
        this.terminalPanel = new _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.BoxPanel();
        this.terminalPanel.addClass('dla-JupyterLab-terminal');
        this.terminalPanel.spacing = 0;
        const terminalManager = new _jupyterlab_services__WEBPACK_IMPORTED_MODULE_1__.TerminalManager({
            serverSettings,
        });
        terminalManager.startNew().then((terminalConnection) => {
            terminalConnection.connectionStatusChanged.connect((_, status) => {
                console.log('Jupyter Terminal status', status);
            });
            this.terminal = new _jupyterlab_terminal__WEBPACK_IMPORTED_MODULE_2__.Terminal(terminalConnection, { theme });
            this.terminal.title.closable = true;
            this.terminalPanel.addWidget(this.terminal);
        });
    }
    get panel() {
        return this.terminalPanel;
    }
    setTheme(theme) {
        this.terminal.setOption('theme', theme);
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (TerminalAdapter);


/***/ }),

/***/ "./lib/components/terminal/TerminalState.js":
/*!**************************************************!*\
  !*** ./lib/components/terminal/TerminalState.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TerminalActionType": () => (/* binding */ TerminalActionType),
/* harmony export */   "selectTerminal": () => (/* binding */ selectTerminal),
/* harmony export */   "terminalActions": () => (/* binding */ terminalActions),
/* harmony export */   "terminalInitialState": () => (/* binding */ terminalInitialState),
/* harmony export */   "terminalReducer": () => (/* binding */ terminalReducer)
/* harmony export */ });
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-redux */ "webpack/sharing/consume/default/react-redux/react-redux");
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! typescript-fsa */ "webpack/sharing/consume/default/typescript-fsa/typescript-fsa");
/* harmony import */ var typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! typescript-fsa-reducers */ "webpack/sharing/consume/default/typescript-fsa-reducers/typescript-fsa-reducers");
/* harmony import */ var typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__);



const terminalInitialState = {
    dark: false,
};
/* Selectors */
const selectTerminal = () => (0,react_redux__WEBPACK_IMPORTED_MODULE_0__.useSelector)((state) => {
    if (state.terminal) {
        return state.terminal;
    }
    return terminalInitialState;
});
/* Actions */
var TerminalActionType;
(function (TerminalActionType) {
    TerminalActionType["UPDATE"] = "terminal/UPDATE";
})(TerminalActionType || (TerminalActionType = {}));
const actionCreator = typescript_fsa__WEBPACK_IMPORTED_MODULE_1___default()('jupyterReact');
const terminalActions = {
    update: actionCreator(TerminalActionType.UPDATE),
};
/* Reducers */
const terminalReducer = (0,typescript_fsa_reducers__WEBPACK_IMPORTED_MODULE_2__.reducerWithInitialState)(terminalInitialState)
    .case(terminalActions.update, (state, update) => {
    if (state.adapter) {
        if (update.dark !== undefined) {
            if (update.dark) {
                state.adapter.setTheme('dark');
            }
            else {
                state.adapter.setTheme('light');
            }
        }
    }
    return {
        ...state,
        ...update,
    };
});


/***/ }),

/***/ "./lib/components/viewer/Viewer.js":
/*!*****************************************!*\
  !*** ./lib/components/viewer/Viewer.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Viewer": () => (/* binding */ Viewer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _input_InputViewer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./input/InputViewer */ "./lib/components/viewer/input/InputViewer.js");
/* harmony import */ var _utils_Utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/Utils */ "./lib/utils/Utils.js");



// import OutputViewer from './output/OutputViewer';

const Viewer = (props) => {
    const { nbformat } = props;
    const [model, setModel] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)();
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        setModel(nbformat);
    }, [nbformat]);
    return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: model?.cells.map(cell => {
            return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_input_InputViewer__WEBPACK_IMPORTED_MODULE_2__["default"], { cell: cell, languageInfo: nbformat.metadata.language_info }) }, cell.id?.toString() || (0,_utils_Utils__WEBPACK_IMPORTED_MODULE_3__.newUuid)()));
        }) }));
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Viewer);


/***/ }),

/***/ "./lib/components/viewer/input/InputViewer.js":
/*!****************************************************!*\
  !*** ./lib/components/viewer/input/InputViewer.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "InputViewer": () => (/* binding */ InputViewer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/codemirror */ "webpack/sharing/consume/default/@jupyterlab/codemirror");
/* harmony import */ var _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/rendermime */ "webpack/sharing/consume/default/@jupyterlab/rendermime");
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/cells */ "webpack/sharing/consume/default/@jupyterlab/cells");
/* harmony import */ var _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyterlab/mathjax-extension */ "webpack/sharing/consume/default/@jupyterlab/mathjax-extension");
/* harmony import */ var _jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _jupyter_ydoc__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyter/ydoc */ "webpack/sharing/consume/default/@jupyter/ydoc");
/* harmony import */ var _jupyter_ydoc__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_jupyter_ydoc__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _notebook_marked_marked__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./../../notebook/marked/marked */ "./lib/components/notebook/marked/marked.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");








const themes = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.EditorThemeRegistry();
const editorExtensions = () => {
    const registry = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.EditorExtensionRegistry();
    for (const extensionFactory of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.EditorExtensionRegistry.getDefaultExtensions({ themes })) {
        registry.addExtension(extensionFactory);
    }
    registry.addExtension({
        name: 'shared-model-binding',
        factory: options => {
            const sharedModel = options.model.sharedModel;
            return _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.EditorExtensionRegistry.createImmutableExtension((0,_jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.ybinding)({
                ytext: sharedModel.ysource,
                undoManager: sharedModel.undoManager ?? undefined
            }));
        }
    });
    return registry;
};
const languages = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.EditorLanguageRegistry();
for (const language of _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.EditorLanguageRegistry.getDefaultLanguages()) {
    languages.addLanguage(language);
}
languages.addLanguage({
    name: 'ipythongfm',
    mime: 'text/x-ipythongfm',
    load: async () => {
        // TODO: add support for LaTeX
        const m = await Promise.all(/*! import() */[__webpack_require__.e("vendors-node_modules_codemirror_autocomplete_dist_index_js"), __webpack_require__.e("vendors-node_modules_lezer_lr_dist_index_js"), __webpack_require__.e("vendors-node_modules_codemirror_lang-markdown_dist_index_js"), __webpack_require__.e("webpack_sharing_consume_default_codemirror_language-webpack_sharing_consume_default_lezer_common"), __webpack_require__.e("webpack_sharing_consume_default_lezer_highlight")]).then(__webpack_require__.bind(__webpack_require__, /*! @codemirror/lang-markdown */ "../../../../../node_modules/@codemirror/lang-markdown/dist/index.js"));
        return m.markdown({
            codeLanguages: (info) => languages.findBest(info)
        });
    }
});
const rendermime = new _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_2__.RenderMimeRegistry({
    initialFactories: _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_2__.standardRendererFactories,
    latexTypesetter: new _jupyterlab_mathjax_extension__WEBPACK_IMPORTED_MODULE_4__.MathJaxTypesetter(),
    markdownParser: (0,_notebook_marked_marked__WEBPACK_IMPORTED_MODULE_6__.getMarked)(languages),
});
const factoryService = new _jupyterlab_codemirror__WEBPACK_IMPORTED_MODULE_1__.CodeMirrorEditorFactory({
    extensions: editorExtensions(),
    languages,
});
const InputViewer = (props) => {
    const { cell, languageInfo } = props;
    switch (cell.cell_type) {
        case 'code': {
            const codeCell = new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.CodeCell({
                rendermime,
                model: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.CodeCellModel({
                    sharedModel: (0,_jupyter_ydoc__WEBPACK_IMPORTED_MODULE_5__.createStandaloneCell)(cell)
                }),
                editorConfig: {
                    readOnly: true,
                },
                contentFactory: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.Cell.ContentFactory({
                    editorFactory: factoryService.newInlineEditor.bind(factoryService)
                })
            }).initializeState();
            if (languageInfo && languageInfo.mimetype) {
                codeCell.model.mimeType = languageInfo.mimetype;
            }
            return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_7__["default"], { children: codeCell }) }));
        }
        case 'markdown': {
            const markdownCell = new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.MarkdownCell({
                rendermime,
                showEditorForReadOnlyMarkdown: false,
                model: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.MarkdownCellModel({
                    sharedModel: (0,_jupyter_ydoc__WEBPACK_IMPORTED_MODULE_5__.createStandaloneCell)(cell)
                }),
                contentFactory: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.Cell.ContentFactory({
                    editorFactory: factoryService.newInlineEditor.bind(factoryService)
                })
            }).initializeState();
            return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_7__["default"], { children: markdownCell }) }));
        }
        case 'raw': {
            const rawCell = new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.RawCell({
                model: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.RawCellModel({
                    sharedModel: (0,_jupyter_ydoc__WEBPACK_IMPORTED_MODULE_5__.createStandaloneCell)(cell)
                }),
                contentFactory: new _jupyterlab_cells__WEBPACK_IMPORTED_MODULE_3__.Cell.ContentFactory({
                    editorFactory: factoryService.newInlineEditor.bind(factoryService)
                })
            });
            return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_7__["default"], { children: rawCell }) }));
        }
        default: {
            return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {});
        }
    }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (InputViewer);


/***/ }),

/***/ "./lib/components/viewer/output/OutputAdapter.js":
/*!*******************************************************!*\
  !*** ./lib/components/viewer/output/OutputAdapter.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OutputAdapter": () => (/* binding */ OutputAdapter),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyterlab/outputarea */ "webpack/sharing/consume/default/@jupyterlab/outputarea");
/* harmony import */ var _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyterlab/rendermime */ "webpack/sharing/consume/default/@jupyterlab/rendermime");
/* harmony import */ var _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/json-extension */ "webpack/sharing/consume/default/@jupyterlab/json-extension");
/* harmony import */ var _jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyterlab/javascript-extension */ "webpack/sharing/consume/default/@jupyterlab/javascript-extension");
/* harmony import */ var _jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3__);




class OutputAdapter {
    _renderers;
    _outputArea;
    _rendermime;
    constructor(adaptPlotly, outputs) {
        this._renderers = _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__.standardRendererFactories.filter(factory => factory.mimeTypes[0] !== 'text/javascript');
        this._renderers.push(_jupyterlab_json_extension__WEBPACK_IMPORTED_MODULE_2__.rendererFactory);
        this._renderers.push(_jupyterlab_javascript_extension__WEBPACK_IMPORTED_MODULE_3__.rendererFactory);
        this._rendermime = new _jupyterlab_rendermime__WEBPACK_IMPORTED_MODULE_1__.RenderMimeRegistry({
            initialFactories: this._renderers,
        });
        const outputAreaModel = new _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__.OutputAreaModel({
            trusted: true,
            values: outputs,
        });
        this._outputArea = new _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_0__.OutputArea({
            model: outputAreaModel,
            rendermime: this._rendermime,
        });
        if (adaptPlotly && outputs && outputs[0]) {
            const data = outputs[0].data;
            const isPlotly = data['application/vnd.plotly.v1+json'];
            if (isPlotly) {
                let script = this._outputArea.node.children[0].children[1].children[0].children[1].innerHTML;
                script = script.replaceAll('\n,', '\n');
                eval(script);
            }
        }
    }
    clearOutput() {
        this._outputArea.model.clear();
    }
    get outputArea() {
        return this._outputArea;
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (OutputAdapter);


/***/ }),

/***/ "./lib/components/viewer/output/OutputViewer.js":
/*!******************************************************!*\
  !*** ./lib/components/viewer/output/OutputViewer.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OutputViewer": () => (/* binding */ OutputViewer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");
/* harmony import */ var _OutputAdapter__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./OutputAdapter */ "./lib/components/viewer/output/OutputAdapter.js");



const OutputViewer = (props) => {
    const { cell, adaptPlotly } = props;
    const outputs = cell.outputs ? cell.outputs : undefined;
    const outputAdapter = new _OutputAdapter__WEBPACK_IMPORTED_MODULE_1__["default"](adaptPlotly, outputs);
    switch (cell.cell_type) {
        case 'code': {
            return ((0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, { children: (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(_jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_2__["default"], { children: outputAdapter.outputArea }) }));
        }
        default:
            return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {});
    }
};
OutputViewer.defaultProps = {
    adaptPlotly: false,
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (OutputViewer);


/***/ }),

/***/ "./lib/index.js":
/*!**********************!*\
  !*** ./lib/index.js ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ActionType": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.ActionType),
/* harmony export */   "Cell": () => (/* reexport safe */ _components_cell_Cell__WEBPACK_IMPORTED_MODULE_14__.Cell),
/* harmony export */   "CellActionType": () => (/* reexport safe */ _components_cell_CellState__WEBPACK_IMPORTED_MODULE_16__.CellActionType),
/* harmony export */   "CellAdapter": () => (/* reexport safe */ _components_cell_CellAdapter__WEBPACK_IMPORTED_MODULE_15__.CellAdapter),
/* harmony export */   "CellMetadataEditor": () => (/* reexport safe */ _components_notebook_cell_metadata_CellMetadataEditor__WEBPACK_IMPORTED_MODULE_21__.CellMetadataEditor),
/* harmony export */   "CellSidebarDefault": () => (/* reexport safe */ _components_notebook_cell_sidebar_CellSidebarDefault__WEBPACK_IMPORTED_MODULE_26__.CellSidebarDefault),
/* harmony export */   "CellSidebarRun": () => (/* reexport safe */ _components_notebook_cell_sidebar_CellSidebarRun__WEBPACK_IMPORTED_MODULE_27__.CellSidebarRun),
/* harmony export */   "CellSidebarWidget": () => (/* reexport safe */ _components_notebook_cell_sidebar_CellSidebarWidget__WEBPACK_IMPORTED_MODULE_25__.CellSidebarWidget),
/* harmony export */   "CodeMirrorEditor": () => (/* reexport safe */ _components_codemirror_CodeMirrorEditor__WEBPACK_IMPORTED_MODULE_17__.CodeMirrorEditor),
/* harmony export */   "Commands": () => (/* reexport safe */ _components_commands_Commands__WEBPACK_IMPORTED_MODULE_28__.Commands),
/* harmony export */   "CommandsActionType": () => (/* reexport safe */ _components_commands_CommandsState__WEBPACK_IMPORTED_MODULE_29__.CommandsActionType),
/* harmony export */   "Console": () => (/* reexport safe */ _components_console_Console__WEBPACK_IMPORTED_MODULE_30__.Console),
/* harmony export */   "ConsoleActionType": () => (/* reexport safe */ _components_console_ConsoleState__WEBPACK_IMPORTED_MODULE_31__.ConsoleActionType),
/* harmony export */   "CountdownInputPrompt": () => (/* reexport safe */ _components_notebook_cell_prompt_CountdownInputPrompt__WEBPACK_IMPORTED_MODULE_23__.CountdownInputPrompt),
/* harmony export */   "DATALAYER_CELL_HEADER_CLASS": () => (/* reexport safe */ _components_notebook_cell_sidebar_CellSidebarWidget__WEBPACK_IMPORTED_MODULE_25__.DATALAYER_CELL_HEADER_CLASS),
/* harmony export */   "Dialog": () => (/* reexport safe */ _components_dialog_Dialog__WEBPACK_IMPORTED_MODULE_32__.Dialog),
/* harmony export */   "FileBrowser": () => (/* reexport safe */ _components_filebrowser_FileBrowser__WEBPACK_IMPORTED_MODULE_33__.FileBrowser),
/* harmony export */   "FileManagerActionType": () => (/* reexport safe */ _components_filemanager_FileManagerState__WEBPACK_IMPORTED_MODULE_34__.FileManagerActionType),
/* harmony export */   "FileManagerLab": () => (/* reexport safe */ _components_filemanager_lab_FileManagerLab__WEBPACK_IMPORTED_MODULE_35__.FileManagerLab),
/* harmony export */   "IPyWidgetsViewManager": () => (/* reexport safe */ _jupyter_ipywidgets_IPyWidgetsViewManager__WEBPACK_IMPORTED_MODULE_13__.IPyWidgetsViewManager),
/* harmony export */   "InputViewer": () => (/* reexport safe */ _components_viewer_input_InputViewer__WEBPACK_IMPORTED_MODULE_45__.InputViewer),
/* harmony export */   "Jupyter": () => (/* reexport safe */ _jupyter_Jupyter__WEBPACK_IMPORTED_MODULE_0__.Jupyter),
/* harmony export */   "JupyterContext": () => (/* reexport safe */ _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__.JupyterContext),
/* harmony export */   "JupyterContextConsumer": () => (/* reexport safe */ _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__.JupyterContextConsumer),
/* harmony export */   "JupyterContextProvider": () => (/* reexport safe */ _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__.JupyterContextProvider),
/* harmony export */   "JupyterReactContentFactory": () => (/* reexport safe */ _components_notebook_content_JupyterReactContentFactory__WEBPACK_IMPORTED_MODULE_24__.JupyterReactContentFactory),
/* harmony export */   "Kernel": () => (/* reexport safe */ _jupyter_services_kernel_Kernel__WEBPACK_IMPORTED_MODULE_11__.Kernel),
/* harmony export */   "KernelModel": () => (/* reexport safe */ _jupyter_services_kernel_KernelModel__WEBPACK_IMPORTED_MODULE_12__.KernelModel),
/* harmony export */   "Lumino": () => (/* reexport safe */ _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_4__.Lumino),
/* harmony export */   "LuminoDetached": () => (/* reexport safe */ _jupyter_lumino_LuminoDetached__WEBPACK_IMPORTED_MODULE_5__.LuminoDetached),
/* harmony export */   "NbGraderType": () => (/* reexport safe */ _components_notebook_cell_metadata_NbGraderCells__WEBPACK_IMPORTED_MODULE_22__.NbGraderType),
/* harmony export */   "Notebook": () => (/* reexport safe */ _components_notebook_Notebook__WEBPACK_IMPORTED_MODULE_18__.Notebook),
/* harmony export */   "NotebookAdapter": () => (/* reexport safe */ _components_notebook_NotebookAdapter__WEBPACK_IMPORTED_MODULE_19__.NotebookAdapter),
/* harmony export */   "Output": () => (/* reexport safe */ _components_output_Output__WEBPACK_IMPORTED_MODULE_36__.Output),
/* harmony export */   "OutputActionType": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.OutputActionType),
/* harmony export */   "OutputAdapter": () => (/* reexport safe */ _components_output_OutputAdapter__WEBPACK_IMPORTED_MODULE_37__.OutputAdapter),
/* harmony export */   "OutputIPyWidgets": () => (/* reexport safe */ _components_output_OutputIPyWidgets__WEBPACK_IMPORTED_MODULE_39__.OutputIPyWidgets),
/* harmony export */   "OutputViewer": () => (/* reexport safe */ _components_viewer_output_OutputViewer__WEBPACK_IMPORTED_MODULE_46__.OutputViewer),
/* harmony export */   "ReactPortalWidget": () => (/* reexport safe */ _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_7__.ReactPortalWidget),
/* harmony export */   "Services": () => (/* reexport safe */ _jupyter_services_Services__WEBPACK_IMPORTED_MODULE_10__.Services),
/* harmony export */   "Settings": () => (/* reexport safe */ _components_settings_Settings__WEBPACK_IMPORTED_MODULE_40__.Settings),
/* harmony export */   "SettingsActionType": () => (/* reexport safe */ _components_settings_SettingsState__WEBPACK_IMPORTED_MODULE_41__.SettingsActionType),
/* harmony export */   "Terminal": () => (/* reexport safe */ _components_terminal_Terminal__WEBPACK_IMPORTED_MODULE_42__.Terminal),
/* harmony export */   "TerminalActionType": () => (/* reexport safe */ _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_43__.TerminalActionType),
/* harmony export */   "UseSignal": () => (/* reexport safe */ _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_7__.UseSignal),
/* harmony export */   "VDomModel": () => (/* reexport safe */ _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_7__.VDomModel),
/* harmony export */   "VDomRenderer": () => (/* reexport safe */ _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_7__.VDomRenderer),
/* harmony export */   "Viewer": () => (/* reexport safe */ _components_viewer_Viewer__WEBPACK_IMPORTED_MODULE_44__.Viewer),
/* harmony export */   "asObservable": () => (/* reexport safe */ _jupyter_lumino_LuminoObservable__WEBPACK_IMPORTED_MODULE_6__.asObservable),
/* harmony export */   "cellActions": () => (/* reexport safe */ _components_cell_CellState__WEBPACK_IMPORTED_MODULE_16__.cellActions),
/* harmony export */   "cellInitialState": () => (/* reexport safe */ _components_cell_CellState__WEBPACK_IMPORTED_MODULE_16__.cellInitialState),
/* harmony export */   "cellReducer": () => (/* reexport safe */ _components_cell_CellState__WEBPACK_IMPORTED_MODULE_16__.cellReducer),
/* harmony export */   "commandsActions": () => (/* reexport safe */ _components_commands_CommandsState__WEBPACK_IMPORTED_MODULE_29__.commandsActions),
/* harmony export */   "commandsInitialState": () => (/* reexport safe */ _components_commands_CommandsState__WEBPACK_IMPORTED_MODULE_29__.commandsInitialState),
/* harmony export */   "commandsReducer": () => (/* reexport safe */ _components_commands_CommandsState__WEBPACK_IMPORTED_MODULE_29__.commandsReducer),
/* harmony export */   "consoleActions": () => (/* reexport safe */ _components_console_ConsoleState__WEBPACK_IMPORTED_MODULE_31__.consoleActions),
/* harmony export */   "consoleInitialState": () => (/* reexport safe */ _components_console_ConsoleState__WEBPACK_IMPORTED_MODULE_31__.consoleInitialState),
/* harmony export */   "consoleReducer": () => (/* reexport safe */ _components_console_ConsoleState__WEBPACK_IMPORTED_MODULE_31__.consoleReducer),
/* harmony export */   "createInjectableStore": () => (/* reexport safe */ _state_redux_Store__WEBPACK_IMPORTED_MODULE_9__.createInjectableStore),
/* harmony export */   "createReduxEpicStore": () => (/* reexport safe */ _state_redux_Store__WEBPACK_IMPORTED_MODULE_9__.createReduxEpicStore),
/* harmony export */   "createServerSettings": () => (/* reexport safe */ _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__.createServerSettings),
/* harmony export */   "ensureJupyterAuth": () => (/* reexport safe */ _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__.ensureJupyterAuth),
/* harmony export */   "epics": () => (/* reexport safe */ _state_redux_State__WEBPACK_IMPORTED_MODULE_8__.epics),
/* harmony export */   "fileBrowserActions": () => (/* reexport safe */ _components_filemanager_FileManagerState__WEBPACK_IMPORTED_MODULE_34__.fileBrowserActions),
/* harmony export */   "fileBrowserInitialState": () => (/* reexport safe */ _components_filemanager_FileManagerState__WEBPACK_IMPORTED_MODULE_34__.fileBrowserInitialState),
/* harmony export */   "fileBrowserReducer": () => (/* reexport safe */ _components_filemanager_FileManagerState__WEBPACK_IMPORTED_MODULE_34__.fileBrowserReducer),
/* harmony export */   "getCookie": () => (/* reexport safe */ _utils_Utils__WEBPACK_IMPORTED_MODULE_47__.getCookie),
/* harmony export */   "getJupyterServerHttpUrl": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.getJupyterServerHttpUrl),
/* harmony export */   "getJupyterServerWsUrl": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.getJupyterServerWsUrl),
/* harmony export */   "getJupyterToken": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.getJupyterToken),
/* harmony export */   "getNbGraderType": () => (/* reexport safe */ _components_notebook_cell_metadata_NbGraderCells__WEBPACK_IMPORTED_MODULE_22__.getNbGraderType),
/* harmony export */   "initialState": () => (/* reexport safe */ _state_redux_State__WEBPACK_IMPORTED_MODULE_8__.initialState),
/* harmony export */   "loadJupyterConfig": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.loadJupyterConfig),
/* harmony export */   "newSourceId": () => (/* reexport safe */ _utils_Utils__WEBPACK_IMPORTED_MODULE_47__.newSourceId),
/* harmony export */   "newUuid": () => (/* reexport safe */ _utils_Utils__WEBPACK_IMPORTED_MODULE_47__.newUuid),
/* harmony export */   "notebookActions": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.notebookActions),
/* harmony export */   "notebookEpics": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.notebookEpics),
/* harmony export */   "notebookInitialState": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.notebookInitialState),
/* harmony export */   "notebookReducer": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.notebookReducer),
/* harmony export */   "outputActions": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.outputActions),
/* harmony export */   "outputInitialState": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.outputInitialState),
/* harmony export */   "outputReducer": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.outputReducer),
/* harmony export */   "reducers": () => (/* reexport safe */ _state_redux_State__WEBPACK_IMPORTED_MODULE_8__.reducers),
/* harmony export */   "runsInJupyterLab": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.runsInJupyterLab),
/* harmony export */   "selectActiveCell": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectActiveCell),
/* harmony export */   "selectCell": () => (/* reexport safe */ _components_cell_CellState__WEBPACK_IMPORTED_MODULE_16__.selectCell),
/* harmony export */   "selectCommands": () => (/* reexport safe */ _components_commands_CommandsState__WEBPACK_IMPORTED_MODULE_29__.selectCommands),
/* harmony export */   "selectConsole": () => (/* reexport safe */ _components_console_ConsoleState__WEBPACK_IMPORTED_MODULE_31__.selectConsole),
/* harmony export */   "selectDataset": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.selectDataset),
/* harmony export */   "selectExecute": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.selectExecute),
/* harmony export */   "selectFileManager": () => (/* reexport safe */ _components_filemanager_FileManagerState__WEBPACK_IMPORTED_MODULE_34__.selectFileManager),
/* harmony export */   "selectGrade": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.selectGrade),
/* harmony export */   "selectJupyterSetSource": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.selectJupyterSetSource),
/* harmony export */   "selectJupyterSource": () => (/* reexport safe */ _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__.selectJupyterSource),
/* harmony export */   "selectKernelStatus": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectKernelStatus),
/* harmony export */   "selectNotebook": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectNotebook),
/* harmony export */   "selectNotebookModel": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectNotebookModel),
/* harmony export */   "selectNotebookPortalDisplay": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectNotebookPortalDisplay),
/* harmony export */   "selectNotebookPortals": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectNotebookPortals),
/* harmony export */   "selectSaveRequest": () => (/* reexport safe */ _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__.selectSaveRequest),
/* harmony export */   "selectSettings": () => (/* reexport safe */ _components_settings_SettingsState__WEBPACK_IMPORTED_MODULE_41__.selectSettings),
/* harmony export */   "selectTerminal": () => (/* reexport safe */ _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_43__.selectTerminal),
/* harmony export */   "setJupyterServerHttpUrl": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.setJupyterServerHttpUrl),
/* harmony export */   "setJupyterServerWsUrl": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.setJupyterServerWsUrl),
/* harmony export */   "setJupyterToken": () => (/* reexport safe */ _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__.setJupyterToken),
/* harmony export */   "settingsActions": () => (/* reexport safe */ _components_settings_SettingsState__WEBPACK_IMPORTED_MODULE_41__.settingsActions),
/* harmony export */   "settingsInitialState": () => (/* reexport safe */ _components_settings_SettingsState__WEBPACK_IMPORTED_MODULE_41__.settingsInitialState),
/* harmony export */   "settingsReducer": () => (/* reexport safe */ _components_settings_SettingsState__WEBPACK_IMPORTED_MODULE_41__.settingsReducer),
/* harmony export */   "sourceAsString": () => (/* reexport safe */ _utils_Utils__WEBPACK_IMPORTED_MODULE_47__.sourceAsString),
/* harmony export */   "startLiteServer": () => (/* reexport safe */ _jupyter_lite_LiteServer__WEBPACK_IMPORTED_MODULE_3__.startLiteServer),
/* harmony export */   "terminalActions": () => (/* reexport safe */ _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_43__.terminalActions),
/* harmony export */   "terminalInitialState": () => (/* reexport safe */ _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_43__.terminalInitialState),
/* harmony export */   "terminalReducer": () => (/* reexport safe */ _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_43__.terminalReducer),
/* harmony export */   "useJupyter": () => (/* reexport safe */ _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__.useJupyter)
/* harmony export */ });
/* harmony import */ var _jupyter_Jupyter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./jupyter/Jupyter */ "./lib/jupyter/Jupyter.js");
/* harmony import */ var _jupyter_JupyterContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./jupyter/JupyterContext */ "./lib/jupyter/JupyterContext.js");
/* harmony import */ var _jupyter_JupyterConfig__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./jupyter/JupyterConfig */ "./lib/jupyter/JupyterConfig.js");
/* harmony import */ var _jupyter_lite_LiteServer__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./jupyter/lite/LiteServer */ "./lib/jupyter/lite/LiteServer.js");
/* harmony import */ var _jupyter_lumino_Lumino__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./jupyter/lumino/Lumino */ "./lib/jupyter/lumino/Lumino.js");
/* harmony import */ var _jupyter_lumino_LuminoDetached__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./jupyter/lumino/LuminoDetached */ "./lib/jupyter/lumino/LuminoDetached.js");
/* harmony import */ var _jupyter_lumino_LuminoObservable__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./jupyter/lumino/LuminoObservable */ "./lib/jupyter/lumino/LuminoObservable.js");
/* harmony import */ var _jupyter_lumino_ReactPortalWidget__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./jupyter/lumino/ReactPortalWidget */ "./lib/jupyter/lumino/ReactPortalWidget.js");
/* harmony import */ var _state_redux_State__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./state/redux/State */ "./lib/state/redux/State.js");
/* harmony import */ var _state_redux_Store__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./state/redux/Store */ "./lib/state/redux/Store.js");
/* harmony import */ var _jupyter_services_Services__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./jupyter/services/Services */ "./lib/jupyter/services/Services.js");
/* harmony import */ var _jupyter_services_kernel_Kernel__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./jupyter/services/kernel/Kernel */ "./lib/jupyter/services/kernel/Kernel.js");
/* harmony import */ var _jupyter_services_kernel_KernelModel__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./jupyter/services/kernel/KernelModel */ "./lib/jupyter/services/kernel/KernelModel.js");
/* harmony import */ var _jupyter_ipywidgets_IPyWidgetsViewManager__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./jupyter/ipywidgets/IPyWidgetsViewManager */ "./lib/jupyter/ipywidgets/IPyWidgetsViewManager.js");
/* harmony import */ var _components_cell_Cell__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./components/cell/Cell */ "./lib/components/cell/Cell.js");
/* harmony import */ var _components_cell_CellAdapter__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./components/cell/CellAdapter */ "./lib/components/cell/CellAdapter.js");
/* harmony import */ var _components_cell_CellState__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./components/cell/CellState */ "./lib/components/cell/CellState.js");
/* harmony import */ var _components_codemirror_CodeMirrorEditor__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./components/codemirror/CodeMirrorEditor */ "./lib/components/codemirror/CodeMirrorEditor.js");
/* harmony import */ var _components_notebook_Notebook__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./components/notebook/Notebook */ "./lib/components/notebook/Notebook.js");
/* harmony import */ var _components_notebook_NotebookAdapter__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./components/notebook/NotebookAdapter */ "./lib/components/notebook/NotebookAdapter.js");
/* harmony import */ var _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./components/notebook/NotebookState */ "./lib/components/notebook/NotebookState.js");
/* harmony import */ var _components_notebook_cell_metadata_CellMetadataEditor__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./components/notebook/cell/metadata/CellMetadataEditor */ "./lib/components/notebook/cell/metadata/CellMetadataEditor.js");
/* harmony import */ var _components_notebook_cell_metadata_NbGraderCells__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./components/notebook/cell/metadata/NbGraderCells */ "./lib/components/notebook/cell/metadata/NbGraderCells.js");
/* harmony import */ var _components_notebook_cell_prompt_CountdownInputPrompt__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./components/notebook/cell/prompt/CountdownInputPrompt */ "./lib/components/notebook/cell/prompt/CountdownInputPrompt.js");
/* harmony import */ var _components_notebook_content_JupyterReactContentFactory__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./components/notebook/content/JupyterReactContentFactory */ "./lib/components/notebook/content/JupyterReactContentFactory.js");
/* harmony import */ var _components_notebook_cell_sidebar_CellSidebarWidget__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./components/notebook/cell/sidebar/CellSidebarWidget */ "./lib/components/notebook/cell/sidebar/CellSidebarWidget.js");
/* harmony import */ var _components_notebook_cell_sidebar_CellSidebarDefault__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./components/notebook/cell/sidebar/CellSidebarDefault */ "./lib/components/notebook/cell/sidebar/CellSidebarDefault.js");
/* harmony import */ var _components_notebook_cell_sidebar_CellSidebarRun__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./components/notebook/cell/sidebar/CellSidebarRun */ "./lib/components/notebook/cell/sidebar/CellSidebarRun.js");
/* harmony import */ var _components_commands_Commands__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./components/commands/Commands */ "./lib/components/commands/Commands.js");
/* harmony import */ var _components_commands_CommandsState__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./components/commands/CommandsState */ "./lib/components/commands/CommandsState.js");
/* harmony import */ var _components_console_Console__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./components/console/Console */ "./lib/components/console/Console.js");
/* harmony import */ var _components_console_ConsoleState__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./components/console/ConsoleState */ "./lib/components/console/ConsoleState.js");
/* harmony import */ var _components_dialog_Dialog__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./components/dialog/Dialog */ "./lib/components/dialog/Dialog.js");
/* harmony import */ var _components_filebrowser_FileBrowser__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./components/filebrowser/FileBrowser */ "./lib/components/filebrowser/FileBrowser.js");
/* harmony import */ var _components_filemanager_FileManagerState__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./components/filemanager/FileManagerState */ "./lib/components/filemanager/FileManagerState.js");
/* harmony import */ var _components_filemanager_lab_FileManagerLab__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./components/filemanager/lab/FileManagerLab */ "./lib/components/filemanager/lab/FileManagerLab.js");
/* harmony import */ var _components_output_Output__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./components/output/Output */ "./lib/components/output/Output.js");
/* harmony import */ var _components_output_OutputAdapter__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./components/output/OutputAdapter */ "./lib/components/output/OutputAdapter.js");
/* harmony import */ var _components_output_OutputState__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./components/output/OutputState */ "./lib/components/output/OutputState.js");
/* harmony import */ var _components_output_OutputIPyWidgets__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./components/output/OutputIPyWidgets */ "./lib/components/output/OutputIPyWidgets.js");
/* harmony import */ var _components_settings_Settings__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./components/settings/Settings */ "./lib/components/settings/Settings.js");
/* harmony import */ var _components_settings_SettingsState__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./components/settings/SettingsState */ "./lib/components/settings/SettingsState.js");
/* harmony import */ var _components_terminal_Terminal__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./components/terminal/Terminal */ "./lib/components/terminal/Terminal.js");
/* harmony import */ var _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ./components/terminal/TerminalState */ "./lib/components/terminal/TerminalState.js");
/* harmony import */ var _components_viewer_Viewer__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./components/viewer/Viewer */ "./lib/components/viewer/Viewer.js");
/* harmony import */ var _components_viewer_input_InputViewer__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./components/viewer/input/InputViewer */ "./lib/components/viewer/input/InputViewer.js");
/* harmony import */ var _components_viewer_output_OutputViewer__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./components/viewer/output/OutputViewer */ "./lib/components/viewer/output/OutputViewer.js");
/* harmony import */ var _utils_Utils__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./utils/Utils */ "./lib/utils/Utils.js");
// Jupyter.









// CSS.


// Redux.


// Services.



// IPyWidgets.

// Cell.



// CodeMirror Editor.

// Notebook.










// Commands.


// Console.


// Dialog.

// FileBrowser.

// FileManager.

// FileManager (Lab variant).

// Outputs.




// Settings.


// Terminal.


// Viewer.



// Utils



/***/ }),

/***/ "./lib/jupyter/ipywidgets/IPyWidgetsManager.js":
/*!*****************************************************!*\
  !*** ./lib/jupyter/ipywidgets/IPyWidgetsManager.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "IPyWidgetsManager": () => (/* binding */ IPyWidgetsManager),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyter-widgets/html-manager */ "webpack/sharing/consume/default/@jupyter-widgets/html-manager/@jupyter-widgets/html-manager");
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _jupyter_widgets_base_lib_services_shim__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyter-widgets/base/lib/services-shim */ "../../../../../node_modules/@jupyter-widgets/base/lib/services-shim.js");
/* harmony import */ var _jupyter_widgets_jupyterlab_manager_lib_output__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyter-widgets/jupyterlab-manager/lib/output */ "../../../../../node_modules/@jupyter-widgets/jupyterlab-manager/lib/output.js");
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyter-widgets/base */ "webpack/sharing/consume/default/@jupyter-widgets/base/@jupyter-widgets/base?5ccc");
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyter_widgets_controls__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyter-widgets/controls */ "webpack/sharing/consume/default/@jupyter-widgets/controls/@jupyter-widgets/controls?27d1");
/* harmony import */ var _jupyter_widgets_controls__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_controls__WEBPACK_IMPORTED_MODULE_4__);




// Exposing @jupyter-widgets/base and @jupyter-widgets/controls as AMD modules for custom widget bundles that depend on it.


if (typeof window !== "undefined" && typeof window.define !== "undefined") {
    window.define("@jupyter-widgets/base", _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__);
    window.define("@jupyter-widgets/controls", _jupyter_widgets_controls__WEBPACK_IMPORTED_MODULE_4__);
}
/**
 * The class responsible for the classic IPyWidget rendering.
 */
class IPyWidgetsManager extends _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_1__.HTMLManager {
    _kernelConnection;
    _commRegistration;
    _onError;
    registerWithKernel(kernelConnection) {
        this._kernelConnection = kernelConnection;
        if (this._commRegistration) {
            this._commRegistration.dispose();
        }
        if (kernelConnection) {
            this._commRegistration = kernelConnection.registerCommTarget(this.comm_target_name, (comm, message) => {
                this.handle_comm_open(new _jupyter_widgets_base_lib_services_shim__WEBPACK_IMPORTED_MODULE_2__.shims.services.Comm(comm), message);
            });
        }
    }
    get onError() {
        return this._onError;
    }
    display_view(view, el) {
        return Promise.resolve(view).then((view) => {
            _lumino_widgets__WEBPACK_IMPORTED_MODULE_0__.Widget.attach(view.luminoWidget, el);
            view.on("remove", function () {
                console.log("view removed", view);
            });
            //      return view;
        });
    }
    loadClass(className, moduleName, moduleVersion) {
        if (moduleName === "@jupyter-widgets/output") {
            return Promise.resolve(_jupyter_widgets_jupyterlab_manager_lib_output__WEBPACK_IMPORTED_MODULE_5__).then((module) => {
                if (module[className]) {
                    return module[className];
                }
                else {
                    return Promise.reject(`Class ${className} not found in module ${moduleName}`);
                }
            });
        }
        else {
            return super.loadClass(className, moduleName, moduleVersion);
        }
    }
    callbacks(view) {
        const baseCallbacks = super.callbacks(view);
        return Object.assign({}, baseCallbacks, {
            iopub: { output: (msg) => this._onError.emit(msg) },
        });
    }
    _create_comm(target_name, model_id, data, metadata, buffers) {
        const comm = this._kernelConnection?.createComm(target_name, model_id);
        if (data || metadata) {
            comm?.open(data, metadata);
        }
        return Promise.resolve(new _jupyter_widgets_base_lib_services_shim__WEBPACK_IMPORTED_MODULE_2__.shims.services.Comm(comm));
    }
    _get_comm_info() {
        return this._kernelConnection
            .requestCommInfo({ target_name: this.comm_target_name })
            .then((reply) => reply.content.comms);
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (IPyWidgetsManager);


/***/ }),

/***/ "./lib/jupyter/ipywidgets/lab/manager.js":
/*!***********************************************!*\
  !*** ./lib/jupyter/ipywidgets/lab/manager.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "KernelWidgetManager": () => (/* binding */ KernelWidgetManager),
/* harmony export */   "LabWidgetManager": () => (/* binding */ LabWidgetManager),
/* harmony export */   "WIDGET_STATE_MIMETYPE": () => (/* binding */ WIDGET_STATE_MIMETYPE),
/* harmony export */   "WIDGET_VIEW_MIMETYPE": () => (/* binding */ WIDGET_VIEW_MIMETYPE),
/* harmony export */   "WidgetManager": () => (/* binding */ WidgetManager)
/* harmony export */ });
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyter-widgets/base */ "webpack/sharing/consume/default/@jupyter-widgets/base/@jupyter-widgets/base?5ccc");
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyter_widgets_base_manager__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyter-widgets/base-manager */ "../../../../../node_modules/@jupyter-widgets/base-manager/lib/index.js");
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/signaling */ "webpack/sharing/consume/default/@lumino/signaling");
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_signaling__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var semver__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! semver */ "../../../../../node_modules/semver/index.js");
/* harmony import */ var semver__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(semver__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _semvercache__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./semvercache */ "./lib/jupyter/ipywidgets/lab/semvercache.js");
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.





/**
 * The mime type for a widget view.
 */
const WIDGET_VIEW_MIMETYPE = 'application/vnd.jupyter.widget-view+json';
/**
 * The mime type for widget state data.
 */
const WIDGET_STATE_MIMETYPE = 'application/vnd.jupyter.widget-state+json';
/**
 * A widget manager that returns Lumino widgets.
 */
class LabWidgetManager extends _jupyter_widgets_base_manager__WEBPACK_IMPORTED_MODULE_1__.ManagerBase {
    constructor(rendermime) {
        super();
        this._rendermime = rendermime;
    }
    /**
     * Default callback handler to emit unhandled kernel messages.
     */
    callbacks(view) {
        return {
            iopub: {
                output: (msg) => {
                    this._onUnhandledIOPubMessage.emit(msg);
                },
            },
        };
    }
    /**
     * Register a new kernel
     */
    _handleKernelChanged({ oldValue, newValue, }) {
        if (oldValue) {
            oldValue.removeCommTarget(this.comm_target_name, this._handleCommOpen);
        }
        if (newValue) {
            newValue.registerCommTarget(this.comm_target_name, this._handleCommOpen);
        }
    }
    /**
     * Disconnect the widget manager from the kernel, setting each model's comm
     * as dead.
     */
    disconnect() {
        super.disconnect();
        this._restoredStatus = false;
    }
    async _loadFromKernel() {
        if (!this.kernel) {
            throw new Error('Kernel not set');
        }
        if (this.kernel?.handleComms === false) {
            // A "load" for a kernel that does not handle comms does nothing.
            return;
        }
        return super._loadFromKernel();
    }
    /**
     * Create a comm.
     */
    async _create_comm(target_name, model_id, data, metadata, buffers) {
        const kernel = this.kernel;
        if (!kernel) {
            throw new Error('No current kernel');
        }
        const comm = kernel.createComm(target_name, model_id);
        if (data || metadata) {
            comm.open(data, metadata, buffers);
        }
        return new _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_0__.shims.services.Comm(comm);
    }
    /**
     * Get the currently-registered comms.
     */
    async _get_comm_info() {
        const kernel = this.kernel;
        if (!kernel) {
            throw new Error('No current kernel');
        }
        const reply = await kernel.requestCommInfo({
            target_name: this.comm_target_name,
        });
        if (reply.content.status === 'ok') {
            return reply.content.comms;
        }
        else {
            return {};
        }
    }
    /**
     * Get whether the manager is disposed.
     *
     * #### Notes
     * This is a read-only property.
     */
    get isDisposed() {
        return this._isDisposed;
    }
    /**
     * Dispose the resources held by the manager.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._isDisposed = true;
        if (this._commRegistration) {
            this._commRegistration.dispose();
        }
    }
    /**
     * Resolve a URL relative to the current notebook location.
     */
    async resolveUrl(url) {
        return url;
    }
    /**
     * Load a class and return a promise to the loaded object.
     */
    async loadClass(className, moduleName, moduleVersion) {
        // Special-case the Jupyter base and controls packages. If we have just a
        // plain version, with no indication of the compatible range, prepend a ^ to
        // get all compatible versions. We may eventually apply this logic to all
        // widget modules. See issues #2006 and #2017 for more discussion.
        if ((moduleName === '@jupyter-widgets/base' ||
            moduleName === '@jupyter-widgets/controls') &&
            (0,semver__WEBPACK_IMPORTED_MODULE_3__.valid)(moduleVersion)) {
            moduleVersion = `^${moduleVersion}`;
        }
        const allVersions = this._registry.getAllVersions(moduleName);
        if (!allVersions) {
            throw new Error(`No version of module ${moduleName} is registered`);
        }
        const mod = this._registry.get(moduleName, moduleVersion);
        if (!mod) {
            const registeredVersionList = Object.keys(allVersions);
            throw new Error(`Module ${moduleName}, version ${moduleVersion} is not registered, however, \
        ${registeredVersionList.join(',')} ${registeredVersionList.length > 1 ? 'are' : 'is'}`);
        }
        let module;
        if (typeof mod === 'function') {
            module = await mod();
        }
        else {
            module = await mod;
        }
        const cls = module[className];
        if (!cls) {
            throw new Error(`Class ${className} not found in module ${moduleName}`);
        }
        return cls;
    }
    get rendermime() {
        return this._rendermime;
    }
    /**
     * A signal emitted when state is restored to the widget manager.
     *
     * #### Notes
     * This indicates that previously-unavailable widget models might be available now.
     */
    get restored() {
        return this._restored;
    }
    /**
     * Whether the state has been restored yet or not.
     */
    get restoredStatus() {
        return this._restoredStatus;
    }
    /**
     * A signal emitted for unhandled iopub kernel messages.
     */
    get onUnhandledIOPubMessage() {
        return this._onUnhandledIOPubMessage;
    }
    register(data) {
        this._registry.set(data.name, data.version, data.exports);
    }
    /**
     * Register a widget model.
     */
    register_model(model_id, modelPromise) {
        super.register_model(model_id, modelPromise);
        // Update the synchronous model map
        modelPromise.then((model) => {
            this._modelsSync.set(model_id, model);
            model.once('comm:close', () => {
                this._modelsSync.delete(model_id);
            });
        });
    }
    /**
     * Close all widgets and empty the widget state.
     * @return Promise that resolves when the widget state is cleared.
     */
    async clear_state() {
        await super.clear_state();
        this._modelsSync = new Map();
    }
    /**
     * Synchronously get the state of the live widgets in the widget manager.
     *
     * This includes all of the live widget models, and follows the format given in
     * the @jupyter-widgets/schema package.
     *
     * @param options - The options for what state to return.
     * @returns A state dictionary
     */
    get_state_sync(options = {}) {
        const models = [];
        for (const model of this._modelsSync.values()) {
            if (model.comm_live) {
                models.push(model);
            }
        }
        return (0,_jupyter_widgets_base_manager__WEBPACK_IMPORTED_MODULE_1__.serialize_state)(models, options);
    }
    // _handleCommOpen is an attribute, not a method, so `this` is captured in a
    // single object that can be registered and removed
    _handleCommOpen = async (comm, msg) => {
        const oldComm = new _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_0__.shims.services.Comm(comm);
        await this.handle_comm_open(oldComm, msg);
    };
    _restored = new _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__.Signal(this);
    _restoredStatus = false;
    _kernelRestoreInProgress = false;
    _isDisposed = false;
    _registry = new _semvercache__WEBPACK_IMPORTED_MODULE_4__.SemVerCache();
    _rendermime;
    _commRegistration;
    _modelsSync = new Map();
    _onUnhandledIOPubMessage = new _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__.Signal(this);
}
/**
 * A widget manager that returns Lumino widgets.
 */
class KernelWidgetManager extends LabWidgetManager {
    constructor(kernel, rendermime) {
        super(rendermime);
        this._kernel = kernel;
        kernel.statusChanged.connect((sender, args) => {
            this._handleKernelStatusChange(args);
        });
        kernel.connectionStatusChanged.connect((sender, args) => {
            this._handleKernelConnectionStatusChange(args);
        });
        this._handleKernelChanged({
            name: 'kernel',
            oldValue: null,
            newValue: kernel,
        });
        this.restoreWidgets();
    }
    _handleKernelConnectionStatusChange(status) {
        if (status === 'connected') {
            // Only restore if we aren't currently trying to restore from the kernel
            // (for example, in our initial restore from the constructor).
            if (!this._kernelRestoreInProgress) {
                this.restoreWidgets();
            }
        }
    }
    _handleKernelStatusChange(status) {
        if (status === 'restarting') {
            this.disconnect();
        }
    }
    /**
     * Restore widgets from kernel and saved state.
     */
    async restoreWidgets() {
        try {
            this._kernelRestoreInProgress = true;
            await this._loadFromKernel();
            this._restoredStatus = true;
            this._restored.emit();
        }
        catch (err) {
            // Do nothing
        }
        this._kernelRestoreInProgress = false;
    }
    /**
     * Dispose the resources held by the manager.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._kernel = null;
        super.dispose();
    }
    get kernel() {
        return this._kernel;
    }
    _kernel;
}
/**
 * A widget manager that returns phosphor widgets.
 */
class WidgetManager extends LabWidgetManager {
    constructor(context, rendermime, settings) {
        super(rendermime);
        this._context = context;
        context.sessionContext.kernelChanged.connect((sender, args) => {
            this._handleKernelChanged(args);
        });
        context.sessionContext.statusChanged.connect((sender, args) => {
            this._handleKernelStatusChange(args);
        });
        context.sessionContext.connectionStatusChanged.connect((sender, args) => {
            this._handleKernelConnectionStatusChange(args);
        });
        if (context.sessionContext.session?.kernel) {
            this._handleKernelChanged({
                name: 'kernel',
                oldValue: null,
                newValue: context.sessionContext.session?.kernel,
            });
        }
        this.restoreWidgets(this._context.model);
        this._settings = settings;
        context.saveState.connect((sender, saveState) => {
            if (saveState === 'started' && settings.saveState) {
                this._saveState();
            }
        });
    }
    /**
     * Save the widget state to the context model.
     */
    _saveState() {
        const state = this.get_state_sync({ drop_defaults: true });
        if (this._context.model.setMetadata) {
            this._context.model.setMetadata('widgets', {
                'application/vnd.jupyter.widget-state+json': state,
            });
        }
        else {
            // eslint-disable-next-line @typescript-eslint/ban-ts-comment
            // @ts-ignore JupyterLab 3 support
            this._context.model.metadata.set('widgets', {
                'application/vnd.jupyter.widget-state+json': state,
            });
        }
    }
    _handleKernelConnectionStatusChange(status) {
        if (status === 'connected') {
            // Only restore if we aren't currently trying to restore from the kernel
            // (for example, in our initial restore from the constructor).
            if (!this._kernelRestoreInProgress) {
                // We only want to restore widgets from the kernel, not ones saved in the notebook.
                this.restoreWidgets(this._context.model, {
                    loadKernel: true,
                    loadNotebook: false,
                });
            }
        }
    }
    _handleKernelStatusChange(status) {
        if (status === 'restarting') {
            this.disconnect();
        }
    }
    /**
     * Restore widgets from kernel and saved state.
     */
    async restoreWidgets(notebook, { loadKernel, loadNotebook } = { loadKernel: true, loadNotebook: true }) {
        try {
            if (loadKernel) {
                try {
                    this._kernelRestoreInProgress = true;
                    await this._loadFromKernel();
                }
                finally {
                    this._kernelRestoreInProgress = false;
                }
            }
            if (loadNotebook) {
                await this._loadFromNotebook(notebook);
            }
            // If the restore worked above, then update our state.
            this._restoredStatus = true;
            this._restored.emit();
        }
        catch (err) {
            // Do nothing if the restore did not work.
        }
    }
    /**
     * Load widget state from notebook metadata
     */
    async _loadFromNotebook(notebook) {
        const widget_md = notebook.getMetadata
            ? notebook.getMetadata('widgets')
            : // eslint-disable-next-line @typescript-eslint/ban-ts-comment
                // @ts-ignore JupyterLab 3 support
                notebook.metadata.get('widgets');
        // Restore any widgets from saved state that are not live
        if (widget_md && widget_md[WIDGET_STATE_MIMETYPE]) {
            let state = widget_md[WIDGET_STATE_MIMETYPE];
            state = this.filterExistingModelState(state);
            await this.set_state(state);
        }
    }
    /**
     * Dispose the resources held by the manager.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._context = null;
        super.dispose();
    }
    /**
     * Resolve a URL relative to the current notebook location.
     */
    async resolveUrl(url) {
        const partial = await this.context.urlResolver.resolveUrl(url);
        return this.context.urlResolver.getDownloadUrl(partial);
    }
    get context() {
        return this._context;
    }
    get kernel() {
        return this._context.sessionContext?.session?.kernel ?? null;
    }
    /**
     * Register a widget model.
     */
    register_model(model_id, modelPromise) {
        super.register_model(model_id, modelPromise);
        this.setDirty();
    }
    /**
     * Close all widgets and empty the widget state.
     * @return Promise that resolves when the widget state is cleared.
     */
    async clear_state() {
        await super.clear_state();
        this.setDirty();
    }
    /**
     * Set the dirty state of the notebook model if applicable.
     *
     * TODO: perhaps should also set dirty when any model changes any data
     */
    setDirty() {
        if (this._settings.saveState) {
            this._context.model.dirty = true;
        }
    }
    _context;
    _settings;
}


/***/ }),

/***/ "./lib/jupyter/ipywidgets/lab/output.js":
/*!**********************************************!*\
  !*** ./lib/jupyter/ipywidgets/lab/output.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OUTPUT_WIDGET_VERSION": () => (/* binding */ OUTPUT_WIDGET_VERSION),
/* harmony export */   "OutputModel": () => (/* binding */ OutputModel),
/* harmony export */   "OutputView": () => (/* binding */ OutputView)
/* harmony export */ });
/* harmony import */ var _jupyter_widgets_output__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @jupyter-widgets/output */ "webpack/sharing/consume/default/@jupyter-widgets/output/@jupyter-widgets/output?aa08");
/* harmony import */ var _jupyter_widgets_output__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_output__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @jupyter-widgets/base */ "webpack/sharing/consume/default/@jupyter-widgets/base/@jupyter-widgets/base?5ccc");
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _manager__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./manager */ "./lib/jupyter/ipywidgets/lab/manager.js");
/* harmony import */ var _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyterlab/outputarea */ "webpack/sharing/consume/default/@jupyterlab/outputarea");
/* harmony import */ var _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! jquery */ "../../../../../node_modules/jquery/dist/jquery.js");
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_3__);
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.





const OUTPUT_WIDGET_VERSION = _jupyter_widgets_output__WEBPACK_IMPORTED_MODULE_0__.OUTPUT_WIDGET_VERSION;
class OutputModel extends _jupyter_widgets_output__WEBPACK_IMPORTED_MODULE_0__.OutputModel {
    defaults() {
        return { ...super.defaults(), msg_id: '', outputs: [] };
    }
    initialize(attributes, options) {
        super.initialize(attributes, options);
        // The output area model is trusted since widgets are only rendered in trusted contexts.
        this._outputs = new _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_2__.OutputAreaModel({ trusted: true });
        this._msgHook = (msg) => {
            this.add(msg);
            return false;
        };
        // if the context is available, react on kernel changes
        if (this.widget_manager instanceof _manager__WEBPACK_IMPORTED_MODULE_4__.WidgetManager) {
            this.widget_manager.context.sessionContext.kernelChanged.connect((sender, args) => {
                this._handleKernelChanged(args);
            });
        }
        this.listenTo(this, 'change:msg_id', this.reset_msg_id);
        this.listenTo(this, 'change:outputs', this.setOutputs);
        this.setOutputs();
    }
    /**
     * Register a new kernel
     */
    _handleKernelChanged({ oldValue, }) {
        const msgId = this.get('msg_id');
        if (msgId && oldValue) {
            oldValue.removeMessageHook(msgId, this._msgHook);
            this.set('msg_id', null);
        }
    }
    /**
     * Reset the message id.
     */
    reset_msg_id() {
        const kernel = this.widget_manager.kernel;
        const msgId = this.get('msg_id');
        const oldMsgId = this.previous('msg_id');
        // Clear any old handler.
        if (oldMsgId && kernel) {
            kernel.removeMessageHook(oldMsgId, this._msgHook);
        }
        // Register any new handler.
        if (msgId && kernel) {
            kernel.registerMessageHook(msgId, this._msgHook);
        }
    }
    add(msg) {
        const msgType = msg.header.msg_type;
        switch (msgType) {
            case 'execute_result':
            case 'display_data':
            case 'stream':
            case 'error': {
                const model = msg.content;
                model.output_type = msgType;
                this._outputs.add(model);
                break;
            }
            case 'clear_output':
                this.clear_output(msg.content.wait);
                break;
            default:
                break;
        }
        this.set('outputs', this._outputs.toJSON(), { newMessage: true });
        this.save_changes();
    }
    clear_output(wait = false) {
        this._outputs.clear(wait);
    }
    get outputs() {
        return this._outputs;
    }
    setOutputs(model, value, options) {
        if (!(options && options.newMessage)) {
            // fromJSON does not clear the existing output
            this.clear_output();
            // fromJSON does not copy the message, so we make a deep copy
            this._outputs.fromJSON(JSON.parse(JSON.stringify(this.get('outputs'))));
        }
    }
    _msgHook;
    _outputs;
}
class OutputView extends _jupyter_widgets_output__WEBPACK_IMPORTED_MODULE_0__.OutputView {
    _createElement(tagName) {
        this.luminoWidget = new _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_1__.JupyterLuminoPanelWidget({ view: this });
        return this.luminoWidget.node;
    }
    _setElement(el) {
        if (this.el || el !== this.luminoWidget.node) {
            // Boxes don't allow setting the element beyond the initial creation.
            throw new Error('Cannot reset the DOM element.');
        }
        this.el = this.luminoWidget.node;
        this.$el = jquery__WEBPACK_IMPORTED_MODULE_3___default()(this.luminoWidget.node);
    }
    /**
     * Called when view is rendered.
     */
    render() {
        super.render();
        this._outputView = new _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_2__.OutputArea({
            rendermime: this.model.widget_manager.rendermime,
            contentFactory: _jupyterlab_outputarea__WEBPACK_IMPORTED_MODULE_2__.OutputArea.defaultContentFactory,
            model: this.model.outputs,
        });
        // TODO: why is this a readonly property now?
        // this._outputView.model = this.model.outputs;
        // TODO: why is this on the model now?
        // this._outputView.trusted = true;
        this.luminoWidget.insertWidget(0, this._outputView);
        this.luminoWidget.addClass('jupyter-widgets');
        this.luminoWidget.addClass('widget-output');
        this.update(); // Set defaults.
    }
    remove() {
        this._outputView.dispose();
        return super.remove();
    }
    _outputView;
}


/***/ }),

/***/ "./lib/jupyter/ipywidgets/lab/plugin.js":
/*!**********************************************!*\
  !*** ./lib/jupyter/ipywidgets/lab/plugin.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "baseWidgetsPlugin": () => (/* binding */ baseWidgetsPlugin),
/* harmony export */   "bundledIPyWidgetsPlugin": () => (/* binding */ bundledIPyWidgetsPlugin),
/* harmony export */   "controlWidgetsPlugin": () => (/* binding */ controlWidgetsPlugin),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "externalIPyWidgetsPlugin": () => (/* binding */ externalIPyWidgetsPlugin),
/* harmony export */   "managerPlugin": () => (/* binding */ managerPlugin),
/* harmony export */   "outputWidgetPlugin": () => (/* binding */ outputWidgetPlugin),
/* harmony export */   "registerWidgetManager": () => (/* binding */ registerWidgetManager)
/* harmony export */ });
/* harmony import */ var _lumino_disposable__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/disposable */ "webpack/sharing/consume/default/@lumino/disposable");
/* harmony import */ var _lumino_disposable__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_disposable__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_properties__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/properties */ "webpack/sharing/consume/default/@lumino/properties");
/* harmony import */ var _lumino_properties__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_properties__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _renderer__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./renderer */ "./lib/jupyter/ipywidgets/lab/renderer.js");
/* harmony import */ var _manager__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./manager */ "./lib/jupyter/ipywidgets/lab/manager.js");
/* harmony import */ var _output__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./output */ "./lib/jupyter/ipywidgets/lab/output.js");
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @jupyter-widgets/html-manager */ "webpack/sharing/consume/default/@jupyter-widgets/html-manager/@jupyter-widgets/html-manager");
/* harmony import */ var _jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @jupyter-widgets/base */ "webpack/sharing/consume/default/@jupyter-widgets/base/@jupyter-widgets/base?5ccc");
/* harmony import */ var _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _jupyter_widgets_controls_lib_version__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @jupyter-widgets/controls/lib/version */ "../../../../../node_modules/@jupyter-widgets/controls/lib/version.js");
/* harmony import */ var _jupyter_widgets_base_css_index_css__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @jupyter-widgets/base/css/index.css */ "../../../../../node_modules/@jupyter-widgets/base/css/index.css");
/* harmony import */ var _jupyter_widgets_controls_css_widgets_base_css__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @jupyter-widgets/controls/css/widgets-base.css */ "../../../../../node_modules/@jupyter-widgets/controls/css/widgets-base.css");







// We import only the version from the specific module in controls so that the
// controls code can be split and dynamically loaded in webpack.



const WIDGET_REGISTRY = [];
/**
 * The cached settings.
 */
const SETTINGS = { saveState: false };
/**
 * Iterate through all widget renderers in a notebook.
 */
function* widgetRenderers(notebook) {
    for (const cell of notebook.widgets) {
        if (cell.model.type === 'code') {
            for (const codecell of cell.outputArea.widgets) {
                for (const output of Array.from(codecell.children())) {
                    if (output instanceof _renderer__WEBPACK_IMPORTED_MODULE_7__.WidgetRenderer) {
                        yield output;
                    }
                }
            }
        }
    }
}
/**
 * Iterate through all matching linked output views
function* outputViews(app: JupyterFrontEnd, path: string): Generator<WidgetRenderer, void, unknown> {
  const linkedViews = filter(
    app.shell.widgets(),
    (w) => w.id.startsWith('LinkedOutputView-') && (w as any).path === path
  );
  for (const view of Array.from(linkedViews)) {
    for (const outputs of Array.from(view.children())) {
      for (const output of Array.from(outputs.children())) {
        if (output instanceof WidgetRenderer) {
          yield output;
        }
      }
    }
  }
}
*/
function* chain(...args) {
    for (const it of args) {
        yield* it;
    }
}
const bindUnhandledIOPubMessageSignal = (notebookPanel) => {
    const widgetManager = Private.widgetManagerProperty.get(notebookPanel.context);
    if (widgetManager) {
        widgetManager.onUnhandledIOPubMessage.connect((sender, msg) => {
            console.log('unhandledIOPubMessageSignal', sender, msg);
        });
    }
};
function registerWidgetManager(context, rendermime, renderers) {
    let widgetManager = Private.widgetManagerProperty.get(context);
    if (!widgetManager) {
        widgetManager = new _manager__WEBPACK_IMPORTED_MODULE_8__.WidgetManager(context, rendermime, SETTINGS);
        WIDGET_REGISTRY.forEach((data) => widgetManager.register(data));
        Private.widgetManagerProperty.set(context, widgetManager);
    }
    for (const renderer of renderers) {
        renderer.manager = widgetManager;
    }
    // Replace the placeholder widget renderer with one bound to this widget manager.
    rendermime.removeMimeType(_manager__WEBPACK_IMPORTED_MODULE_8__.WIDGET_VIEW_MIMETYPE);
    rendermime.addFactory({
        safe: false,
        mimeTypes: [_manager__WEBPACK_IMPORTED_MODULE_8__.WIDGET_VIEW_MIMETYPE],
        createRenderer: (options) => new _renderer__WEBPACK_IMPORTED_MODULE_7__.WidgetRenderer(options, widgetManager),
    }, -10);
    return new _lumino_disposable__WEBPACK_IMPORTED_MODULE_0__.DisposableDelegate(() => {
        if (rendermime) {
            rendermime.removeMimeType(_manager__WEBPACK_IMPORTED_MODULE_8__.WIDGET_VIEW_MIMETYPE);
        }
        if (widgetManager) {
            widgetManager.dispose();
        }
    });
}
const externalIPyWidgetsPlugin = (context, notebookTracker, ipywidgets) => {
    const loadIPyWidget = (name, version) => {
        (0,_jupyter_widgets_html_manager__WEBPACK_IMPORTED_MODULE_2__.requireLoader)(name, version).then((module) => {
            const exports = { ...module };
            const data = {
                name,
                version,
                exports,
            };
            WIDGET_REGISTRY.push(data);
            notebookTracker.forEach((notebookPanel) => {
                const widgetManager = Private.widgetManagerProperty.get(context);
                if (widgetManager) {
                    widgetManager.register(data);
                    registerWidgetManager(notebookPanel.context, notebookPanel.content.rendermime, chain(widgetRenderers(notebookPanel.content)));
                    bindUnhandledIOPubMessageSignal(notebookPanel);
                }
            });
        });
    };
    ipywidgets.forEach(ipywidget => {
        loadIPyWidget(ipywidget.name, ipywidget.version);
    });
};
const bundledIPyWidgetsPlugin = (context, notebookTracker, ipywidgets) => {
    const loadIPyWidget = (name, version, module) => {
        const exports = { ...module };
        const data = {
            name,
            version,
            exports,
        };
        WIDGET_REGISTRY.push(data);
        notebookTracker.forEach((notebookPanel) => {
            const widgetManager = Private.widgetManagerProperty.get(context);
            if (widgetManager) {
                widgetManager.register(data);
                registerWidgetManager(notebookPanel.context, notebookPanel.content.rendermime, chain(widgetRenderers(notebookPanel.content)));
                bindUnhandledIOPubMessageSignal(notebookPanel);
            }
        });
    };
    ipywidgets.forEach(ipywidget => {
        loadIPyWidget(ipywidget.name, ipywidget.version, ipywidget.module);
    });
};
/**
 * The widget manager provider.
 */
const managerPlugin = {
    activate: activateWidgetExtension,
};
/**
 * Activate the widget extension.
 */
function activateWidgetExtension(rendermime, tracker) {
    // Add a placeholder widget renderer.
    rendermime.addFactory({
        safe: false,
        mimeTypes: [_manager__WEBPACK_IMPORTED_MODULE_8__.WIDGET_VIEW_MIMETYPE],
        createRenderer: (options) => new _renderer__WEBPACK_IMPORTED_MODULE_7__.WidgetRenderer(options),
    }, -10);
    tracker.forEach((notebookPanel) => {
        registerWidgetManager(notebookPanel.context, notebookPanel.content.rendermime, chain(widgetRenderers(notebookPanel.content)));
        bindUnhandledIOPubMessageSignal(notebookPanel);
    });
    tracker.widgetAdded.connect((sender, notebookPanel) => {
        registerWidgetManager(notebookPanel.context, notebookPanel.content.rendermime, chain(widgetRenderers(notebookPanel.content)));
        bindUnhandledIOPubMessageSignal(notebookPanel);
    });
    return {
        registerWidget(data) {
            WIDGET_REGISTRY.push(data);
        },
    };
}
/**
 * The base widgets.
 */
const baseWidgetsPlugin = {
    activate: (registry) => {
        registry.registerWidget({
            name: '@jupyter-widgets/base',
            version: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.JUPYTER_WIDGETS_VERSION,
            exports: {
                WidgetModel: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.WidgetModel,
                WidgetView: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.WidgetView,
                DOMWidgetView: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.DOMWidgetView,
                DOMWidgetModel: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.DOMWidgetModel,
                LayoutModel: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.LayoutModel,
                LayoutView: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.LayoutView,
                StyleModel: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.StyleModel,
                StyleView: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.StyleView,
                ErrorWidgetView: _jupyter_widgets_base__WEBPACK_IMPORTED_MODULE_3__.ErrorWidgetView,
            },
        });
    },
};
/**
 * The control widgets.
 */
const controlWidgetsPlugin = {
    activate: (registry) => {
        registry.registerWidget({
            name: '@jupyter-widgets/controls',
            version: _jupyter_widgets_controls_lib_version__WEBPACK_IMPORTED_MODULE_4__.JUPYTER_CONTROLS_VERSION,
            exports: () => {
                return new Promise((resolve, reject) => {
                    Promise.resolve(/*! require.ensure */).then(((require) => {
                        // eslint-disable-next-line @typescript-eslint/no-var-requires
                        resolve(__webpack_require__(/*! @jupyter-widgets/controls */ "webpack/sharing/consume/default/@jupyter-widgets/controls/@jupyter-widgets/controls?27d1"));
                    }).bind(null, __webpack_require__))['catch']((err) => {
                        reject(err);
                    });
                });
            },
        });
    },
};
/**
 * The output widget.
 */
const outputWidgetPlugin = {
    activate: (registry) => {
        registry.registerWidget({
            name: '@jupyter-widgets/output',
            version: _output__WEBPACK_IMPORTED_MODULE_9__.OUTPUT_WIDGET_VERSION,
            exports: { OutputModel: _output__WEBPACK_IMPORTED_MODULE_9__.OutputModel, OutputView: _output__WEBPACK_IMPORTED_MODULE_9__.OutputView },
        });
    },
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ([
    managerPlugin,
    baseWidgetsPlugin,
    controlWidgetsPlugin,
    outputWidgetPlugin,
]);
var Private;
(function (Private) {
    /**
     * A private attached property for a widget manager.
     */
    Private.widgetManagerProperty = new _lumino_properties__WEBPACK_IMPORTED_MODULE_1__.AttachedProperty({
        name: 'widgetManager',
        create: (owner) => undefined,
    });
})(Private || (Private = {}));


/***/ }),

/***/ "./lib/jupyter/ipywidgets/lab/renderer.js":
/*!************************************************!*\
  !*** ./lib/jupyter/ipywidgets/lab/renderer.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "WidgetRenderer": () => (/* binding */ WidgetRenderer)
/* harmony export */ });
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/coreutils */ "webpack/sharing/consume/default/@lumino/coreutils");
/* harmony import */ var _lumino_coreutils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_coreutils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_1__);
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.


/**
 * A renderer for widgets.
 */
class WidgetRenderer extends _lumino_widgets__WEBPACK_IMPORTED_MODULE_1__.Panel {
    constructor(options, manager) {
        super();
        this.mimeType = options.mimeType;
        if (manager) {
            this.manager = manager;
        }
    }
    /**
     * The widget manager.
     */
    set manager(value) {
        value.restored.connect(this._rerender, this);
        this._manager.resolve(value);
    }
    async renderModel(model) {
        const source = model.data[this.mimeType];
        // Let's be optimistic, and hope the widget state will come later.
        this.node.textContent = 'Loading widget...';
        const manager = await this._manager.promise;
        // If there is no model id, the view was removed, so hide the node.
        if (source.model_id === '') {
            this.hide();
            return Promise.resolve();
        }
        let wModel;
        try {
            // Presume we have a DOMWidgetModel. Should we check for sure?
            wModel = (await manager.get_model(source.model_id));
        }
        catch (err) {
            if (manager.restoredStatus) {
                // The manager has been restored, so this error won't be going away.
                this.node.textContent = 'Error displaying widget: model not found';
                this.addClass('jupyter-widgets');
                console.error(err);
                return;
            }
            // Store the model for a possible rerender
            this._rerenderMimeModel = model;
            return;
        }
        // Successful getting the model, so we don't need to try to rerender.
        this._rerenderMimeModel = null;
        let widget;
        try {
            widget = (await manager.create_view(wModel)).luminoWidget;
        }
        catch (err) {
            this.node.textContent = 'Error displaying widget';
            this.addClass('jupyter-widgets');
            console.error(err);
            return;
        }
        // Clear any previous loading message.
        this.node.textContent = '';
        this.addWidget(widget);
        // When the widget is disposed, hide this container and make sure we
        // change the output model to reflect the view was closed.
        widget.disposed.connect(() => {
            this.hide();
            source.model_id = '';
        });
    }
    /**
     * Dispose the resources held by the manager.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._manager = null;
        super.dispose();
    }
    _rerender() {
        if (this._rerenderMimeModel) {
            // Clear the error message
            this.node.textContent = '';
            this.removeClass('jupyter-widgets');
            // Attempt to rerender.
            this.renderModel(this._rerenderMimeModel);
        }
    }
    /**
     * The mimetype being rendered.
     */
    mimeType;
    _manager = new _lumino_coreutils__WEBPACK_IMPORTED_MODULE_0__.PromiseDelegate();
    _rerenderMimeModel = null;
}


/***/ }),

/***/ "./lib/jupyter/ipywidgets/lab/semvercache.js":
/*!***************************************************!*\
  !*** ./lib/jupyter/ipywidgets/lab/semvercache.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SemVerCache": () => (/* binding */ SemVerCache)
/* harmony export */ });
/* harmony import */ var semver__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! semver */ "../../../../../node_modules/semver/index.js");
/* harmony import */ var semver__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(semver__WEBPACK_IMPORTED_MODULE_0__);

/**
 * A cache using semver ranges to retrieve values.
 */
class SemVerCache {
    set(key, version, object) {
        if (!(key in this._cache)) {
            this._cache[key] = Object.create(null);
        }
        if (!(version in this._cache[key])) {
            this._cache[key][version] = object;
        }
        else {
            //      throw `Version ${version} of key ${key} already registered.`;
            console.warn(`Version ${version} of key ${key} already registered.`);
        }
    }
    get(key, semver) {
        if (key in this._cache) {
            const versions = this._cache[key];
            const best = (0,semver__WEBPACK_IMPORTED_MODULE_0__.maxSatisfying)(Object.keys(versions), semver);
            if (best !== null) {
                return versions[best];
            }
        }
    }
    getAllVersions(key) {
        if (key in this._cache) {
            return this._cache[key];
        }
    }
    _cache = Object.create(null);
}


/***/ }),

/***/ "./lib/jupyter/lumino/Lumino.js":
/*!**************************************!*\
  !*** ./lib/jupyter/lumino/Lumino.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Lumino": () => (/* binding */ Lumino),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-dom */ "webpack/sharing/consume/default/react-dom");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_dom__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_3__);




const Lumino = (props) => {
    const ref = (0,react__WEBPACK_IMPORTED_MODULE_1__.useRef)(null);
    const { children, id } = props;
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
        const widget = children;
        try {
            _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.Widget.attach(widget, ref.current);
        }
        catch (e) {
            console.warn('Exception while attaching Lumino widget.', e);
        }
        return () => {
            try {
                (0,react_dom__WEBPACK_IMPORTED_MODULE_2__.unmountComponentAtNode)(widget.node);
                if (widget.isAttached || widget.node.isConnected) {
                    widget.dispose();
                    _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.Widget.detach(widget);
                }
            }
            catch (e) {
                // no-op
                // console.debug('Exception while detaching Lumino widget.', e);
            }
        };
    }, [children]);
    return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { ref: ref, id: id });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Lumino);


/***/ }),

/***/ "./lib/jupyter/lumino/LuminoDetached.js":
/*!**********************************************!*\
  !*** ./lib/jupyter/lumino/LuminoDetached.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LuminoDetached": () => (/* binding */ LuminoDetached),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react/jsx-runtime */ "../../../../../node_modules/react/jsx-runtime.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);


/**
 * The LuminoDetached class allows to render a Lumino
 * Widget that is not mounted in the React.js tree.
 */
class LuminoDetached extends (react__WEBPACK_IMPORTED_MODULE_1___default().Component) {
    render() {
        return (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx)("div", { ref: ref => { } });
    }
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (LuminoDetached);


/***/ }),

/***/ "./lib/jupyter/lumino/LuminoObservable.js":
/*!************************************************!*\
  !*** ./lib/jupyter/lumino/LuminoObservable.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "asObservable": () => (/* binding */ asObservable)
/* harmony export */ });
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! rxjs */ "webpack/sharing/consume/default/rxjs/rxjs?f93d");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(rxjs__WEBPACK_IMPORTED_MODULE_0__);

/**
 * Convert a Lumino Signal to a Rx-js Observable.
 */
function asObservable(signal) {
    return new rxjs__WEBPACK_IMPORTED_MODULE_0__.Observable((subscriber) => {
        function slot(_, args) {
            subscriber.next(args);
        }
        signal.connect(slot);
        return () => {
            signal.disconnect(slot);
        };
    });
}


/***/ }),

/***/ "./lib/jupyter/lumino/ReactPortalWidget.js":
/*!*************************************************!*\
  !*** ./lib/jupyter/lumino/ReactPortalWidget.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ReactPortalWidget": () => (/* binding */ ReactPortalWidget),
/* harmony export */   "UseSignal": () => (/* binding */ UseSignal),
/* harmony export */   "VDomModel": () => (/* binding */ VDomModel),
/* harmony export */   "VDomRenderer": () => (/* binding */ VDomRenderer)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "webpack/sharing/consume/default/react");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lumino_messaging__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @lumino/messaging */ "webpack/sharing/consume/default/@lumino/messaging");
/* harmony import */ var _lumino_messaging__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_lumino_messaging__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @lumino/signaling */ "webpack/sharing/consume/default/@lumino/signaling");
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lumino_signaling__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @lumino/widgets */ "webpack/sharing/consume/default/@lumino/widgets");
/* harmony import */ var _lumino_widgets__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_lumino_widgets__WEBPACK_IMPORTED_MODULE_3__);




/**
 * An abstract class for a Lumino widget which renders a React component as a Portal.
 */
class ReactPortalWidget extends _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.Widget {
    /**
     * Creates a new `ReactPortalWidget` that renders a constant element.
     * @param element React element to render.
     */
    static create(element) {
        return new (class extends ReactPortalWidget {
            render() {
                return element;
            }
        })();
    }
    /**
     * Called to update the state of the widget.
     *
     * The default implementation of this method triggers
     * VDOM based rendering by calling the `renderDOM` method.
     */
    onUpdateRequest(msg) {
        this.renderPromise = this.renderDOM();
    }
    /**
     * Called after the widget is attached to the DOM
     */
    onAfterAttach(msg) {
        // Make *sure* the widget is rendered.
        _lumino_messaging__WEBPACK_IMPORTED_MODULE_1__.MessageLoop.sendMessage(this, _lumino_widgets__WEBPACK_IMPORTED_MODULE_3__.Widget.Msg.UpdateRequest);
    }
    /**
     * Called before the widget is detached from the DOM.
     */
    onBeforeDetach(msg) {
        // Unmount the component so it can tear down.
        // TODO unmountComponentAtNode or not?
        // console.js:213 Warning: unmountComponentAtNode():
        // The node you're attempting to unmount was rendered by React and is not a top-level container.
        // Instead, have the parent component update its state and rerender in order to remove this component.
        //    ReactDOM.unmountComponentAtNode(this.node);
    }
    /**
     * Render the React nodes to the DOM.
     *
     * @returns a promise that resolves when the rendering is done.
     */
    renderDOM() {
        return new Promise(resolve => {
            // no-op
        });
    }
    // Set whenever a new render is triggered and resolved when it is finished.
    renderPromise;
}
/**
 * An abstract ReactPortalWidget with a model.
 */
class VDomRenderer extends ReactPortalWidget {
    /**
     * Create a new VDomRenderer
     */
    constructor(model) {
        super();
        this.model = (model ?? null);
    }
    /**
     * A signal emitted when the model changes.
     */
    get modelChanged() {
        return this._modelChanged;
    }
    /**
     * Set the model and fire changed signals.
     */
    set model(newValue) {
        if (this._model === newValue) {
            return;
        }
        if (this._model) {
            this._model.stateChanged.disconnect(this.update, this);
        }
        this._model = newValue;
        if (newValue) {
            newValue.stateChanged.connect(this.update, this);
        }
        this.update();
        this._modelChanged.emit(void 0);
    }
    /**
     * Get the current model.
     */
    get model() {
        return this._model;
    }
    /**
     * Dispose this widget.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._model = null;
        super.dispose();
    }
    _model;
    _modelChanged = new _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__.Signal(this);
}
/**
 * UseSignal provides a way to hook up a Phosphor signal to a React element,
 * so that the element is re-rendered every time the signal fires.
 *
 * It is implemented through the "render props" technique, using the `children`
 * prop as a function to render, so that it can be used either as a prop or as a child
 * of this element
 * https://reactjs.org/docs/render-props.html
 *
 *
 * Example as child:
 *
 * ```
 * function LiveButton(isActiveSignal: ISignal<any, boolean>) {
 *  return (
 *    <UseSignal signal={isActiveSignal} initialArgs={True}>
 *     {(_, isActive) => <Button isActive={isActive}>}
 *    </UseSignal>
 *  )
 * }
 * ```
 *
 * Example as prop:
 *
 * ```
 * function LiveButton(isActiveSignal: ISignal<any, boolean>) {
 *  return (
 *    <UseSignal
 *      signal={isActiveSignal}
 *      initialArgs={True}
 *      children={(_, isActive) => <Button isActive={isActive}>}
 *    />
 *  )
 * }
 * ```
 */
class UseSignal extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
    constructor(props) {
        super(props);
        this.state = { value: [this.props.initialSender, this.props.initialArgs] };
    }
    componentDidMount() {
        this.props.signal.connect(this.slot);
    }
    componentWillUnmount() {
        this.props.signal.disconnect(this.slot);
    }
    slot = (sender, args) => {
        // skip setting new state if we have a shouldUpdate function and it returns false
        if (this.props.shouldUpdate && !this.props.shouldUpdate(sender, args)) {
            return;
        }
        this.setState({ value: [sender, args] });
    };
    render() {
        return this.props.children(...this.state.value);
    }
}
/**
 * Concrete implementation of VDomRenderer model.
 */
class VDomModel {
    /**
     * A signal emitted when any model state changes.
     */
    stateChanged = new _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__.Signal(this);
    /**
     * Test whether the model is disposed.
     */
    get isDisposed() {
        return this._isDisposed;
    }
    /**
     * Dispose the model.
     */
    dispose() {
        if (this.isDisposed) {
            return;
        }
        this._isDisposed = true;
        _lumino_signaling__WEBPACK_IMPORTED_MODULE_2__.Signal.clearData(this);
    }
    _isDisposed = false;
}


/***/ }),

/***/ "./lib/jupyter/services/kernel/KernelModel.js":
/*!****************************************************!*\
  !*** ./lib/jupyter/services/kernel/KernelModel.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "KernelModel": () => (/* binding */ KernelModel),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @lumino/signaling */ "webpack/sharing/consume/default/@lumino/signaling");
/* harmony import */ var _lumino_signaling__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_lumino_signaling__WEBPACK_IMPORTED_MODULE_0__);

class KernelModel {
    constructor(session) {
        this._sessionContext = session;
    }
    get future() {
        return this._future;
    }
    set future(value) {
        this._future = value;
        if (!value) {
            return;
        }
        value.onIOPub = this._onIOPub;
    }
    get output() {
        return this._output;
    }
    get stateChanged() {
        return this._stateChanged;
    }
    execute(code) {
        if (!this._sessionContext || !this._sessionContext.session?.kernel) {
            return;
        }
        this.future = this._sessionContext.session?.kernel?.requestExecute({
            code
        });
    }
    _onIOPub = (msg) => {
        const msgType = msg.header.msg_type;
        switch (msgType) {
            case 'execute_result':
                break;
            case 'display_data':
                break;
            case 'update_display_data':
                this._output = msg.content;
                this._stateChanged.emit();
                break;
            default:
                break;
        }
        return;
    };
    _future = null;
    _output = null;
    _sessionContext;
    _stateChanged = new _lumino_signaling__WEBPACK_IMPORTED_MODULE_0__.Signal(this);
}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (KernelModel);


/***/ }),

/***/ "./lib/state/redux/State.js":
/*!**********************************!*\
  !*** ./lib/state/redux/State.js ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "epics": () => (/* binding */ epics),
/* harmony export */   "initialState": () => (/* binding */ initialState),
/* harmony export */   "reducers": () => (/* binding */ reducers)
/* harmony export */ });
/* harmony import */ var redux__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! redux */ "webpack/sharing/consume/default/redux/redux");
/* harmony import */ var redux__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(redux__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var redux_observable__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! redux-observable */ "webpack/sharing/consume/default/redux-observable/redux-observable");
/* harmony import */ var redux_observable__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(redux_observable__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _InitState__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./InitState */ "./lib/state/redux/InitState.js");
/* harmony import */ var _components_cell_CellState__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/cell/CellState */ "./lib/components/cell/CellState.js");
/* harmony import */ var _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../components/notebook/NotebookState */ "./lib/components/notebook/NotebookState.js");
/* harmony import */ var _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../components/terminal/TerminalState */ "./lib/components/terminal/TerminalState.js");
/* harmony import */ var _components_output_OutputState__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/output/OutputState */ "./lib/components/output/OutputState.js");







const initialState = {
    init: _InitState__WEBPACK_IMPORTED_MODULE_2__.initInitialState,
    cell: _components_cell_CellState__WEBPACK_IMPORTED_MODULE_3__.cellInitialState,
    output: _components_output_OutputState__WEBPACK_IMPORTED_MODULE_4__.outputInitialState,
    notebook: _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_5__.notebookInitialState,
    terminal: _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_6__.terminalInitialState,
};
/* Actions
export type ActionUnion<
  A extends { [asyncActionCreator: string]: (...args: any[]) => any; }
> = Exclude<ReturnType<A[keyof A]>, (...args: any[]) => Promise<void>>;

export type CellAction = ActionUnion<typeof cellActions>;
export type NotebookAction = ActionUnion<typeof notebookActions>;

export type AppAction = CellAction | NotebookAction;
*/
/* Epics */
const epics = (0,redux_observable__WEBPACK_IMPORTED_MODULE_1__.combineEpics)(_components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_5__.notebookEpics);
/* Reducers */
const reducers = (0,redux__WEBPACK_IMPORTED_MODULE_0__.combineReducers)({
    init: _InitState__WEBPACK_IMPORTED_MODULE_2__.initReducer,
    cell: _components_cell_CellState__WEBPACK_IMPORTED_MODULE_3__.cellReducer,
    output: _components_output_OutputState__WEBPACK_IMPORTED_MODULE_4__.outputReducer,
    notebook: _components_notebook_NotebookState__WEBPACK_IMPORTED_MODULE_5__.notebookReducer,
    terminal: _components_terminal_TerminalState__WEBPACK_IMPORTED_MODULE_6__.terminalReducer,
});


/***/ })

}]);
//# sourceMappingURL=lib_index_js.51412c01f69ec0297f68.js.map